package com.mortals.xhx.module.declare.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.declare.model.vo.DeclareFinImagesVo;
import lombok.Data;
/**
* 企业代办申报办结图片实体对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class DeclareFinImagesEntity extends DeclareFinImagesVo {
    private static final long serialVersionUID = 1L;

    /**
    * 申报id,对应所属 declare.id
    */
    private Long declareId;
    /**
    * 图片U
    */
    private String imagePath;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeclareFinImagesEntity) {
            DeclareFinImagesEntity tmp = (DeclareFinImagesEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.declareId = null;
            this.imagePath = "";
            this.remark = "";
    }
}