package com.mortals.xhx.module.evaluation.model;

import java.util.List;
import com.mortals.xhx.module.evaluation.model.EvaluationInfoEntity;
/**
* 用户代办帮办评价查询对象
*
* @author zxfei
* @date 2025-04-27
*/
public class EvaluationInfoQuery extends EvaluationInfoEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 申报id,对应所属 declare.id */
    private Long declareIdStart;

    /** 结束 申报id,对应所属 declare.id */
    private Long declareIdEnd;

    /** 增加 申报id,对应所属 declare.id */
    private Long declareIdIncrement;

    /** 申报id,对应所属 declare.id列表 */
    private List <Long> declareIdList;

    /** 申报id,对应所属 declare.id排除列表 */
    private List <Long> declareIdNotList;

    /** 开始 评价人 ID，关联用户表 */
    private Long evaluatorIdStart;

    /** 结束 评价人 ID，关联用户表 */
    private Long evaluatorIdEnd;

    /** 增加 评价人 ID，关联用户表 */
    private Long evaluatorIdIncrement;

    /** 评价人 ID，关联用户表列表 */
    private List <Long> evaluatorIdList;

    /** 评价人 ID，关联用户表排除列表 */
    private List <Long> evaluatorIdNotList;

    /** 评价人姓名或昵称 */
    private List<String> evaluatorNameList;

    /** 评价人姓名或昵称排除列表 */
    private List <String> evaluatorNameNotList;
    /** 开始 评分，一般 1~5 星 */
    private Integer scoreStart;

    /** 结束 评分，一般 1~5 星 */
    private Integer scoreEnd;

    /** 增加 评分，一般 1~5 星 */
    private Integer scoreIncrement;

    /** 评分，一般 1~5 星列表 */
    private List <Integer> scoreList;

    /** 评分，一般 1~5 星排除列表 */
    private List <Integer> scoreNotList;

    /** 评价内容 */
    private List<String> commentList;

    /** 评价内容排除列表 */
    private List <String> commentNotList;
    /** 意见建议 */
    private List<String> suggestionList;

    /** 意见建议排除列表 */
    private List <String> suggestionNotList;
    /** 开始 评价状态(1.正常，2.删除，3.隐藏) */
    private Integer evalStatusStart;

    /** 结束 评价状态(1.正常，2.删除，3.隐藏) */
    private Integer evalStatusEnd;

    /** 增加 评价状态(1.正常，2.删除，3.隐藏) */
    private Integer evalStatusIncrement;

    /** 评价状态(1.正常，2.删除，3.隐藏)列表 */
    private List <Integer> evalStatusList;

    /** 评价状态(1.正常，2.删除，3.隐藏)排除列表 */
    private List <Integer> evalStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<EvaluationInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<EvaluationInfoQuery> andConditionList;

    public EvaluationInfoQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 申报id,对应所属 declare.id
    * @return declareIdStart
    */
    public Long getDeclareIdStart(){
        return this.declareIdStart;
    }

    /**
    * 设置 开始 申报id,对应所属 declare.id
    * @param declareIdStart
    */
    public void setDeclareIdStart(Long declareIdStart){
        this.declareIdStart = declareIdStart;
    }

    /**
    * 获取 结束 申报id,对应所属 declare.id
    * @return $declareIdEnd
    */
    public Long getDeclareIdEnd(){
        return this.declareIdEnd;
    }

    /**
    * 设置 结束 申报id,对应所属 declare.id
    * @param declareIdEnd
    */
    public void setDeclareIdEnd(Long declareIdEnd){
        this.declareIdEnd = declareIdEnd;
    }

    /**
    * 获取 增加 申报id,对应所属 declare.id
    * @return declareIdIncrement
    */
    public Long getDeclareIdIncrement(){
        return this.declareIdIncrement;
    }

    /**
    * 设置 增加 申报id,对应所属 declare.id
    * @param declareIdIncrement
    */
    public void setDeclareIdIncrement(Long declareIdIncrement){
        this.declareIdIncrement = declareIdIncrement;
    }

    /**
    * 获取 申报id,对应所属 declare.id
    * @return declareIdList
    */
    public List<Long> getDeclareIdList(){
        return this.declareIdList;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdList
    */
    public void setDeclareIdList(List<Long> declareIdList){
        this.declareIdList = declareIdList;
    }

    /**
    * 获取 申报id,对应所属 declare.id
    * @return declareIdNotList
    */
    public List<Long> getDeclareIdNotList(){
        return this.declareIdNotList;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdNotList
    */
    public void setDeclareIdNotList(List<Long> declareIdNotList){
        this.declareIdNotList = declareIdNotList;
    }


    /**
    * 获取 开始 评价人 ID，关联用户表
    * @return evaluatorIdStart
    */
    public Long getEvaluatorIdStart(){
        return this.evaluatorIdStart;
    }

    /**
    * 设置 开始 评价人 ID，关联用户表
    * @param evaluatorIdStart
    */
    public void setEvaluatorIdStart(Long evaluatorIdStart){
        this.evaluatorIdStart = evaluatorIdStart;
    }

    /**
    * 获取 结束 评价人 ID，关联用户表
    * @return $evaluatorIdEnd
    */
    public Long getEvaluatorIdEnd(){
        return this.evaluatorIdEnd;
    }

    /**
    * 设置 结束 评价人 ID，关联用户表
    * @param evaluatorIdEnd
    */
    public void setEvaluatorIdEnd(Long evaluatorIdEnd){
        this.evaluatorIdEnd = evaluatorIdEnd;
    }

    /**
    * 获取 增加 评价人 ID，关联用户表
    * @return evaluatorIdIncrement
    */
    public Long getEvaluatorIdIncrement(){
        return this.evaluatorIdIncrement;
    }

    /**
    * 设置 增加 评价人 ID，关联用户表
    * @param evaluatorIdIncrement
    */
    public void setEvaluatorIdIncrement(Long evaluatorIdIncrement){
        this.evaluatorIdIncrement = evaluatorIdIncrement;
    }

    /**
    * 获取 评价人 ID，关联用户表
    * @return evaluatorIdList
    */
    public List<Long> getEvaluatorIdList(){
        return this.evaluatorIdList;
    }

    /**
    * 设置 评价人 ID，关联用户表
    * @param evaluatorIdList
    */
    public void setEvaluatorIdList(List<Long> evaluatorIdList){
        this.evaluatorIdList = evaluatorIdList;
    }

    /**
    * 获取 评价人 ID，关联用户表
    * @return evaluatorIdNotList
    */
    public List<Long> getEvaluatorIdNotList(){
        return this.evaluatorIdNotList;
    }

    /**
    * 设置 评价人 ID，关联用户表
    * @param evaluatorIdNotList
    */
    public void setEvaluatorIdNotList(List<Long> evaluatorIdNotList){
        this.evaluatorIdNotList = evaluatorIdNotList;
    }


    /**
    * 获取 评价人姓名或昵称
    * @return evaluatorNameList
    */
    public List<String> getEvaluatorNameList(){
        return this.evaluatorNameList;
    }

    /**
    * 设置 评价人姓名或昵称
    * @param evaluatorNameList
    */
    public void setEvaluatorNameList(List<String> evaluatorNameList){
        this.evaluatorNameList = evaluatorNameList;
    }

    /**
    * 获取 评价人姓名或昵称
    * @return evaluatorNameNotList
    */
    public List<String> getEvaluatorNameNotList(){
        return this.evaluatorNameNotList;
    }

    /**
    * 设置 评价人姓名或昵称
    * @param evaluatorNameNotList
    */
    public void setEvaluatorNameNotList(List<String> evaluatorNameNotList){
        this.evaluatorNameNotList = evaluatorNameNotList;
    }

    /**
    * 获取 开始 评分，一般 1~5 星
    * @return scoreStart
    */
    public Integer getScoreStart(){
        return this.scoreStart;
    }

    /**
    * 设置 开始 评分，一般 1~5 星
    * @param scoreStart
    */
    public void setScoreStart(Integer scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
    * 获取 结束 评分，一般 1~5 星
    * @return $scoreEnd
    */
    public Integer getScoreEnd(){
        return this.scoreEnd;
    }

    /**
    * 设置 结束 评分，一般 1~5 星
    * @param scoreEnd
    */
    public void setScoreEnd(Integer scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
    * 获取 增加 评分，一般 1~5 星
    * @return scoreIncrement
    */
    public Integer getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
    * 设置 增加 评分，一般 1~5 星
    * @param scoreIncrement
    */
    public void setScoreIncrement(Integer scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
    * 获取 评分，一般 1~5 星
    * @return scoreList
    */
    public List<Integer> getScoreList(){
        return this.scoreList;
    }

    /**
    * 设置 评分，一般 1~5 星
    * @param scoreList
    */
    public void setScoreList(List<Integer> scoreList){
        this.scoreList = scoreList;
    }

    /**
    * 获取 评分，一般 1~5 星
    * @return scoreNotList
    */
    public List<Integer> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
    * 设置 评分，一般 1~5 星
    * @param scoreNotList
    */
    public void setScoreNotList(List<Integer> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
    * 获取 评价内容
    * @return commentList
    */
    public List<String> getCommentList(){
        return this.commentList;
    }

    /**
    * 设置 评价内容
    * @param commentList
    */
    public void setCommentList(List<String> commentList){
        this.commentList = commentList;
    }

    /**
    * 获取 评价内容
    * @return commentNotList
    */
    public List<String> getCommentNotList(){
        return this.commentNotList;
    }

    /**
    * 设置 评价内容
    * @param commentNotList
    */
    public void setCommentNotList(List<String> commentNotList){
        this.commentNotList = commentNotList;
    }

    /**
    * 获取 意见建议
    * @return suggestionList
    */
    public List<String> getSuggestionList(){
        return this.suggestionList;
    }

    /**
    * 设置 意见建议
    * @param suggestionList
    */
    public void setSuggestionList(List<String> suggestionList){
        this.suggestionList = suggestionList;
    }

    /**
    * 获取 意见建议
    * @return suggestionNotList
    */
    public List<String> getSuggestionNotList(){
        return this.suggestionNotList;
    }

    /**
    * 设置 意见建议
    * @param suggestionNotList
    */
    public void setSuggestionNotList(List<String> suggestionNotList){
        this.suggestionNotList = suggestionNotList;
    }

    /**
    * 获取 开始 评价状态(1.正常，2.删除，3.隐藏)
    * @return evalStatusStart
    */
    public Integer getEvalStatusStart(){
        return this.evalStatusStart;
    }

    /**
    * 设置 开始 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusStart
    */
    public void setEvalStatusStart(Integer evalStatusStart){
        this.evalStatusStart = evalStatusStart;
    }

    /**
    * 获取 结束 评价状态(1.正常，2.删除，3.隐藏)
    * @return $evalStatusEnd
    */
    public Integer getEvalStatusEnd(){
        return this.evalStatusEnd;
    }

    /**
    * 设置 结束 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusEnd
    */
    public void setEvalStatusEnd(Integer evalStatusEnd){
        this.evalStatusEnd = evalStatusEnd;
    }

    /**
    * 获取 增加 评价状态(1.正常，2.删除，3.隐藏)
    * @return evalStatusIncrement
    */
    public Integer getEvalStatusIncrement(){
        return this.evalStatusIncrement;
    }

    /**
    * 设置 增加 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusIncrement
    */
    public void setEvalStatusIncrement(Integer evalStatusIncrement){
        this.evalStatusIncrement = evalStatusIncrement;
    }

    /**
    * 获取 评价状态(1.正常，2.删除，3.隐藏)
    * @return evalStatusList
    */
    public List<Integer> getEvalStatusList(){
        return this.evalStatusList;
    }

    /**
    * 设置 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusList
    */
    public void setEvalStatusList(List<Integer> evalStatusList){
        this.evalStatusList = evalStatusList;
    }

    /**
    * 获取 评价状态(1.正常，2.删除，3.隐藏)
    * @return evalStatusNotList
    */
    public List<Integer> getEvalStatusNotList(){
        return this.evalStatusNotList;
    }

    /**
    * 设置 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusNotList
    */
    public void setEvalStatusNotList(List<Integer> evalStatusNotList){
        this.evalStatusNotList = evalStatusNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public EvaluationInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public EvaluationInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public EvaluationInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public EvaluationInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public EvaluationInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public EvaluationInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  申报id,对应所属 declare.id
    * @param declareId
    */
    public EvaluationInfoQuery declareId(Long declareId){
	    setDeclareId(declareId);
		return this;
    }
	
	 /**
    * 设置 开始 申报id,对应所属 declare.id
    * @param declareIdStart
    */
    public EvaluationInfoQuery declareIdStart(Long declareIdStart){
		this.declareIdStart = declareIdStart;
		return this;
    }

    /**
    * 设置 结束 申报id,对应所属 declare.id
    * @param declareIdEnd
    */
    public EvaluationInfoQuery declareIdEnd(Long declareIdEnd){
		this.declareIdEnd = declareIdEnd;
		return this;
    }

    /**
    * 设置 增加 申报id,对应所属 declare.id
    * @param declareIdIncrement
    */
    public EvaluationInfoQuery declareIdIncrement(Long declareIdIncrement){
		this.declareIdIncrement = declareIdIncrement;
		return this;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdList
    */
    public EvaluationInfoQuery declareIdList(List<Long> declareIdList){
        this.declareIdList = declareIdList;
		return this;
        }

        /**
        * 设置 申报id,对应所属 declare.id
        * @param declareIdNotList
        */
        public EvaluationInfoQuery declareIdNotList(List<Long> declareIdNotList){
        this.declareIdNotList = declareIdNotList;
        return this;
        }

    /**
    * 设置  评价人 ID，关联用户表
    * @param evaluatorId
    */
    public EvaluationInfoQuery evaluatorId(Long evaluatorId){
	    setEvaluatorId(evaluatorId);
		return this;
    }
	
	 /**
    * 设置 开始 评价人 ID，关联用户表
    * @param evaluatorIdStart
    */
    public EvaluationInfoQuery evaluatorIdStart(Long evaluatorIdStart){
		this.evaluatorIdStart = evaluatorIdStart;
		return this;
    }

    /**
    * 设置 结束 评价人 ID，关联用户表
    * @param evaluatorIdEnd
    */
    public EvaluationInfoQuery evaluatorIdEnd(Long evaluatorIdEnd){
		this.evaluatorIdEnd = evaluatorIdEnd;
		return this;
    }

    /**
    * 设置 增加 评价人 ID，关联用户表
    * @param evaluatorIdIncrement
    */
    public EvaluationInfoQuery evaluatorIdIncrement(Long evaluatorIdIncrement){
		this.evaluatorIdIncrement = evaluatorIdIncrement;
		return this;
    }

    /**
    * 设置 评价人 ID，关联用户表
    * @param evaluatorIdList
    */
    public EvaluationInfoQuery evaluatorIdList(List<Long> evaluatorIdList){
        this.evaluatorIdList = evaluatorIdList;
		return this;
        }

        /**
        * 设置 评价人 ID，关联用户表
        * @param evaluatorIdNotList
        */
        public EvaluationInfoQuery evaluatorIdNotList(List<Long> evaluatorIdNotList){
        this.evaluatorIdNotList = evaluatorIdNotList;
        return this;
        }


	/**
    * 设置 评价人姓名或昵称
    * @param evaluatorName
    */
    public EvaluationInfoQuery evaluatorName(String evaluatorName){
        setEvaluatorName(evaluatorName);
		return this;
    }

    /**
    * 设置 评价人姓名或昵称
    * @param evaluatorNameList
    */
    public EvaluationInfoQuery evaluatorNameList(List<String> evaluatorNameList){
        this.evaluatorNameList = evaluatorNameList;
		return this;
    }

    /**
    * 设置  评分，一般 1~5 星
    * @param score
    */
    public EvaluationInfoQuery score(Integer score){
	    setScore(score);
		return this;
    }
	
	 /**
    * 设置 开始 评分，一般 1~5 星
    * @param scoreStart
    */
    public EvaluationInfoQuery scoreStart(Integer scoreStart){
		this.scoreStart = scoreStart;
		return this;
    }

    /**
    * 设置 结束 评分，一般 1~5 星
    * @param scoreEnd
    */
    public EvaluationInfoQuery scoreEnd(Integer scoreEnd){
		this.scoreEnd = scoreEnd;
		return this;
    }

    /**
    * 设置 增加 评分，一般 1~5 星
    * @param scoreIncrement
    */
    public EvaluationInfoQuery scoreIncrement(Integer scoreIncrement){
		this.scoreIncrement = scoreIncrement;
		return this;
    }

    /**
    * 设置 评分，一般 1~5 星
    * @param scoreList
    */
    public EvaluationInfoQuery scoreList(List<Integer> scoreList){
        this.scoreList = scoreList;
		return this;
        }

        /**
        * 设置 评分，一般 1~5 星
        * @param scoreNotList
        */
        public EvaluationInfoQuery scoreNotList(List<Integer> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
        }


	/**
    * 设置 评价内容
    * @param comment
    */
    public EvaluationInfoQuery comment(String comment){
        setComment(comment);
		return this;
    }

    /**
    * 设置 评价内容
    * @param commentList
    */
    public EvaluationInfoQuery commentList(List<String> commentList){
        this.commentList = commentList;
		return this;
    }


	/**
    * 设置 意见建议
    * @param suggestion
    */
    public EvaluationInfoQuery suggestion(String suggestion){
        setSuggestion(suggestion);
		return this;
    }

    /**
    * 设置 意见建议
    * @param suggestionList
    */
    public EvaluationInfoQuery suggestionList(List<String> suggestionList){
        this.suggestionList = suggestionList;
		return this;
    }

    /**
    * 设置  评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatus
    */
    public EvaluationInfoQuery evalStatus(Integer evalStatus){
	    setEvalStatus(evalStatus);
		return this;
    }
	
	 /**
    * 设置 开始 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusStart
    */
    public EvaluationInfoQuery evalStatusStart(Integer evalStatusStart){
		this.evalStatusStart = evalStatusStart;
		return this;
    }

    /**
    * 设置 结束 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusEnd
    */
    public EvaluationInfoQuery evalStatusEnd(Integer evalStatusEnd){
		this.evalStatusEnd = evalStatusEnd;
		return this;
    }

    /**
    * 设置 增加 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusIncrement
    */
    public EvaluationInfoQuery evalStatusIncrement(Integer evalStatusIncrement){
		this.evalStatusIncrement = evalStatusIncrement;
		return this;
    }

    /**
    * 设置 评价状态(1.正常，2.删除，3.隐藏)
    * @param evalStatusList
    */
    public EvaluationInfoQuery evalStatusList(List<Integer> evalStatusList){
        this.evalStatusList = evalStatusList;
		return this;
        }

        /**
        * 设置 评价状态(1.正常，2.删除，3.隐藏)
        * @param evalStatusNotList
        */
        public EvaluationInfoQuery evalStatusNotList(List<Integer> evalStatusNotList){
        this.evalStatusNotList = evalStatusNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public EvaluationInfoQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public EvaluationInfoQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public EvaluationInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public EvaluationInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public EvaluationInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public EvaluationInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public EvaluationInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public EvaluationInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<EvaluationInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<EvaluationInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<EvaluationInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<EvaluationInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}