package com.mortals.xhx.module.evaluation.web;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.evaluation.model.EvaluationInfoEntity;
import com.mortals.xhx.module.evaluation.service.EvaluationInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

import com.mortals.xhx.common.code.*;

/**
 * 用户代办帮办评价
 *
 * @author zxfei
 * @date 2025-04-27
 */
@RestController
@RequestMapping("evaluation/info")
public class EvaluationInfoController extends BaseCRUDJsonBodyMappingController<EvaluationInfoService, EvaluationInfoEntity, Long> {

    @Autowired
    private ParamService paramService;

    public EvaluationInfoController() {
        super.setModuleDesc("用户代办帮办评价");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {

        this.addDict(model, "evalStatus", EvalStatusEnum.getEnumMap());
        super.init(model, context);
    }


}