package com.mortals.xhx.module.park.model;

import java.util.List;
import com.mortals.xhx.module.park.model.ParkEntity;
/**
* 园区基本信息查询对象
*
* @author zxfei
* @date 2025-04-27
*/
public class ParkQuery extends ParkEntity {
    /** 开始 园区id */
    private Long idStart;

    /** 结束 园区id */
    private Long idEnd;

    /** 增加 园区id */
    private Long idIncrement;

    /** 园区id列表 */
    private List <Long> idList;

    /** 园区id排除列表 */
    private List <Long> idNotList;

    /** 园区名称 */
    private List<String> nameList;

    /** 园区名称排除列表 */
    private List <String> nameNotList;
    /** 园区编码 */
    private List<String> codeList;

    /** 园区编码排除列表 */
    private List <String> codeNotList;
    /** 园区介绍 */
    private List<String> introductionList;

    /** 园区介绍排除列表 */
    private List <String> introductionNotList;
    /** 电话号码 */
    private List<String> phoneList;

    /** 电话号码排除列表 */
    private List <String> phoneNotList;
    /** 园区地址 */
    private List<String> addressList;

    /** 园区地址排除列表 */
    private List <String> addressNotList;
    /** 园区图标 */
    private List<String> iconList;

    /** 园区图标排除列表 */
    private List <String> iconNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ParkQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ParkQuery> andConditionList;

    public ParkQuery(){}

    /**
    * 获取 开始 园区id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 园区id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 园区id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 园区id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 园区id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 园区id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 园区id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 园区id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 园区id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 园区id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 园区名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 园区名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 园区名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 园区名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 园区编码
    * @return codeList
    */
    public List<String> getCodeList(){
        return this.codeList;
    }

    /**
    * 设置 园区编码
    * @param codeList
    */
    public void setCodeList(List<String> codeList){
        this.codeList = codeList;
    }

    /**
    * 获取 园区编码
    * @return codeNotList
    */
    public List<String> getCodeNotList(){
        return this.codeNotList;
    }

    /**
    * 设置 园区编码
    * @param codeNotList
    */
    public void setCodeNotList(List<String> codeNotList){
        this.codeNotList = codeNotList;
    }

    /**
    * 获取 园区介绍
    * @return introductionList
    */
    public List<String> getIntroductionList(){
        return this.introductionList;
    }

    /**
    * 设置 园区介绍
    * @param introductionList
    */
    public void setIntroductionList(List<String> introductionList){
        this.introductionList = introductionList;
    }

    /**
    * 获取 园区介绍
    * @return introductionNotList
    */
    public List<String> getIntroductionNotList(){
        return this.introductionNotList;
    }

    /**
    * 设置 园区介绍
    * @param introductionNotList
    */
    public void setIntroductionNotList(List<String> introductionNotList){
        this.introductionNotList = introductionNotList;
    }

    /**
    * 获取 电话号码
    * @return phoneList
    */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 电话号码
    * @param phoneList
    */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
    * 获取 电话号码
    * @return phoneNotList
    */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
    * 设置 电话号码
    * @param phoneNotList
    */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
    * 获取 园区地址
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 园区地址
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
    * 获取 园区地址
    * @return addressNotList
    */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
    * 设置 园区地址
    * @param addressNotList
    */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
    * 获取 园区图标
    * @return iconList
    */
    public List<String> getIconList(){
        return this.iconList;
    }

    /**
    * 设置 园区图标
    * @param iconList
    */
    public void setIconList(List<String> iconList){
        this.iconList = iconList;
    }

    /**
    * 获取 园区图标
    * @return iconNotList
    */
    public List<String> getIconNotList(){
        return this.iconNotList;
    }

    /**
    * 设置 园区图标
    * @param iconNotList
    */
    public void setIconNotList(List<String> iconNotList){
        this.iconNotList = iconNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  园区id
    * @param id
    */
    public ParkQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 园区id
    * @param idStart
    */
    public ParkQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 园区id
    * @param idEnd
    */
    public ParkQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 园区id
    * @param idIncrement
    */
    public ParkQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 园区id
    * @param idList
    */
    public ParkQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 园区id
        * @param idNotList
        */
        public ParkQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 园区名称
    * @param name
    */
    public ParkQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 园区名称
    * @param nameList
    */
    public ParkQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 园区编码
    * @param code
    */
    public ParkQuery code(String code){
        setCode(code);
		return this;
    }

    /**
    * 设置 园区编码
    * @param codeList
    */
    public ParkQuery codeList(List<String> codeList){
        this.codeList = codeList;
		return this;
    }


	/**
    * 设置 园区介绍
    * @param introduction
    */
    public ParkQuery introduction(String introduction){
        setIntroduction(introduction);
		return this;
    }

    /**
    * 设置 园区介绍
    * @param introductionList
    */
    public ParkQuery introductionList(List<String> introductionList){
        this.introductionList = introductionList;
		return this;
    }


	/**
    * 设置 电话号码
    * @param phone
    */
    public ParkQuery phone(String phone){
        setPhone(phone);
		return this;
    }

    /**
    * 设置 电话号码
    * @param phoneList
    */
    public ParkQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
		return this;
    }


	/**
    * 设置 园区地址
    * @param address
    */
    public ParkQuery address(String address){
        setAddress(address);
		return this;
    }

    /**
    * 设置 园区地址
    * @param addressList
    */
    public ParkQuery addressList(List<String> addressList){
        this.addressList = addressList;
		return this;
    }


	/**
    * 设置 园区图标
    * @param icon
    */
    public ParkQuery icon(String icon){
        setIcon(icon);
		return this;
    }

    /**
    * 设置 园区图标
    * @param iconList
    */
    public ParkQuery iconList(List<String> iconList){
        this.iconList = iconList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ParkQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ParkQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ParkQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ParkQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ParkQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ParkQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ParkQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ParkQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ParkQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ParkQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}