package com.mortals.xhx.module.park.service.impl;
import com.mortals.framework.model.PageInfo;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.park.dao.ParkDao;
import com.mortals.xhx.module.park.model.ParkEntity;
import com.mortals.xhx.module.park.service.ParkService;
import lombok.extern.slf4j.Slf4j;
/**
* ParkService
* 园区基本信息 service实现
*
* @author zxfei
* @date 2025-04-27
*/
@Service("parkService")
@Slf4j
public class ParkServiceImpl extends AbstractCRUDServiceImpl<ParkDao, ParkEntity, Long> implements ParkService {
    
}