//跨域代理前缀
// const API_PROXY_PREFIX='/api'
// const BASE_URL = process.env.NODE_ENV === 'production' ? process.env.VUE_APP_API_BASE_URL : API_PROXY_PREFIX
const BASE_URL = process.env.VUE_APP_API_BASE_URL;
module.exports = {
  // LOGIN: `${BASE_URL}/base/login`,
  LOGIN: `${BASE_URL}/base/admin/waited/login`,
  // ROUTES: `${BASE_URL}/base/routes`
  user: {
    listdata: `${BASE_URL}/base/admin/user/listdata`,
    save: `${BASE_URL}/base/admin/user/save`,
    dl: `${BASE_URL}/base/admin/user/dl`,
    usersite: `${BASE_URL}/base/admin/user/usersite`,
  },
  section: {
    listdata: `${BASE_URL}/base/admin/section/listdata`, //部门列表
    allupload: `${BASE_URL}/base/admin/section/allupload`, //部门-导入
  },
  kqset: {
    save: `${BASE_URL}/base/admin/kqset/save`, //统一监测时间-修改提交
    info: `${BASE_URL}/base/admin/kqset/info`, //统一监测时间-详情
  },
  window: {
    save: `${BASE_URL}/base/admin/window/save`, //添加修改窗口
    info: `${BASE_URL}/base/admin/window/info`, //窗口-详情
    listdata: `${BASE_URL}/base/admin/window/listdata`, //窗口-列表
    dl: `${BASE_URL}/base/admin/window/dl`, //窗口-删除
    allupload: `${BASE_URL}/base/admin/window/allupload`, //窗口-导入
    download: `${BASE_URL}/base/admin/window/download`, //窗口-导出
    windowtree: `${BASE_URL}/base/admin/window/windowtree`, //部门窗口树
  },
  api: {
    modelfile: `${BASE_URL}/base/api/model_file/modelfile`, //模板下载
    file: `${BASE_URL}/base/api/upload/file`, //单/多文件上传
    dlfile: `${BASE_URL}/base/api/upload/dlfile`, //模板下载
    dictionary: `${BASE_URL}/base/api/dictionary/index`, //字典
  },
  device: {
    save: `${BASE_URL}/base/admin/device/save`, //摄像头添加修改窗口
    info: `${BASE_URL}/base/admin/device/info`, //摄像头-详情
    listdata: `${BASE_URL}/base/admin/device/listdata`, //摄像头-列表
    dl: `${BASE_URL}/base/admin/device/dl`, //摄像头-删除
  },
  area: {
    save: `${BASE_URL}/base/admin/device/saveArea`, //摄像头-设置摄像头规则
    info: `${BASE_URL}/base/admin/device/areainfo`, //摄像头-查询摄像头规则
    dl: `${BASE_URL}/base/admin/device/dlarea`, //摄像头-清除规则
  },
  servers: {
    save: `${BASE_URL}/base/admin/device/serversave`, //服务器添加修改窗口
    info: `${BASE_URL}/base/admin/device/serversinfo`, //服务器-详情
    listdata: `${BASE_URL}/base/admin/device/serverslist`, //服务器-列表
    dl: `${BASE_URL}/base/admin/device/serversdl`, //服务器-删除
  },
  aimodel: {
    save: `${BASE_URL}/base/admin/aimodel/save`, //摄像头添加修改窗口
    info: `${BASE_URL}/base/admin/aimodel/info`, //摄像头-详情
    listdata: `${BASE_URL}/base/admin/aimodel/listdata`, //摄像头-列表
    dl: `${BASE_URL}/base/admin/aimodel/dl`, //摄像头-删除
  },
  windowinfo: {
    info: `${BASE_URL}/base/admin/video/windowinfo`, //视频回放-详情
    listdata: `${BASE_URL}/base/admin/video/windowtype`, //视频回放-列表
  },
  queue: {
    listdata: `${BASE_URL}/base/admin/video/queue`, //按办件回放-列表
  },
  alert: {
    listdata: `${BASE_URL}/base/admin/alert/listdata`, //监察记录-报警记录
    info: `${BASE_URL}/base/admin/alert/info`, //监察记录-报警记录详情
  },
  appeal: {
    listdata: `${BASE_URL}/base/admin/appeal/listdata`, //申诉-列表
    info: `${BASE_URL}/base/admin/appeal/info`, //申诉-详情
    appealsh: `${BASE_URL}/base/admin/appeal/appealsh`, //申诉-审批
  },
  position: {
    save: `${BASE_URL}/base/admin/position/save`, //角色添加修改
    info: `${BASE_URL}/base/admin/position/info`, //角色-详情
    listdata: `${BASE_URL}/base/admin/position/listdata`, //角色-列表
    dl: `${BASE_URL}/base/admin/position/dl`, //角色-删除
    positionauth: `${BASE_URL}/base/admin/position/positionauth`, //角色-角色授权 功能授权
  },
  auth: {
    listdata: `${BASE_URL}/base/admin/position/authlist`, //权限菜单列表
  },
  log: {
    listdata: `${BASE_URL}/base/admin/log/listdata`, //日志列表
  },
  waited: {
    listdata: `${BASE_URL}/base/admin/waited/sitelist`, //站点列表
    savesite: `${BASE_URL}/base/admin/waited/savesite`, //切换站点-已登陆用户
  },
  edition: {
    listdata: `${BASE_URL}/base/admin/edition/listdata`, //系统版本列表
    save: `${BASE_URL}/base/admin/edition/save`, //系统版本添加修改
  },
  index: {
    index: `${BASE_URL}/base/admin/index/index`, //首页-banner下方的今日统计情况汇总
    anomaly: `${BASE_URL}/base/admin/index/anomaly`, //首页-数据分析
    analysisfrom: `${BASE_URL}/base/admin/index/analysisfrom`, //分析报表-准确率
    sectiontop: `${BASE_URL}/base/admin/index/sectiontop`, //分析报表-部门扣分 top5
    ycdata: `${BASE_URL}/base/admin/index/ycdata`, //分析报表-异常行为情况展示
    windowtop: `${BASE_URL}/base/admin/index/windowtop`, //分析报表-窗口扣分 top10
  },
  employee: {
    save: `${BASE_URL}/base/admin/employee/save`, //监察组添加修改
    info: `${BASE_URL}/base/admin/employee/info`, //监察组-详情
    listdata: `${BASE_URL}/base/admin/employee/listdata`, //监察组-列表
    dl: `${BASE_URL}/base/admin/employee/dl`, //监察组-删除
  },
  role: {
    save: `${BASE_URL}/base/admin/role/save`, //指标管理-指标修改
    listrole: `${BASE_URL}/base/admin/role/listdata`, //指标管理-分类列表
    listdata: `${BASE_URL}/base/admin/role/standardlist`, //指标管理-指标列表 根据分类名查询
  },
};
