import {
    siteSmsset
} from '@/services/basicsetApi'

import { request, METHOD } from '@/utils/request'

// 获取站点短信设置
export async function getSmssetList(data) {
    return request(siteSmsset.list, METHOD.POST, data)
}

// 保存短信设置
export async function saveSmssetList(data) {
    return request(siteSmsset.save, METHOD.POST, data)
}
