export default {
  namespaced: true,
  state: {
    path: "", // 门户跳转过来的路由
    sysName: "", // 系统名称
    sysLogo: "", // 系统logo
    siteId: "", // 站点id
    siteName: "", // 站点名称
    imageResolution: [], // 皮肤设置分辨率
    SiteTree: [], // 站点树
    appTemplate: [], // 应用模板属性
    matterDict: {}, // 事项字典
    token: "",
    userInfo: {}, // 用户信息
    appDict: {}, // 应用字典
    curSkin: {}, // 当前选中预览皮肤
    curSkinIndex: 0, // 当前选中皮肤索引
    curProduct: {}, // 皮肤设置当前选中产品
  },
  getters: {
    SiteTree(state) {
      return state.SiteTree;
    },
    appTemplate(state) {
      return state.appTemplate;
    },
    matterDict(state) {
      return state.matterDict;
    },
    token(state) {
      return state.token;
    },
    userInfo(state) {
      return state.userInfo;
    },
    appDict(state) {
      return state.appDict;
    },
    siteId(state) {
      return state.siteId;
    },
    imageResolutions(state) {
      return state.imageResolution;
    },
  },
  mutations: {
    SET_path(state, path) {
      state.path = path;
    },
    SET_sysName(state, sysName) {
      state.sysName = sysName;
    },
    SET_sysLogo(state, sysLogo) {
      state.sysLogo = sysLogo;
    },
    SET_siteName(state, siteName) {
      state.siteName = siteName;
    },
    SET_userInfo(state, userInfo) {
      state.userInfo = userInfo;
    },
    SET_token(state, token) {
      state.token = token;
    },
    SET_curProduct(state, curProduct) {
      state.curProduct = curProduct;
    },
    SET_curSkinIndex(state, curSkinIndex) {
      state.curSkinIndex = curSkinIndex;
    },
    SET_appDict(state, appDict) {
      state.appDict = appDict;
    },
    SET_curSkin(state, curSkin) {
      state.curSkin = curSkin;
    },
    SET_appTemplate(state, appTemplate) {
      state.appTemplate = appTemplate;
    },
    SET_matterDict(state, matterDict) {
      state.matterDict = matterDict;
    },
    SET_SITE_ID(state, newId) {
      state.siteId = newId;
    },
    SET_SiteTree(state, SiteTree) {
      state.SiteTree = SiteTree;
    },
    SET_imageResolution(state, imageResolution) {
      state.imageResolution = imageResolution;
    }, // 皮肤设置分辨率字典
  },
};
