/**
 *  本地存储方法
 */
const local = {
    setLocal(item,val){
         localStorage.setItem(item,JSON.stringify(val))
    },
    getLocal(item){
        return JSON.parse(localStorage.getItem(item)) 
    },
    clearLocal(){
        localStorage.clear()
    },
    removeLocal(item){
        localStorage.removeItem(item)
    }
}

export default local