package com.mortals.xhx.base.framework.filter;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;
import lombok.extern.slf4j.Slf4j;


public class LogFilter extends Filter<ILoggingEvent> {

    @Override
    public FilterReply decide(ILoggingEvent event) {
        if (event.getLoggerName().contains("TaskDaoImpl.getList")) {
            return FilterReply.DENY;
        }
        if(event.getMessage().contains("from mortals_xhx_task as a")){
            return FilterReply.DENY;
        }
        return FilterReply.NEUTRAL;
    }
}
