package com.mortals.xhx.common.key;

public final class Constant {

    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * 站点编号分隔符
     */
    public static final String SITE_SPLIT_MARK = "-";

    /**
     * 站点编号补零位数
     */
    public static final Integer SITE_CODE_NUM = 4;
    /**
     * 最大重试次数
     */
    public static final Integer MAX_RETRY_COUNT = 5;


    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 登录设备 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "user:login:tokens:";

    /**
     * 令牌
     */
    public static final String TOKEN = "token";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Bearer ";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "login_user_key";


    /**
     * domain
     */
    public static final String DOMAIN = "domain";

    /**
     * 基础代码版本 Z-BASE.MANAGER-S1.0.0
     */
    public final static String BASEMANAGER_VERSION = "Z-BASE.MANAGER-S1.0.0";


    /**
     * 服务器http
     */
    public final static String PARAM_SERVER_HTTP_IMAGE_URL = "server_http_image_url";

    /**
     * 身份证加密key
     */
    public static final String MYSQL_KEY = "xhx-85435158";


    /**
     * 政务网部门地址
     */
    public static final String GOV_DEPT_URL = "gov_dept_url";

    /**
     * 政务网个人服务地址
     */
    public static final String GOV_GR_URL = "gov_gr_url";

    /**
     * 政务网法人服务地址
     */
    public static final String GOV_FR_URL = "gov_fr_url";

    /**
     * 政务网乡镇主题服务地址
     */
    public static final String GOV_TOWN_URL = "gov_town_url";

    /**
     * 政务网公共服务地址
     */
    public static final String GOV_PUB_URL = "gov_pub_url";

    /**
     * 政务网事项地址
     */
    public static final String GOV_MATTER_URL = "gov_matter_url";

    /**
     * 政务网事项分页地址
     */
    public static final String GOV_MATTER_PAGELIST_URL = "gov_matter_pagelist_url";


    /**
     * app不是基础地址
     */
    public static final String APP_BASE_DISTRIBUTE_PATH = "app_base_distribute_path";


    /**
     * 服务器http
     */
    public final static String PARAM_SERVER_HTTP_URL = "server_http_url";
    /**
     * php服务器http
     */
    public final static String PARAM_SERVER_PHP_HTTP_URL = "server_php_http_url";

    public final static String CUSTAPP_ROOT_PATH = "app";


    public final static String USER_SITE_TREE = "user:site:tree";



    public final static String QR_CODE = "https://tftb.sczwfw.gov.cn:8085/jmopenpub/jmopen_files/unzip/708da07c16d8405bbaaa542d2c64e8f9/dzqyfwsxwbzqyvpty/html/matterDetails.html?";


}
