package com.mortals.xhx.module.app.model;

import java.util.List;
import com.mortals.xhx.module.app.model.AppInfoTempleteFieldEntity;
/**
 * 自助终端应用模板信息字段查询对象
 *
 * @author zxfei
 * @date 2023-09-13
 */
public class AppInfoTempleteFieldQuery extends AppInfoTempleteFieldEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 应用id */
    private Long appIdStart;

    /** 结束 应用id */
    private Long appIdEnd;

    /** 增加 应用id */
    private Long appIdIncrement;

    /** 应用id列表 */
    private List <Long> appIdList;

    /** 应用id排除列表 */
    private List <Long> appIdNotList;

    /** 字段编码 */
    private List<String> fieldCodeList;

    /** 字段编码排除列表 */
    private List <String> fieldCodeNotList;
    /** 字段名称 */
    private List<String> fieldNameList;

    /** 字段名称排除列表 */
    private List <String> fieldNameNotList;
    /** 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本） */
    private List<String> fieldTypeList;

    /** 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）排除列表 */
    private List <String> fieldTypeNotList;
    /** 字段类型值，当字段类型为多选，单选时候，预设复选值 */
    private List<String> fieldTypeValueList;

    /** 字段类型值，当字段类型为多选，单选时候，预设复选值排除列表 */
    private List <String> fieldTypeValueNotList;
    /** 数据类型（number.数字,string.字符串） */
    private List<String> dataTypeList;

    /** 数据类型（number.数字,string.字符串）排除列表 */
    private List <String> dataTypeNotList;
    /** 字段值 */
    private List<String> fieldValueList;

    /** 字段值排除列表 */
    private List <String> fieldValueNotList;
    /** 字段默认值 */
    private List<String> defaultValueList;

    /** 字段默认值排除列表 */
    private List <String> defaultValueNotList;
    /** 开始 数据长度，默认128 */
    private Integer fieldLenStart;

    /** 结束 数据长度，默认128 */
    private Integer fieldLenEnd;

    /** 增加 数据长度，默认128 */
    private Integer fieldLenIncrement;

    /** 数据长度，默认128列表 */
    private List <Integer> fieldLenList;

    /** 数据长度，默认128排除列表 */
    private List <Integer> fieldLenNotList;

    /** 开始 是否允许为空，(0.否,1.是) */
    private Integer fieldNullStart;

    /** 结束 是否允许为空，(0.否,1.是) */
    private Integer fieldNullEnd;

    /** 增加 是否允许为空，(0.否,1.是) */
    private Integer fieldNullIncrement;

    /** 是否允许为空，(0.否,1.是)列表 */
    private List <Integer> fieldNullList;

    /** 是否允许为空，(0.否,1.是)排除列表 */
    private List <Integer> fieldNullNotList;

    /** 开始 字段是否列表显示(0.否,1.是) */
    private Integer isListStart;

    /** 结束 字段是否列表显示(0.否,1.是) */
    private Integer isListEnd;

    /** 增加 字段是否列表显示(0.否,1.是) */
    private Integer isListIncrement;

    /** 字段是否列表显示(0.否,1.是)列表 */
    private List <Integer> isListList;

    /** 字段是否列表显示(0.否,1.是)排除列表 */
    private List <Integer> isListNotList;

    /** 开始 排序号 */
    private Integer fieldOrderNoStart;

    /** 结束 排序号 */
    private Integer fieldOrderNoEnd;

    /** 增加 排序号 */
    private Integer fieldOrderNoIncrement;

    /** 排序号列表 */
    private List <Integer> fieldOrderNoList;

    /** 排序号排除列表 */
    private List <Integer> fieldOrderNoNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 事件服务接口请求地址 */
    private List<String> serviceApiList;

    /** 事件服务接口请求地址排除列表 */
    private List <String> serviceApiNotList;
    /** 事件服务接口请求参数，json格式 */
    private List<String> serviceApiParamsList;

    /** 事件服务接口请求参数，json格式排除列表 */
    private List <String> serviceApiParamsNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 修改用户 */
    private Long updateUserIdStart;

    /** 结束 修改用户 */
    private Long updateUserIdEnd;

    /** 增加 修改用户 */
    private Long updateUserIdIncrement;

    /** 修改用户列表 */
    private List <Long> updateUserIdList;

    /** 修改用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppInfoTempleteFieldQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppInfoTempleteFieldQuery> andConditionList;

    public AppInfoTempleteFieldQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 应用id
     * @return appIdStart
     */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
     * 设置 开始 应用id
     * @param appIdStart
     */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
     * 获取 结束 应用id
     * @return $appIdEnd
     */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
     * 设置 结束 应用id
     * @param appIdEnd
     */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
     * 获取 增加 应用id
     * @return appIdIncrement
     */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
     * 设置 增加 应用id
     * @param appIdIncrement
     */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
     * 获取 应用id
     * @return appIdList
     */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
     * 设置 应用id
     * @param appIdList
     */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
     * 获取 应用id
     * @return appIdNotList
     */
    public List<Long> getAppIdNotList(){
        return this.appIdNotList;
    }

    /**
     * 设置 应用id
     * @param appIdNotList
     */
    public void setAppIdNotList(List<Long> appIdNotList){
        this.appIdNotList = appIdNotList;
    }


    /**
     * 获取 字段编码
     * @return fieldCodeList
     */
    public List<String> getFieldCodeList(){
        return this.fieldCodeList;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeList
     */
    public void setFieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
    }

    /**
     * 获取 字段编码
     * @return fieldCodeNotList
     */
    public List<String> getFieldCodeNotList(){
        return this.fieldCodeNotList;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeNotList
     */
    public void setFieldCodeNotList(List<String> fieldCodeNotList){
        this.fieldCodeNotList = fieldCodeNotList;
    }

    /**
     * 获取 字段名称
     * @return fieldNameList
     */
    public List<String> getFieldNameList(){
        return this.fieldNameList;
    }

    /**
     * 设置 字段名称
     * @param fieldNameList
     */
    public void setFieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
    }

    /**
     * 获取 字段名称
     * @return fieldNameNotList
     */
    public List<String> getFieldNameNotList(){
        return this.fieldNameNotList;
    }

    /**
     * 设置 字段名称
     * @param fieldNameNotList
     */
    public void setFieldNameNotList(List<String> fieldNameNotList){
        this.fieldNameNotList = fieldNameNotList;
    }

    /**
     * 获取 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @return fieldTypeList
     */
    public List<String> getFieldTypeList(){
        return this.fieldTypeList;
    }

    /**
     * 设置 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @param fieldTypeList
     */
    public void setFieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
    }

    /**
     * 获取 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @return fieldTypeNotList
     */
    public List<String> getFieldTypeNotList(){
        return this.fieldTypeNotList;
    }

    /**
     * 设置 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @param fieldTypeNotList
     */
    public void setFieldTypeNotList(List<String> fieldTypeNotList){
        this.fieldTypeNotList = fieldTypeNotList;
    }

    /**
     * 获取 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @return fieldTypeValueList
     */
    public List<String> getFieldTypeValueList(){
        return this.fieldTypeValueList;
    }

    /**
     * 设置 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @param fieldTypeValueList
     */
    public void setFieldTypeValueList(List<String> fieldTypeValueList){
        this.fieldTypeValueList = fieldTypeValueList;
    }

    /**
     * 获取 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @return fieldTypeValueNotList
     */
    public List<String> getFieldTypeValueNotList(){
        return this.fieldTypeValueNotList;
    }

    /**
     * 设置 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @param fieldTypeValueNotList
     */
    public void setFieldTypeValueNotList(List<String> fieldTypeValueNotList){
        this.fieldTypeValueNotList = fieldTypeValueNotList;
    }

    /**
     * 获取 数据类型（number.数字,string.字符串）
     * @return dataTypeList
     */
    public List<String> getDataTypeList(){
        return this.dataTypeList;
    }

    /**
     * 设置 数据类型（number.数字,string.字符串）
     * @param dataTypeList
     */
    public void setDataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
    }

    /**
     * 获取 数据类型（number.数字,string.字符串）
     * @return dataTypeNotList
     */
    public List<String> getDataTypeNotList(){
        return this.dataTypeNotList;
    }

    /**
     * 设置 数据类型（number.数字,string.字符串）
     * @param dataTypeNotList
     */
    public void setDataTypeNotList(List<String> dataTypeNotList){
        this.dataTypeNotList = dataTypeNotList;
    }

    /**
     * 获取 字段值
     * @return fieldValueList
     */
    public List<String> getFieldValueList(){
        return this.fieldValueList;
    }

    /**
     * 设置 字段值
     * @param fieldValueList
     */
    public void setFieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
    }

    /**
     * 获取 字段值
     * @return fieldValueNotList
     */
    public List<String> getFieldValueNotList(){
        return this.fieldValueNotList;
    }

    /**
     * 设置 字段值
     * @param fieldValueNotList
     */
    public void setFieldValueNotList(List<String> fieldValueNotList){
        this.fieldValueNotList = fieldValueNotList;
    }

    /**
     * 获取 字段默认值
     * @return defaultValueList
     */
    public List<String> getDefaultValueList(){
        return this.defaultValueList;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueList
     */
    public void setDefaultValueList(List<String> defaultValueList){
        this.defaultValueList = defaultValueList;
    }

    /**
     * 获取 字段默认值
     * @return defaultValueNotList
     */
    public List<String> getDefaultValueNotList(){
        return this.defaultValueNotList;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueNotList
     */
    public void setDefaultValueNotList(List<String> defaultValueNotList){
        this.defaultValueNotList = defaultValueNotList;
    }

    /**
     * 获取 开始 数据长度，默认128
     * @return fieldLenStart
     */
    public Integer getFieldLenStart(){
        return this.fieldLenStart;
    }

    /**
     * 设置 开始 数据长度，默认128
     * @param fieldLenStart
     */
    public void setFieldLenStart(Integer fieldLenStart){
        this.fieldLenStart = fieldLenStart;
    }

    /**
     * 获取 结束 数据长度，默认128
     * @return $fieldLenEnd
     */
    public Integer getFieldLenEnd(){
        return this.fieldLenEnd;
    }

    /**
     * 设置 结束 数据长度，默认128
     * @param fieldLenEnd
     */
    public void setFieldLenEnd(Integer fieldLenEnd){
        this.fieldLenEnd = fieldLenEnd;
    }

    /**
     * 获取 增加 数据长度，默认128
     * @return fieldLenIncrement
     */
    public Integer getFieldLenIncrement(){
        return this.fieldLenIncrement;
    }

    /**
     * 设置 增加 数据长度，默认128
     * @param fieldLenIncrement
     */
    public void setFieldLenIncrement(Integer fieldLenIncrement){
        this.fieldLenIncrement = fieldLenIncrement;
    }

    /**
     * 获取 数据长度，默认128
     * @return fieldLenList
     */
    public List<Integer> getFieldLenList(){
        return this.fieldLenList;
    }

    /**
     * 设置 数据长度，默认128
     * @param fieldLenList
     */
    public void setFieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
    }

    /**
     * 获取 数据长度，默认128
     * @return fieldLenNotList
     */
    public List<Integer> getFieldLenNotList(){
        return this.fieldLenNotList;
    }

    /**
     * 设置 数据长度，默认128
     * @param fieldLenNotList
     */
    public void setFieldLenNotList(List<Integer> fieldLenNotList){
        this.fieldLenNotList = fieldLenNotList;
    }


    /**
     * 获取 开始 是否允许为空，(0.否,1.是)
     * @return fieldNullStart
     */
    public Integer getFieldNullStart(){
        return this.fieldNullStart;
    }

    /**
     * 设置 开始 是否允许为空，(0.否,1.是)
     * @param fieldNullStart
     */
    public void setFieldNullStart(Integer fieldNullStart){
        this.fieldNullStart = fieldNullStart;
    }

    /**
     * 获取 结束 是否允许为空，(0.否,1.是)
     * @return $fieldNullEnd
     */
    public Integer getFieldNullEnd(){
        return this.fieldNullEnd;
    }

    /**
     * 设置 结束 是否允许为空，(0.否,1.是)
     * @param fieldNullEnd
     */
    public void setFieldNullEnd(Integer fieldNullEnd){
        this.fieldNullEnd = fieldNullEnd;
    }

    /**
     * 获取 增加 是否允许为空，(0.否,1.是)
     * @return fieldNullIncrement
     */
    public Integer getFieldNullIncrement(){
        return this.fieldNullIncrement;
    }

    /**
     * 设置 增加 是否允许为空，(0.否,1.是)
     * @param fieldNullIncrement
     */
    public void setFieldNullIncrement(Integer fieldNullIncrement){
        this.fieldNullIncrement = fieldNullIncrement;
    }

    /**
     * 获取 是否允许为空，(0.否,1.是)
     * @return fieldNullList
     */
    public List<Integer> getFieldNullList(){
        return this.fieldNullList;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullList
     */
    public void setFieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
    }

    /**
     * 获取 是否允许为空，(0.否,1.是)
     * @return fieldNullNotList
     */
    public List<Integer> getFieldNullNotList(){
        return this.fieldNullNotList;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullNotList
     */
    public void setFieldNullNotList(List<Integer> fieldNullNotList){
        this.fieldNullNotList = fieldNullNotList;
    }


    /**
     * 获取 开始 字段是否列表显示(0.否,1.是)
     * @return isListStart
     */
    public Integer getIsListStart(){
        return this.isListStart;
    }

    /**
     * 设置 开始 字段是否列表显示(0.否,1.是)
     * @param isListStart
     */
    public void setIsListStart(Integer isListStart){
        this.isListStart = isListStart;
    }

    /**
     * 获取 结束 字段是否列表显示(0.否,1.是)
     * @return $isListEnd
     */
    public Integer getIsListEnd(){
        return this.isListEnd;
    }

    /**
     * 设置 结束 字段是否列表显示(0.否,1.是)
     * @param isListEnd
     */
    public void setIsListEnd(Integer isListEnd){
        this.isListEnd = isListEnd;
    }

    /**
     * 获取 增加 字段是否列表显示(0.否,1.是)
     * @return isListIncrement
     */
    public Integer getIsListIncrement(){
        return this.isListIncrement;
    }

    /**
     * 设置 增加 字段是否列表显示(0.否,1.是)
     * @param isListIncrement
     */
    public void setIsListIncrement(Integer isListIncrement){
        this.isListIncrement = isListIncrement;
    }

    /**
     * 获取 字段是否列表显示(0.否,1.是)
     * @return isListList
     */
    public List<Integer> getIsListList(){
        return this.isListList;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListList
     */
    public void setIsListList(List<Integer> isListList){
        this.isListList = isListList;
    }

    /**
     * 获取 字段是否列表显示(0.否,1.是)
     * @return isListNotList
     */
    public List<Integer> getIsListNotList(){
        return this.isListNotList;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListNotList
     */
    public void setIsListNotList(List<Integer> isListNotList){
        this.isListNotList = isListNotList;
    }


    /**
     * 获取 开始 排序号
     * @return fieldOrderNoStart
     */
    public Integer getFieldOrderNoStart(){
        return this.fieldOrderNoStart;
    }

    /**
     * 设置 开始 排序号
     * @param fieldOrderNoStart
     */
    public void setFieldOrderNoStart(Integer fieldOrderNoStart){
        this.fieldOrderNoStart = fieldOrderNoStart;
    }

    /**
     * 获取 结束 排序号
     * @return $fieldOrderNoEnd
     */
    public Integer getFieldOrderNoEnd(){
        return this.fieldOrderNoEnd;
    }

    /**
     * 设置 结束 排序号
     * @param fieldOrderNoEnd
     */
    public void setFieldOrderNoEnd(Integer fieldOrderNoEnd){
        this.fieldOrderNoEnd = fieldOrderNoEnd;
    }

    /**
     * 获取 增加 排序号
     * @return fieldOrderNoIncrement
     */
    public Integer getFieldOrderNoIncrement(){
        return this.fieldOrderNoIncrement;
    }

    /**
     * 设置 增加 排序号
     * @param fieldOrderNoIncrement
     */
    public void setFieldOrderNoIncrement(Integer fieldOrderNoIncrement){
        this.fieldOrderNoIncrement = fieldOrderNoIncrement;
    }

    /**
     * 获取 排序号
     * @return fieldOrderNoList
     */
    public List<Integer> getFieldOrderNoList(){
        return this.fieldOrderNoList;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoList
     */
    public void setFieldOrderNoList(List<Integer> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
    }

    /**
     * 获取 排序号
     * @return fieldOrderNoNotList
     */
    public List<Integer> getFieldOrderNoNotList(){
        return this.fieldOrderNoNotList;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoNotList
     */
    public void setFieldOrderNoNotList(List<Integer> fieldOrderNoNotList){
        this.fieldOrderNoNotList = fieldOrderNoNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 事件服务接口请求地址
     * @return serviceApiList
     */
    public List<String> getServiceApiList(){
        return this.serviceApiList;
    }

    /**
     * 设置 事件服务接口请求地址
     * @param serviceApiList
     */
    public void setServiceApiList(List<String> serviceApiList){
        this.serviceApiList = serviceApiList;
    }

    /**
     * 获取 事件服务接口请求地址
     * @return serviceApiNotList
     */
    public List<String> getServiceApiNotList(){
        return this.serviceApiNotList;
    }

    /**
     * 设置 事件服务接口请求地址
     * @param serviceApiNotList
     */
    public void setServiceApiNotList(List<String> serviceApiNotList){
        this.serviceApiNotList = serviceApiNotList;
    }

    /**
     * 获取 事件服务接口请求参数，json格式
     * @return serviceApiParamsList
     */
    public List<String> getServiceApiParamsList(){
        return this.serviceApiParamsList;
    }

    /**
     * 设置 事件服务接口请求参数，json格式
     * @param serviceApiParamsList
     */
    public void setServiceApiParamsList(List<String> serviceApiParamsList){
        this.serviceApiParamsList = serviceApiParamsList;
    }

    /**
     * 获取 事件服务接口请求参数，json格式
     * @return serviceApiParamsNotList
     */
    public List<String> getServiceApiParamsNotList(){
        return this.serviceApiParamsNotList;
    }

    /**
     * 设置 事件服务接口请求参数，json格式
     * @param serviceApiParamsNotList
     */
    public void setServiceApiParamsNotList(List<String> serviceApiParamsNotList){
        this.serviceApiParamsNotList = serviceApiParamsNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 修改用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 修改用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 修改用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 修改用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 修改用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 修改用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 修改用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 修改用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 修改用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 修改用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AppInfoTempleteFieldQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AppInfoTempleteFieldQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AppInfoTempleteFieldQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AppInfoTempleteFieldQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AppInfoTempleteFieldQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AppInfoTempleteFieldQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  应用id
     * @param appId
     */
    public AppInfoTempleteFieldQuery appId(Long appId){
        setAppId(appId);
        return this;
    }

    /**
     * 设置 开始 应用id
     * @param appIdStart
     */
    public AppInfoTempleteFieldQuery appIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
        return this;
    }

    /**
     * 设置 结束 应用id
     * @param appIdEnd
     */
    public AppInfoTempleteFieldQuery appIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
        return this;
    }

    /**
     * 设置 增加 应用id
     * @param appIdIncrement
     */
    public AppInfoTempleteFieldQuery appIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
        return this;
    }

    /**
     * 设置 应用id
     * @param appIdList
     */
    public AppInfoTempleteFieldQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
        return this;
    }

    /**
     * 设置 应用id
     * @param appIdNotList
     */
    public AppInfoTempleteFieldQuery appIdNotList(List<Long> appIdNotList){
        this.appIdNotList = appIdNotList;
        return this;
    }


    /**
     * 设置 字段编码
     * @param fieldCode
     */
    public AppInfoTempleteFieldQuery fieldCode(String fieldCode){
        setFieldCode(fieldCode);
        return this;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeList
     */
    public AppInfoTempleteFieldQuery fieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
        return this;
    }


    /**
     * 设置 字段名称
     * @param fieldName
     */
    public AppInfoTempleteFieldQuery fieldName(String fieldName){
        setFieldName(fieldName);
        return this;
    }

    /**
     * 设置 字段名称
     * @param fieldNameList
     */
    public AppInfoTempleteFieldQuery fieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
        return this;
    }


    /**
     * 设置 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @param fieldType
     */
    public AppInfoTempleteFieldQuery fieldType(String fieldType){
        setFieldType(fieldType);
        return this;
    }

    /**
     * 设置 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）
     * @param fieldTypeList
     */
    public AppInfoTempleteFieldQuery fieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
        return this;
    }


    /**
     * 设置 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @param fieldTypeValue
     */
    public AppInfoTempleteFieldQuery fieldTypeValue(String fieldTypeValue){
        setFieldTypeValue(fieldTypeValue);
        return this;
    }

    /**
     * 设置 字段类型值，当字段类型为多选，单选时候，预设复选值
     * @param fieldTypeValueList
     */
    public AppInfoTempleteFieldQuery fieldTypeValueList(List<String> fieldTypeValueList){
        this.fieldTypeValueList = fieldTypeValueList;
        return this;
    }


    /**
     * 设置 数据类型（number.数字,string.字符串）
     * @param dataType
     */
    public AppInfoTempleteFieldQuery dataType(String dataType){
        setDataType(dataType);
        return this;
    }

    /**
     * 设置 数据类型（number.数字,string.字符串）
     * @param dataTypeList
     */
    public AppInfoTempleteFieldQuery dataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
        return this;
    }


    /**
     * 设置 字段值
     * @param fieldValue
     */
    public AppInfoTempleteFieldQuery fieldValue(String fieldValue){
        setFieldValue(fieldValue);
        return this;
    }

    /**
     * 设置 字段值
     * @param fieldValueList
     */
    public AppInfoTempleteFieldQuery fieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
        return this;
    }


    /**
     * 设置 字段默认值
     * @param defaultValue
     */
    public AppInfoTempleteFieldQuery defaultValue(String defaultValue){
        setDefaultValue(defaultValue);
        return this;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueList
     */
    public AppInfoTempleteFieldQuery defaultValueList(List<String> defaultValueList){
        this.defaultValueList = defaultValueList;
        return this;
    }

    /**
     * 设置  数据长度，默认128
     * @param fieldLen
     */
    public AppInfoTempleteFieldQuery fieldLen(Integer fieldLen){
        setFieldLen(fieldLen);
        return this;
    }

    /**
     * 设置 开始 数据长度，默认128
     * @param fieldLenStart
     */
    public AppInfoTempleteFieldQuery fieldLenStart(Integer fieldLenStart){
        this.fieldLenStart = fieldLenStart;
        return this;
    }

    /**
     * 设置 结束 数据长度，默认128
     * @param fieldLenEnd
     */
    public AppInfoTempleteFieldQuery fieldLenEnd(Integer fieldLenEnd){
        this.fieldLenEnd = fieldLenEnd;
        return this;
    }

    /**
     * 设置 增加 数据长度，默认128
     * @param fieldLenIncrement
     */
    public AppInfoTempleteFieldQuery fieldLenIncrement(Integer fieldLenIncrement){
        this.fieldLenIncrement = fieldLenIncrement;
        return this;
    }

    /**
     * 设置 数据长度，默认128
     * @param fieldLenList
     */
    public AppInfoTempleteFieldQuery fieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
        return this;
    }

    /**
     * 设置 数据长度，默认128
     * @param fieldLenNotList
     */
    public AppInfoTempleteFieldQuery fieldLenNotList(List<Integer> fieldLenNotList){
        this.fieldLenNotList = fieldLenNotList;
        return this;
    }

    /**
     * 设置  是否允许为空，(0.否,1.是)
     * @param fieldNull
     */
    public AppInfoTempleteFieldQuery fieldNull(Integer fieldNull){
        setFieldNull(fieldNull);
        return this;
    }

    /**
     * 设置 开始 是否允许为空，(0.否,1.是)
     * @param fieldNullStart
     */
    public AppInfoTempleteFieldQuery fieldNullStart(Integer fieldNullStart){
        this.fieldNullStart = fieldNullStart;
        return this;
    }

    /**
     * 设置 结束 是否允许为空，(0.否,1.是)
     * @param fieldNullEnd
     */
    public AppInfoTempleteFieldQuery fieldNullEnd(Integer fieldNullEnd){
        this.fieldNullEnd = fieldNullEnd;
        return this;
    }

    /**
     * 设置 增加 是否允许为空，(0.否,1.是)
     * @param fieldNullIncrement
     */
    public AppInfoTempleteFieldQuery fieldNullIncrement(Integer fieldNullIncrement){
        this.fieldNullIncrement = fieldNullIncrement;
        return this;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullList
     */
    public AppInfoTempleteFieldQuery fieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
        return this;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullNotList
     */
    public AppInfoTempleteFieldQuery fieldNullNotList(List<Integer> fieldNullNotList){
        this.fieldNullNotList = fieldNullNotList;
        return this;
    }

    /**
     * 设置  字段是否列表显示(0.否,1.是)
     * @param isList
     */
    public AppInfoTempleteFieldQuery isList(Integer isList){
        setIsList(isList);
        return this;
    }

    /**
     * 设置 开始 字段是否列表显示(0.否,1.是)
     * @param isListStart
     */
    public AppInfoTempleteFieldQuery isListStart(Integer isListStart){
        this.isListStart = isListStart;
        return this;
    }

    /**
     * 设置 结束 字段是否列表显示(0.否,1.是)
     * @param isListEnd
     */
    public AppInfoTempleteFieldQuery isListEnd(Integer isListEnd){
        this.isListEnd = isListEnd;
        return this;
    }

    /**
     * 设置 增加 字段是否列表显示(0.否,1.是)
     * @param isListIncrement
     */
    public AppInfoTempleteFieldQuery isListIncrement(Integer isListIncrement){
        this.isListIncrement = isListIncrement;
        return this;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListList
     */
    public AppInfoTempleteFieldQuery isListList(List<Integer> isListList){
        this.isListList = isListList;
        return this;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListNotList
     */
    public AppInfoTempleteFieldQuery isListNotList(List<Integer> isListNotList){
        this.isListNotList = isListNotList;
        return this;
    }

    /**
     * 设置  排序号
     * @param fieldOrderNo
     */
    public AppInfoTempleteFieldQuery fieldOrderNo(Integer fieldOrderNo){
        setFieldOrderNo(fieldOrderNo);
        return this;
    }

    /**
     * 设置 开始 排序号
     * @param fieldOrderNoStart
     */
    public AppInfoTempleteFieldQuery fieldOrderNoStart(Integer fieldOrderNoStart){
        this.fieldOrderNoStart = fieldOrderNoStart;
        return this;
    }

    /**
     * 设置 结束 排序号
     * @param fieldOrderNoEnd
     */
    public AppInfoTempleteFieldQuery fieldOrderNoEnd(Integer fieldOrderNoEnd){
        this.fieldOrderNoEnd = fieldOrderNoEnd;
        return this;
    }

    /**
     * 设置 增加 排序号
     * @param fieldOrderNoIncrement
     */
    public AppInfoTempleteFieldQuery fieldOrderNoIncrement(Integer fieldOrderNoIncrement){
        this.fieldOrderNoIncrement = fieldOrderNoIncrement;
        return this;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoList
     */
    public AppInfoTempleteFieldQuery fieldOrderNoList(List<Integer> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
        return this;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoNotList
     */
    public AppInfoTempleteFieldQuery fieldOrderNoNotList(List<Integer> fieldOrderNoNotList){
        this.fieldOrderNoNotList = fieldOrderNoNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AppInfoTempleteFieldQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AppInfoTempleteFieldQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置 事件服务接口请求地址
     * @param serviceApi
     */
    public AppInfoTempleteFieldQuery serviceApi(String serviceApi){
        setServiceApi(serviceApi);
        return this;
    }

    /**
     * 设置 事件服务接口请求地址
     * @param serviceApiList
     */
    public AppInfoTempleteFieldQuery serviceApiList(List<String> serviceApiList){
        this.serviceApiList = serviceApiList;
        return this;
    }


    /**
     * 设置 事件服务接口请求参数，json格式
     * @param serviceApiParams
     */
    public AppInfoTempleteFieldQuery serviceApiParams(String serviceApiParams){
        setServiceApiParams(serviceApiParams);
        return this;
    }

    /**
     * 设置 事件服务接口请求参数，json格式
     * @param serviceApiParamsList
     */
    public AppInfoTempleteFieldQuery serviceApiParamsList(List<String> serviceApiParamsList){
        this.serviceApiParamsList = serviceApiParamsList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AppInfoTempleteFieldQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AppInfoTempleteFieldQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AppInfoTempleteFieldQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AppInfoTempleteFieldQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AppInfoTempleteFieldQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AppInfoTempleteFieldQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  修改用户
     * @param updateUserId
     */
    public AppInfoTempleteFieldQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 修改用户
     * @param updateUserIdStart
     */
    public AppInfoTempleteFieldQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 修改用户
     * @param updateUserIdEnd
     */
    public AppInfoTempleteFieldQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 修改用户
     * @param updateUserIdIncrement
     */
    public AppInfoTempleteFieldQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 修改用户
     * @param updateUserIdList
     */
    public AppInfoTempleteFieldQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 修改用户
     * @param updateUserIdNotList
     */
    public AppInfoTempleteFieldQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppInfoTempleteFieldQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppInfoTempleteFieldQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppInfoTempleteFieldQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppInfoTempleteFieldQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}