package com.mortals.xhx.module.app.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.app.model.AppEntity;
/**
 * 自助终端应用查询对象
 *
 * @author zxfei
 * @date 2023-11-14
 */
public class AppQuery extends AppEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 应用编码 */
    private List<String> appCodeList;

    /** 应用编码排除列表 */
    private List <String> appCodeNotList;
    /** 应用名称 */
    private List<String> appNameList;

    /** 应用名称排除列表 */
    private List <String> appNameNotList;
    /** 应用图标 */
    private List<String> appIconPathList;

    /** 应用图标排除列表 */
    private List <String> appIconPathNotList;
    /** 应用主题名称 */
    private List<String> appThemeNameList;

    /** 应用主题名称排除列表 */
    private List <String> appThemeNameNotList;
    /** 开始 类型(1.终端应用,2.移动端应用) */
    private Integer typeStart;

    /** 结束 类型(1.终端应用,2.移动端应用) */
    private Integer typeEnd;

    /** 增加 类型(1.终端应用,2.移动端应用) */
    private Integer typeIncrement;

    /** 类型(1.终端应用,2.移动端应用)列表 */
    private List <Integer> typeList;

    /** 类型(1.终端应用,2.移动端应用)排除列表 */
    private List <Integer> typeNotList;

    /** 链接地址 */
    private List<String> urlList;

    /** 链接地址排除列表 */
    private List <String> urlNotList;
    /** 服务接口地址 */
    private List<String> serviceApiList;

    /** 服务接口地址排除列表 */
    private List <String> serviceApiNotList;
    /** 开始 下发设备次数 */
    private Integer downDevCountStart;

    /** 结束 下发设备次数 */
    private Integer downDevCountEnd;

    /** 增加 下发设备次数 */
    private Integer downDevCountIncrement;

    /** 下发设备次数列表 */
    private List <Integer> downDevCountList;

    /** 下发设备次数排除列表 */
    private List <Integer> downDevCountNotList;

    /** 开始 是否上架(0.下架，1.上架) */
    private Integer shelvesStart;

    /** 结束 是否上架(0.下架，1.上架) */
    private Integer shelvesEnd;

    /** 增加 是否上架(0.下架，1.上架) */
    private Integer shelvesIncrement;

    /** 是否上架(0.下架，1.上架)列表 */
    private List <Integer> shelvesList;

    /** 是否上架(0.下架，1.上架)排除列表 */
    private List <Integer> shelvesNotList;

    /** 开始 类型(1.应用程序,2.url) */
    private Integer appTypeStart;

    /** 结束 类型(1.应用程序,2.url) */
    private Integer appTypeEnd;

    /** 增加 类型(1.应用程序,2.url) */
    private Integer appTypeIncrement;

    /** 类型(1.应用程序,2.url)列表 */
    private List <Integer> appTypeList;

    /** 类型(1.应用程序,2.url)排除列表 */
    private List <Integer> appTypeNotList;

    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 文件相对路径地址 */
    private List<String> filePathList;

    /** 文件相对路径地址排除列表 */
    private List <String> filePathNotList;
    /** 文件部署路径地址 */
    private List<String> distributeFilePathList;

    /** 文件部署路径地址排除列表 */
    private List <String> distributeFilePathNotList;
    /** 开始 当前版本 */
    private Integer versionStart;

    /** 结束 当前版本 */
    private Integer versionEnd;

    /** 增加 当前版本 */
    private Integer versionIncrement;

    /** 当前版本列表 */
    private List <Integer> versionList;

    /** 当前版本排除列表 */
    private List <Integer> versionNotList;

    /** 简介 */
    private List<String> summaryList;

    /** 简介排除列表 */
    private List <String> summaryNotList;
    /** 更新说明 */
    private List<String> notesList;

    /** 更新说明排除列表 */
    private List <String> notesNotList;
    /** 开始 是否部署(0.否，1.是) */
    private Integer distributeStart;

    /** 结束 是否部署(0.否，1.是) */
    private Integer distributeEnd;

    /** 增加 是否部署(0.否，1.是) */
    private Integer distributeIncrement;

    /** 是否部署(0.否，1.是)列表 */
    private List <Integer> distributeList;

    /** 是否部署(0.否，1.是)排除列表 */
    private List <Integer> distributeNotList;

    /** 开始 是否数据更新(0.否，1.是) */
    private Integer dataUpdateStart;

    /** 结束 是否数据更新(0.否，1.是) */
    private Integer dataUpdateEnd;

    /** 增加 是否数据更新(0.否，1.是) */
    private Integer dataUpdateIncrement;

    /** 是否数据更新(0.否，1.是)列表 */
    private List <Integer> dataUpdateList;

    /** 是否数据更新(0.否，1.是)排除列表 */
    private List <Integer> dataUpdateNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppQuery> andConditionList;

    public AppQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 应用编码
     * @return appCodeList
     */
    public List<String> getAppCodeList(){
        return this.appCodeList;
    }

    /**
     * 设置 应用编码
     * @param appCodeList
     */
    public void setAppCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
    }

    /**
     * 获取 应用编码
     * @return appCodeNotList
     */
    public List<String> getAppCodeNotList(){
        return this.appCodeNotList;
    }

    /**
     * 设置 应用编码
     * @param appCodeNotList
     */
    public void setAppCodeNotList(List<String> appCodeNotList){
        this.appCodeNotList = appCodeNotList;
    }

    /**
     * 获取 应用名称
     * @return appNameList
     */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }

    /**
     * 获取 应用名称
     * @return appNameNotList
     */
    public List<String> getAppNameNotList(){
        return this.appNameNotList;
    }

    /**
     * 设置 应用名称
     * @param appNameNotList
     */
    public void setAppNameNotList(List<String> appNameNotList){
        this.appNameNotList = appNameNotList;
    }

    /**
     * 获取 应用图标
     * @return appIconPathList
     */
    public List<String> getAppIconPathList(){
        return this.appIconPathList;
    }

    /**
     * 设置 应用图标
     * @param appIconPathList
     */
    public void setAppIconPathList(List<String> appIconPathList){
        this.appIconPathList = appIconPathList;
    }

    /**
     * 获取 应用图标
     * @return appIconPathNotList
     */
    public List<String> getAppIconPathNotList(){
        return this.appIconPathNotList;
    }

    /**
     * 设置 应用图标
     * @param appIconPathNotList
     */
    public void setAppIconPathNotList(List<String> appIconPathNotList){
        this.appIconPathNotList = appIconPathNotList;
    }

    /**
     * 获取 应用主题名称
     * @return appThemeNameList
     */
    public List<String> getAppThemeNameList(){
        return this.appThemeNameList;
    }

    /**
     * 设置 应用主题名称
     * @param appThemeNameList
     */
    public void setAppThemeNameList(List<String> appThemeNameList){
        this.appThemeNameList = appThemeNameList;
    }

    /**
     * 获取 应用主题名称
     * @return appThemeNameNotList
     */
    public List<String> getAppThemeNameNotList(){
        return this.appThemeNameNotList;
    }

    /**
     * 设置 应用主题名称
     * @param appThemeNameNotList
     */
    public void setAppThemeNameNotList(List<String> appThemeNameNotList){
        this.appThemeNameNotList = appThemeNameNotList;
    }

    /**
     * 获取 开始 类型(1.终端应用,2.移动端应用)
     * @return typeStart
     */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
     * 设置 开始 类型(1.终端应用,2.移动端应用)
     * @param typeStart
     */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
     * 获取 结束 类型(1.终端应用,2.移动端应用)
     * @return $typeEnd
     */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
     * 设置 结束 类型(1.终端应用,2.移动端应用)
     * @param typeEnd
     */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
     * 获取 增加 类型(1.终端应用,2.移动端应用)
     * @return typeIncrement
     */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
     * 设置 增加 类型(1.终端应用,2.移动端应用)
     * @param typeIncrement
     */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
     * 获取 类型(1.终端应用,2.移动端应用)
     * @return typeList
     */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 类型(1.终端应用,2.移动端应用)
     * @param typeList
     */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
     * 获取 类型(1.终端应用,2.移动端应用)
     * @return typeNotList
     */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
     * 设置 类型(1.终端应用,2.移动端应用)
     * @param typeNotList
     */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
     * 获取 链接地址
     * @return urlList
     */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
     * 设置 链接地址
     * @param urlList
     */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
     * 获取 链接地址
     * @return urlNotList
     */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
     * 设置 链接地址
     * @param urlNotList
     */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
     * 获取 服务接口地址
     * @return serviceApiList
     */
    public List<String> getServiceApiList(){
        return this.serviceApiList;
    }

    /**
     * 设置 服务接口地址
     * @param serviceApiList
     */
    public void setServiceApiList(List<String> serviceApiList){
        this.serviceApiList = serviceApiList;
    }

    /**
     * 获取 服务接口地址
     * @return serviceApiNotList
     */
    public List<String> getServiceApiNotList(){
        return this.serviceApiNotList;
    }

    /**
     * 设置 服务接口地址
     * @param serviceApiNotList
     */
    public void setServiceApiNotList(List<String> serviceApiNotList){
        this.serviceApiNotList = serviceApiNotList;
    }

    /**
     * 获取 开始 下发设备次数
     * @return downDevCountStart
     */
    public Integer getDownDevCountStart(){
        return this.downDevCountStart;
    }

    /**
     * 设置 开始 下发设备次数
     * @param downDevCountStart
     */
    public void setDownDevCountStart(Integer downDevCountStart){
        this.downDevCountStart = downDevCountStart;
    }

    /**
     * 获取 结束 下发设备次数
     * @return $downDevCountEnd
     */
    public Integer getDownDevCountEnd(){
        return this.downDevCountEnd;
    }

    /**
     * 设置 结束 下发设备次数
     * @param downDevCountEnd
     */
    public void setDownDevCountEnd(Integer downDevCountEnd){
        this.downDevCountEnd = downDevCountEnd;
    }

    /**
     * 获取 增加 下发设备次数
     * @return downDevCountIncrement
     */
    public Integer getDownDevCountIncrement(){
        return this.downDevCountIncrement;
    }

    /**
     * 设置 增加 下发设备次数
     * @param downDevCountIncrement
     */
    public void setDownDevCountIncrement(Integer downDevCountIncrement){
        this.downDevCountIncrement = downDevCountIncrement;
    }

    /**
     * 获取 下发设备次数
     * @return downDevCountList
     */
    public List<Integer> getDownDevCountList(){
        return this.downDevCountList;
    }

    /**
     * 设置 下发设备次数
     * @param downDevCountList
     */
    public void setDownDevCountList(List<Integer> downDevCountList){
        this.downDevCountList = downDevCountList;
    }

    /**
     * 获取 下发设备次数
     * @return downDevCountNotList
     */
    public List<Integer> getDownDevCountNotList(){
        return this.downDevCountNotList;
    }

    /**
     * 设置 下发设备次数
     * @param downDevCountNotList
     */
    public void setDownDevCountNotList(List<Integer> downDevCountNotList){
        this.downDevCountNotList = downDevCountNotList;
    }


    /**
     * 获取 开始 是否上架(0.下架，1.上架)
     * @return shelvesStart
     */
    public Integer getShelvesStart(){
        return this.shelvesStart;
    }

    /**
     * 设置 开始 是否上架(0.下架，1.上架)
     * @param shelvesStart
     */
    public void setShelvesStart(Integer shelvesStart){
        this.shelvesStart = shelvesStart;
    }

    /**
     * 获取 结束 是否上架(0.下架，1.上架)
     * @return $shelvesEnd
     */
    public Integer getShelvesEnd(){
        return this.shelvesEnd;
    }

    /**
     * 设置 结束 是否上架(0.下架，1.上架)
     * @param shelvesEnd
     */
    public void setShelvesEnd(Integer shelvesEnd){
        this.shelvesEnd = shelvesEnd;
    }

    /**
     * 获取 增加 是否上架(0.下架，1.上架)
     * @return shelvesIncrement
     */
    public Integer getShelvesIncrement(){
        return this.shelvesIncrement;
    }

    /**
     * 设置 增加 是否上架(0.下架，1.上架)
     * @param shelvesIncrement
     */
    public void setShelvesIncrement(Integer shelvesIncrement){
        this.shelvesIncrement = shelvesIncrement;
    }

    /**
     * 获取 是否上架(0.下架，1.上架)
     * @return shelvesList
     */
    public List<Integer> getShelvesList(){
        return this.shelvesList;
    }

    /**
     * 设置 是否上架(0.下架，1.上架)
     * @param shelvesList
     */
    public void setShelvesList(List<Integer> shelvesList){
        this.shelvesList = shelvesList;
    }

    /**
     * 获取 是否上架(0.下架，1.上架)
     * @return shelvesNotList
     */
    public List<Integer> getShelvesNotList(){
        return this.shelvesNotList;
    }

    /**
     * 设置 是否上架(0.下架，1.上架)
     * @param shelvesNotList
     */
    public void setShelvesNotList(List<Integer> shelvesNotList){
        this.shelvesNotList = shelvesNotList;
    }


    /**
     * 获取 开始 类型(1.应用程序,2.url)
     * @return appTypeStart
     */
    public Integer getAppTypeStart(){
        return this.appTypeStart;
    }

    /**
     * 设置 开始 类型(1.应用程序,2.url)
     * @param appTypeStart
     */
    public void setAppTypeStart(Integer appTypeStart){
        this.appTypeStart = appTypeStart;
    }

    /**
     * 获取 结束 类型(1.应用程序,2.url)
     * @return $appTypeEnd
     */
    public Integer getAppTypeEnd(){
        return this.appTypeEnd;
    }

    /**
     * 设置 结束 类型(1.应用程序,2.url)
     * @param appTypeEnd
     */
    public void setAppTypeEnd(Integer appTypeEnd){
        this.appTypeEnd = appTypeEnd;
    }

    /**
     * 获取 增加 类型(1.应用程序,2.url)
     * @return appTypeIncrement
     */
    public Integer getAppTypeIncrement(){
        return this.appTypeIncrement;
    }

    /**
     * 设置 增加 类型(1.应用程序,2.url)
     * @param appTypeIncrement
     */
    public void setAppTypeIncrement(Integer appTypeIncrement){
        this.appTypeIncrement = appTypeIncrement;
    }

    /**
     * 获取 类型(1.应用程序,2.url)
     * @return appTypeList
     */
    public List<Integer> getAppTypeList(){
        return this.appTypeList;
    }

    /**
     * 设置 类型(1.应用程序,2.url)
     * @param appTypeList
     */
    public void setAppTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
    }

    /**
     * 获取 类型(1.应用程序,2.url)
     * @return appTypeNotList
     */
    public List<Integer> getAppTypeNotList(){
        return this.appTypeNotList;
    }

    /**
     * 设置 类型(1.应用程序,2.url)
     * @param appTypeNotList
     */
    public void setAppTypeNotList(List<Integer> appTypeNotList){
        this.appTypeNotList = appTypeNotList;
    }


    /**
     * 获取 文件名称
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 文件名称
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
     * 获取 文件名称
     * @return fileNameNotList
     */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
     * 设置 文件名称
     * @param fileNameNotList
     */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
     * 获取 文件相对路径地址
     * @return filePathList
     */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
     * 获取 文件相对路径地址
     * @return filePathNotList
     */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathNotList
     */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
     * 获取 文件部署路径地址
     * @return distributeFilePathList
     */
    public List<String> getDistributeFilePathList(){
        return this.distributeFilePathList;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public void setDistributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
    }

    /**
     * 获取 文件部署路径地址
     * @return distributeFilePathNotList
     */
    public List<String> getDistributeFilePathNotList(){
        return this.distributeFilePathNotList;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathNotList
     */
    public void setDistributeFilePathNotList(List<String> distributeFilePathNotList){
        this.distributeFilePathNotList = distributeFilePathNotList;
    }

    /**
     * 获取 开始 当前版本
     * @return versionStart
     */
    public Integer getVersionStart(){
        return this.versionStart;
    }

    /**
     * 设置 开始 当前版本
     * @param versionStart
     */
    public void setVersionStart(Integer versionStart){
        this.versionStart = versionStart;
    }

    /**
     * 获取 结束 当前版本
     * @return $versionEnd
     */
    public Integer getVersionEnd(){
        return this.versionEnd;
    }

    /**
     * 设置 结束 当前版本
     * @param versionEnd
     */
    public void setVersionEnd(Integer versionEnd){
        this.versionEnd = versionEnd;
    }

    /**
     * 获取 增加 当前版本
     * @return versionIncrement
     */
    public Integer getVersionIncrement(){
        return this.versionIncrement;
    }

    /**
     * 设置 增加 当前版本
     * @param versionIncrement
     */
    public void setVersionIncrement(Integer versionIncrement){
        this.versionIncrement = versionIncrement;
    }

    /**
     * 获取 当前版本
     * @return versionList
     */
    public List<Integer> getVersionList(){
        return this.versionList;
    }

    /**
     * 设置 当前版本
     * @param versionList
     */
    public void setVersionList(List<Integer> versionList){
        this.versionList = versionList;
    }

    /**
     * 获取 当前版本
     * @return versionNotList
     */
    public List<Integer> getVersionNotList(){
        return this.versionNotList;
    }

    /**
     * 设置 当前版本
     * @param versionNotList
     */
    public void setVersionNotList(List<Integer> versionNotList){
        this.versionNotList = versionNotList;
    }


    /**
     * 获取 简介
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
     * 获取 简介
     * @return summaryNotList
     */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
     * 设置 简介
     * @param summaryNotList
     */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
     * 获取 更新说明
     * @return notesList
     */
    public List<String> getNotesList(){
        return this.notesList;
    }

    /**
     * 设置 更新说明
     * @param notesList
     */
    public void setNotesList(List<String> notesList){
        this.notesList = notesList;
    }

    /**
     * 获取 更新说明
     * @return notesNotList
     */
    public List<String> getNotesNotList(){
        return this.notesNotList;
    }

    /**
     * 设置 更新说明
     * @param notesNotList
     */
    public void setNotesNotList(List<String> notesNotList){
        this.notesNotList = notesNotList;
    }

    /**
     * 获取 开始 是否部署(0.否，1.是)
     * @return distributeStart
     */
    public Integer getDistributeStart(){
        return this.distributeStart;
    }

    /**
     * 设置 开始 是否部署(0.否，1.是)
     * @param distributeStart
     */
    public void setDistributeStart(Integer distributeStart){
        this.distributeStart = distributeStart;
    }

    /**
     * 获取 结束 是否部署(0.否，1.是)
     * @return $distributeEnd
     */
    public Integer getDistributeEnd(){
        return this.distributeEnd;
    }

    /**
     * 设置 结束 是否部署(0.否，1.是)
     * @param distributeEnd
     */
    public void setDistributeEnd(Integer distributeEnd){
        this.distributeEnd = distributeEnd;
    }

    /**
     * 获取 增加 是否部署(0.否，1.是)
     * @return distributeIncrement
     */
    public Integer getDistributeIncrement(){
        return this.distributeIncrement;
    }

    /**
     * 设置 增加 是否部署(0.否，1.是)
     * @param distributeIncrement
     */
    public void setDistributeIncrement(Integer distributeIncrement){
        this.distributeIncrement = distributeIncrement;
    }

    /**
     * 获取 是否部署(0.否，1.是)
     * @return distributeList
     */
    public List<Integer> getDistributeList(){
        return this.distributeList;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeList
     */
    public void setDistributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
    }

    /**
     * 获取 是否部署(0.否，1.是)
     * @return distributeNotList
     */
    public List<Integer> getDistributeNotList(){
        return this.distributeNotList;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeNotList
     */
    public void setDistributeNotList(List<Integer> distributeNotList){
        this.distributeNotList = distributeNotList;
    }


    /**
     * 获取 开始 是否数据更新(0.否，1.是)
     * @return dataUpdateStart
     */
    public Integer getDataUpdateStart(){
        return this.dataUpdateStart;
    }

    /**
     * 设置 开始 是否数据更新(0.否，1.是)
     * @param dataUpdateStart
     */
    public void setDataUpdateStart(Integer dataUpdateStart){
        this.dataUpdateStart = dataUpdateStart;
    }

    /**
     * 获取 结束 是否数据更新(0.否，1.是)
     * @return $dataUpdateEnd
     */
    public Integer getDataUpdateEnd(){
        return this.dataUpdateEnd;
    }

    /**
     * 设置 结束 是否数据更新(0.否，1.是)
     * @param dataUpdateEnd
     */
    public void setDataUpdateEnd(Integer dataUpdateEnd){
        this.dataUpdateEnd = dataUpdateEnd;
    }

    /**
     * 获取 增加 是否数据更新(0.否，1.是)
     * @return dataUpdateIncrement
     */
    public Integer getDataUpdateIncrement(){
        return this.dataUpdateIncrement;
    }

    /**
     * 设置 增加 是否数据更新(0.否，1.是)
     * @param dataUpdateIncrement
     */
    public void setDataUpdateIncrement(Integer dataUpdateIncrement){
        this.dataUpdateIncrement = dataUpdateIncrement;
    }

    /**
     * 获取 是否数据更新(0.否，1.是)
     * @return dataUpdateList
     */
    public List<Integer> getDataUpdateList(){
        return this.dataUpdateList;
    }

    /**
     * 设置 是否数据更新(0.否，1.是)
     * @param dataUpdateList
     */
    public void setDataUpdateList(List<Integer> dataUpdateList){
        this.dataUpdateList = dataUpdateList;
    }

    /**
     * 获取 是否数据更新(0.否，1.是)
     * @return dataUpdateNotList
     */
    public List<Integer> getDataUpdateNotList(){
        return this.dataUpdateNotList;
    }

    /**
     * 设置 是否数据更新(0.否，1.是)
     * @param dataUpdateNotList
     */
    public void setDataUpdateNotList(List<Integer> dataUpdateNotList){
        this.dataUpdateNotList = dataUpdateNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public AppQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public AppQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public AppQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public AppQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public AppQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public AppQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public AppQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public AppQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public AppQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public AppQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public AppQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public AppQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public AppQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public AppQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 应用编码
     * @param appCode
     */
    public AppQuery appCode(String appCode){
        setAppCode(appCode);
        return this;
    }

    /**
     * 设置 应用编码
     * @param appCodeList
     */
    public AppQuery appCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param appName
     */
    public AppQuery appName(String appName){
        setAppName(appName);
        return this;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public AppQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
        return this;
    }


    /**
     * 设置 应用图标
     * @param appIconPath
     */
    public AppQuery appIconPath(String appIconPath){
        setAppIconPath(appIconPath);
        return this;
    }

    /**
     * 设置 应用图标
     * @param appIconPathList
     */
    public AppQuery appIconPathList(List<String> appIconPathList){
        this.appIconPathList = appIconPathList;
        return this;
    }


    /**
     * 设置 应用主题名称
     * @param appThemeName
     */
    public AppQuery appThemeName(String appThemeName){
        setAppThemeName(appThemeName);
        return this;
    }

    /**
     * 设置 应用主题名称
     * @param appThemeNameList
     */
    public AppQuery appThemeNameList(List<String> appThemeNameList){
        this.appThemeNameList = appThemeNameList;
        return this;
    }

    /**
     * 设置  类型(1.终端应用,2.移动端应用)
     * @param type
     */
    public AppQuery type(Integer type){
        setType(type);
        return this;
    }

    /**
     * 设置 开始 类型(1.终端应用,2.移动端应用)
     * @param typeStart
     */
    public AppQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
        return this;
    }

    /**
     * 设置 结束 类型(1.终端应用,2.移动端应用)
     * @param typeEnd
     */
    public AppQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
        return this;
    }

    /**
     * 设置 增加 类型(1.终端应用,2.移动端应用)
     * @param typeIncrement
     */
    public AppQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
        return this;
    }

    /**
     * 设置 类型(1.终端应用,2.移动端应用)
     * @param typeList
     */
    public AppQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
        return this;
    }

    /**
     * 设置 类型(1.终端应用,2.移动端应用)
     * @param typeNotList
     */
    public AppQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
    }


    /**
     * 设置 链接地址
     * @param url
     */
    public AppQuery url(String url){
        setUrl(url);
        return this;
    }

    /**
     * 设置 链接地址
     * @param urlList
     */
    public AppQuery urlList(List<String> urlList){
        this.urlList = urlList;
        return this;
    }


    /**
     * 设置 服务接口地址
     * @param serviceApi
     */
    public AppQuery serviceApi(String serviceApi){
        setServiceApi(serviceApi);
        return this;
    }

    /**
     * 设置 服务接口地址
     * @param serviceApiList
     */
    public AppQuery serviceApiList(List<String> serviceApiList){
        this.serviceApiList = serviceApiList;
        return this;
    }

    /**
     * 设置  下发设备次数
     * @param downDevCount
     */
    public AppQuery downDevCount(Integer downDevCount){
        setDownDevCount(downDevCount);
        return this;
    }

    /**
     * 设置 开始 下发设备次数
     * @param downDevCountStart
     */
    public AppQuery downDevCountStart(Integer downDevCountStart){
        this.downDevCountStart = downDevCountStart;
        return this;
    }

    /**
     * 设置 结束 下发设备次数
     * @param downDevCountEnd
     */
    public AppQuery downDevCountEnd(Integer downDevCountEnd){
        this.downDevCountEnd = downDevCountEnd;
        return this;
    }

    /**
     * 设置 增加 下发设备次数
     * @param downDevCountIncrement
     */
    public AppQuery downDevCountIncrement(Integer downDevCountIncrement){
        this.downDevCountIncrement = downDevCountIncrement;
        return this;
    }

    /**
     * 设置 下发设备次数
     * @param downDevCountList
     */
    public AppQuery downDevCountList(List<Integer> downDevCountList){
        this.downDevCountList = downDevCountList;
        return this;
    }

    /**
     * 设置 下发设备次数
     * @param downDevCountNotList
     */
    public AppQuery downDevCountNotList(List<Integer> downDevCountNotList){
        this.downDevCountNotList = downDevCountNotList;
        return this;
    }

    /**
     * 设置  是否上架(0.下架，1.上架)
     * @param shelves
     */
    public AppQuery shelves(Integer shelves){
        setShelves(shelves);
        return this;
    }

    /**
     * 设置 开始 是否上架(0.下架，1.上架)
     * @param shelvesStart
     */
    public AppQuery shelvesStart(Integer shelvesStart){
        this.shelvesStart = shelvesStart;
        return this;
    }

    /**
     * 设置 结束 是否上架(0.下架，1.上架)
     * @param shelvesEnd
     */
    public AppQuery shelvesEnd(Integer shelvesEnd){
        this.shelvesEnd = shelvesEnd;
        return this;
    }

    /**
     * 设置 增加 是否上架(0.下架，1.上架)
     * @param shelvesIncrement
     */
    public AppQuery shelvesIncrement(Integer shelvesIncrement){
        this.shelvesIncrement = shelvesIncrement;
        return this;
    }

    /**
     * 设置 是否上架(0.下架，1.上架)
     * @param shelvesList
     */
    public AppQuery shelvesList(List<Integer> shelvesList){
        this.shelvesList = shelvesList;
        return this;
    }

    /**
     * 设置 是否上架(0.下架，1.上架)
     * @param shelvesNotList
     */
    public AppQuery shelvesNotList(List<Integer> shelvesNotList){
        this.shelvesNotList = shelvesNotList;
        return this;
    }

    /**
     * 设置  类型(1.应用程序,2.url)
     * @param appType
     */
    public AppQuery appType(Integer appType){
        setAppType(appType);
        return this;
    }

    /**
     * 设置 开始 类型(1.应用程序,2.url)
     * @param appTypeStart
     */
    public AppQuery appTypeStart(Integer appTypeStart){
        this.appTypeStart = appTypeStart;
        return this;
    }

    /**
     * 设置 结束 类型(1.应用程序,2.url)
     * @param appTypeEnd
     */
    public AppQuery appTypeEnd(Integer appTypeEnd){
        this.appTypeEnd = appTypeEnd;
        return this;
    }

    /**
     * 设置 增加 类型(1.应用程序,2.url)
     * @param appTypeIncrement
     */
    public AppQuery appTypeIncrement(Integer appTypeIncrement){
        this.appTypeIncrement = appTypeIncrement;
        return this;
    }

    /**
     * 设置 类型(1.应用程序,2.url)
     * @param appTypeList
     */
    public AppQuery appTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
        return this;
    }

    /**
     * 设置 类型(1.应用程序,2.url)
     * @param appTypeNotList
     */
    public AppQuery appTypeNotList(List<Integer> appTypeNotList){
        this.appTypeNotList = appTypeNotList;
        return this;
    }


    /**
     * 设置 文件名称
     * @param fileName
     */
    public AppQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 文件名称
     * @param fileNameList
     */
    public AppQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }


    /**
     * 设置 文件相对路径地址
     * @param filePath
     */
    public AppQuery filePath(String filePath){
        setFilePath(filePath);
        return this;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public AppQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
        return this;
    }


    /**
     * 设置 文件部署路径地址
     * @param distributeFilePath
     */
    public AppQuery distributeFilePath(String distributeFilePath){
        setDistributeFilePath(distributeFilePath);
        return this;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public AppQuery distributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
        return this;
    }

    /**
     * 设置  当前版本
     * @param version
     */
    public AppQuery version(Integer version){
        setVersion(version);
        return this;
    }

    /**
     * 设置 开始 当前版本
     * @param versionStart
     */
    public AppQuery versionStart(Integer versionStart){
        this.versionStart = versionStart;
        return this;
    }

    /**
     * 设置 结束 当前版本
     * @param versionEnd
     */
    public AppQuery versionEnd(Integer versionEnd){
        this.versionEnd = versionEnd;
        return this;
    }

    /**
     * 设置 增加 当前版本
     * @param versionIncrement
     */
    public AppQuery versionIncrement(Integer versionIncrement){
        this.versionIncrement = versionIncrement;
        return this;
    }

    /**
     * 设置 当前版本
     * @param versionList
     */
    public AppQuery versionList(List<Integer> versionList){
        this.versionList = versionList;
        return this;
    }

    /**
     * 设置 当前版本
     * @param versionNotList
     */
    public AppQuery versionNotList(List<Integer> versionNotList){
        this.versionNotList = versionNotList;
        return this;
    }


    /**
     * 设置 简介
     * @param summary
     */
    public AppQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public AppQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 更新说明
     * @param notes
     */
    public AppQuery notes(String notes){
        setNotes(notes);
        return this;
    }

    /**
     * 设置 更新说明
     * @param notesList
     */
    public AppQuery notesList(List<String> notesList){
        this.notesList = notesList;
        return this;
    }

    /**
     * 设置  是否部署(0.否，1.是)
     * @param distribute
     */
    public AppQuery distribute(Integer distribute){
        setDistribute(distribute);
        return this;
    }

    /**
     * 设置 开始 是否部署(0.否，1.是)
     * @param distributeStart
     */
    public AppQuery distributeStart(Integer distributeStart){
        this.distributeStart = distributeStart;
        return this;
    }

    /**
     * 设置 结束 是否部署(0.否，1.是)
     * @param distributeEnd
     */
    public AppQuery distributeEnd(Integer distributeEnd){
        this.distributeEnd = distributeEnd;
        return this;
    }

    /**
     * 设置 增加 是否部署(0.否，1.是)
     * @param distributeIncrement
     */
    public AppQuery distributeIncrement(Integer distributeIncrement){
        this.distributeIncrement = distributeIncrement;
        return this;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeList
     */
    public AppQuery distributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
        return this;
    }

    /**
     * 设置 是否部署(0.否，1.是)
     * @param distributeNotList
     */
    public AppQuery distributeNotList(List<Integer> distributeNotList){
        this.distributeNotList = distributeNotList;
        return this;
    }

    /**
     * 设置  是否数据更新(0.否，1.是)
     * @param dataUpdate
     */
    public AppQuery dataUpdate(Integer dataUpdate){
        setDataUpdate(dataUpdate);
        return this;
    }

    /**
     * 设置 开始 是否数据更新(0.否，1.是)
     * @param dataUpdateStart
     */
    public AppQuery dataUpdateStart(Integer dataUpdateStart){
        this.dataUpdateStart = dataUpdateStart;
        return this;
    }

    /**
     * 设置 结束 是否数据更新(0.否，1.是)
     * @param dataUpdateEnd
     */
    public AppQuery dataUpdateEnd(Integer dataUpdateEnd){
        this.dataUpdateEnd = dataUpdateEnd;
        return this;
    }

    /**
     * 设置 增加 是否数据更新(0.否，1.是)
     * @param dataUpdateIncrement
     */
    public AppQuery dataUpdateIncrement(Integer dataUpdateIncrement){
        this.dataUpdateIncrement = dataUpdateIncrement;
        return this;
    }

    /**
     * 设置 是否数据更新(0.否，1.是)
     * @param dataUpdateList
     */
    public AppQuery dataUpdateList(List<Integer> dataUpdateList){
        this.dataUpdateList = dataUpdateList;
        return this;
    }

    /**
     * 设置 是否数据更新(0.否，1.是)
     * @param dataUpdateNotList
     */
    public AppQuery dataUpdateNotList(List<Integer> dataUpdateNotList){
        this.dataUpdateNotList = dataUpdateNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AppQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AppQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AppQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AppQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AppQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AppQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}