package com.mortals.xhx.module.app.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.app.model.AppDatasetEntity;
import com.mortals.xhx.module.app.model.AppDatasetQuery;
import com.mortals.xhx.module.app.model.AppInfoFieldEntity;
import com.mortals.xhx.module.matter.model.MatterEntity;

/**
* AppDatasetService
*
* 自助终端应用数据集 service接口
*
* @author zxfei
* @date 2022-11-28
*/
public interface AppDatasetService extends ICRUDService<AppDatasetEntity,Long>{


    Result<AppInfoFieldEntity> findCustomList(AppDatasetQuery appDatasetQuery, PageInfo pageInfo, Context context) throws AppException;

}