package com.mortals.xhx.module.matter.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterEntity;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * 基础事项Dao
 * 基础事项 DAO接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface MatterDao extends ICRUDDao<MatterEntity, Long> {

    String SQLID_SUB_LIST = "getSubList";
    String SQLID_SUB_COUNT = "getSubListCount";


    String SQLID_MATTERLIST_AREACODE = "getMatterListByAreaCode";

    String SQLID_MATTERLIST_AREACODE_COUNT = "getMatterListByAreaCodeCount";





    Result<MatterEntity> getSubList(MatterEntity matterQuery, PageInfo pageInfo);

    List<MatterEntity> getMatterListByAreaCode(MatterEntity matterQuery);

    Result<MatterEntity> getMatterListByAreaCodePage(MatterEntity matterQuery, PageInfo pageInfo);

    int getMatterListByAreaCodeCount(ParamDto paramDto);
}
