package com.mortals.xhx.module.site.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.site.model.SiteEntity;
/**
 * 站点查询对象
 *
 * @author zxfei
 * @date 2024-12-11
 */
public class SiteQuery extends SiteEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 站点编号 */
    private List<String> siteCodeList;

    /** 站点编号排除列表 */
    private List <String> siteCodeNotList;
    /** 区域Id */
    private List<String> areaIDList;

    /** 区域Id排除列表 */
    private List <String> areaIDNotList;
    /** 区域编号 */
    private List<String> areaCodeList;

    /** 区域编号排除列表 */
    private List <String> areaCodeNotList;
    /** 区域名称 */
    private List<String> areaNameList;

    /** 区域名称排除列表 */
    private List <String> areaNameNotList;
    /** 省编码 */
    private List<String> proCodeList;

    /** 省编码排除列表 */
    private List <String> proCodeNotList;
    /** 市编码 */
    private List<String> cityCodeList;

    /** 市编码排除列表 */
    private List <String> cityCodeNotList;
    /** 区编码 */
    private List<String> districtCodeList;

    /** 区编码排除列表 */
    private List <String> districtCodeNotList;
    /** 站点服务器ip */
    private List<String> siteIpList;

    /** 站点服务器ip排除列表 */
    private List <String> siteIpNotList;
    /** 站点服务器端口 */
    private List<String> sitePortList;

    /** 站点服务器端口排除列表 */
    private List <String> sitePortNotList;
    /** 经度 */
    private List<String> longitudeList;

    /** 经度排除列表 */
    private List <String> longitudeNotList;
    /** 纬度 */
    private List<String> latitudeList;

    /** 纬度排除列表 */
    private List <String> latitudeNotList;
    /** 中心联系电话 */
    private List<String> siteTelList;

    /** 中心联系电话排除列表 */
    private List <String> siteTelNotList;
    /** 中心详细地址 */
    private List<String> detailAddressList;

    /** 中心详细地址排除列表 */
    private List <String> detailAddressNotList;
    /** 中心介绍 */
    private List<String> siteRemarkList;

    /** 中心介绍排除列表 */
    private List <String> siteRemarkNotList;
    /** 开始 上午上班开始时间 */
    private String amWorkStartTimeStart;

    /** 结束 上午上班开始时间 */
    private String amWorkStartTimeEnd;

    /** 开始 上午上班结束时间 */
    private String amWorkEndTimeStart;

    /** 结束 上午上班结束时间 */
    private String amWorkEndTimeEnd;

    /** 开始 下午上班开始时间 */
    private String pmWorkStartTimeStart;

    /** 结束 下午上班开始时间 */
    private String pmWorkStartTimeEnd;

    /** 开始 下午上班结束时间 */
    private String pmWorkEndTimeStart;

    /** 结束 下午上班结束时间 */
    private String pmWorkEndTimeEnd;

    /** 开始 周一 (1.上班，0.不上) */
    private Integer workday1Start;

    /** 结束 周一 (1.上班，0.不上) */
    private Integer workday1End;

    /** 增加 周一 (1.上班，0.不上) */
    private Integer workday1Increment;

    /** 周一 (1.上班，0.不上)列表 */
    private List <Integer> workday1List;

    /** 周一 (1.上班，0.不上)排除列表 */
    private List <Integer> workday1NotList;

    /** 开始 周二 (1.上班，0.不上) */
    private Integer workday2Start;

    /** 结束 周二 (1.上班，0.不上) */
    private Integer workday2End;

    /** 增加 周二 (1.上班，0.不上) */
    private Integer workday2Increment;

    /** 周二 (1.上班，0.不上)列表 */
    private List <Integer> workday2List;

    /** 周二 (1.上班，0.不上)排除列表 */
    private List <Integer> workday2NotList;

    /** 开始 周三 (1.上班，0.不上) */
    private Integer workday3Start;

    /** 结束 周三 (1.上班，0.不上) */
    private Integer workday3End;

    /** 增加 周三 (1.上班，0.不上) */
    private Integer workday3Increment;

    /** 周三 (1.上班，0.不上)列表 */
    private List <Integer> workday3List;

    /** 周三 (1.上班，0.不上)排除列表 */
    private List <Integer> workday3NotList;

    /** 开始 周四 (1.上班，0.不上) */
    private Integer workday4Start;

    /** 结束 周四 (1.上班，0.不上) */
    private Integer workday4End;

    /** 增加 周四 (1.上班，0.不上) */
    private Integer workday4Increment;

    /** 周四 (1.上班，0.不上)列表 */
    private List <Integer> workday4List;

    /** 周四 (1.上班，0.不上)排除列表 */
    private List <Integer> workday4NotList;

    /** 开始 周五 (1.上班，0.不上) */
    private Integer workday5Start;

    /** 结束 周五 (1.上班，0.不上) */
    private Integer workday5End;

    /** 增加 周五 (1.上班，0.不上) */
    private Integer workday5Increment;

    /** 周五 (1.上班，0.不上)列表 */
    private List <Integer> workday5List;

    /** 周五 (1.上班，0.不上)排除列表 */
    private List <Integer> workday5NotList;

    /** 开始 周六 (1.上班，0.不上) */
    private Integer workday6Start;

    /** 结束 周六 (1.上班，0.不上) */
    private Integer workday6End;

    /** 增加 周六 (1.上班，0.不上) */
    private Integer workday6Increment;

    /** 周六 (1.上班，0.不上)列表 */
    private List <Integer> workday6List;

    /** 周六 (1.上班，0.不上)排除列表 */
    private List <Integer> workday6NotList;

    /** 开始 周日 (1.上班，0.不上) */
    private Integer workday7Start;

    /** 结束 周日 (1.上班，0.不上) */
    private Integer workday7End;

    /** 增加 周日 (1.上班，0.不上) */
    private Integer workday7Increment;

    /** 周日 (1.上班，0.不上)列表 */
    private List <Integer> workday7List;

    /** 周日 (1.上班，0.不上)排除列表 */
    private List <Integer> workday7NotList;

    /** 开始 在线取号（0.否，1.是） */
    private Integer onlineTakeStart;

    /** 结束 在线取号（0.否，1.是） */
    private Integer onlineTakeEnd;

    /** 增加 在线取号（0.否，1.是） */
    private Integer onlineTakeIncrement;

    /** 在线取号（0.否，1.是）列表 */
    private List <Integer> onlineTakeList;

    /** 在线取号（0.否，1.是）排除列表 */
    private List <Integer> onlineTakeNotList;

    /** 开始 在线取号（0.否，1.是） */
    private Integer appointmentStart;

    /** 结束 在线取号（0.否，1.是） */
    private Integer appointmentEnd;

    /** 增加 在线取号（0.否，1.是） */
    private Integer appointmentIncrement;

    /** 在线取号（0.否，1.是）列表 */
    private List <Integer> appointmentList;

    /** 在线取号（0.否，1.是）排除列表 */
    private List <Integer> appointmentNotList;

    /** 开始 在线取号（0.否，1.是） */
    private Integer gowMapStart;

    /** 结束 在线取号（0.否，1.是） */
    private Integer gowMapEnd;

    /** 增加 在线取号（0.否，1.是） */
    private Integer gowMapIncrement;

    /** 在线取号（0.否，1.是）列表 */
    private List <Integer> gowMapList;

    /** 在线取号（0.否，1.是）排除列表 */
    private List <Integer> gowMapNotList;

    /** 开始 楼层 */
    private Integer levelStart;

    /** 结束 楼层 */
    private Integer levelEnd;

    /** 增加 楼层 */
    private Integer levelIncrement;

    /** 楼层列表 */
    private List <Integer> levelList;

    /** 楼层排除列表 */
    private List <Integer> levelNotList;

    /** 开始 楼栋 */
    private Integer buildingStart;

    /** 结束 楼栋 */
    private Integer buildingEnd;

    /** 增加 楼栋 */
    private Integer buildingIncrement;

    /** 楼栋列表 */
    private List <Integer> buildingList;

    /** 楼栋排除列表 */
    private List <Integer> buildingNotList;

    /** logo图片地址 */
    private List<String> logoPathList;

    /** logo图片地址排除列表 */
    private List <String> logoPathNotList;
    /** 英文名称 */
    private List<String> englishNameList;

    /** 英文名称排除列表 */
    private List <String> englishNameNotList;
    /** 负责人 */
    private List<String> leadingOfficialList;

    /** 负责人排除列表 */
    private List <String> leadingOfficialNotList;
    /** 联系电话 */
    private List<String> leadingOfficialTelephoneList;

    /** 联系电话排除列表 */
    private List <String> leadingOfficialTelephoneNotList;
    /** 部署模块，逗号分隔 */
    private List<String> modelIdsList;

    /** 部署模块，逗号分隔排除列表 */
    private List <String> modelIdsNotList;
    /** 政务风貌，多个逗号分割 */
    private List<String> govAffairStyleList;

    /** 政务风貌，多个逗号分割排除列表 */
    private List <String> govAffairStyleNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 投诉电话 */
    private List<String> complaintHotlineList;

    /** 投诉电话排除列表 */
    private List <String> complaintHotlineNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteQuery> andConditionList;

    public SiteQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 站点编号
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编号
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编号
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编号
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 区域Id
     * @return areaIDList
     */
    public List<String> getAreaIDList(){
        return this.areaIDList;
    }

    /**
     * 设置 区域Id
     * @param areaIDList
     */
    public void setAreaIDList(List<String> areaIDList){
        this.areaIDList = areaIDList;
    }

    /**
     * 获取 区域Id
     * @return areaIDNotList
     */
    public List<String> getAreaIDNotList(){
        return this.areaIDNotList;
    }

    /**
     * 设置 区域Id
     * @param areaIDNotList
     */
    public void setAreaIDNotList(List<String> areaIDNotList){
        this.areaIDNotList = areaIDNotList;
    }

    /**
     * 获取 区域编号
     * @return areaCodeList
     */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
     * 设置 区域编号
     * @param areaCodeList
     */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
     * 获取 区域编号
     * @return areaCodeNotList
     */
    public List<String> getAreaCodeNotList(){
        return this.areaCodeNotList;
    }

    /**
     * 设置 区域编号
     * @param areaCodeNotList
     */
    public void setAreaCodeNotList(List<String> areaCodeNotList){
        this.areaCodeNotList = areaCodeNotList;
    }

    /**
     * 获取 区域名称
     * @return areaNameList
     */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
     * 获取 区域名称
     * @return areaNameNotList
     */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
     * 设置 区域名称
     * @param areaNameNotList
     */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
     * 获取 省编码
     * @return proCodeList
     */
    public List<String> getProCodeList(){
        return this.proCodeList;
    }

    /**
     * 设置 省编码
     * @param proCodeList
     */
    public void setProCodeList(List<String> proCodeList){
        this.proCodeList = proCodeList;
    }

    /**
     * 获取 省编码
     * @return proCodeNotList
     */
    public List<String> getProCodeNotList(){
        return this.proCodeNotList;
    }

    /**
     * 设置 省编码
     * @param proCodeNotList
     */
    public void setProCodeNotList(List<String> proCodeNotList){
        this.proCodeNotList = proCodeNotList;
    }

    /**
     * 获取 市编码
     * @return cityCodeList
     */
    public List<String> getCityCodeList(){
        return this.cityCodeList;
    }

    /**
     * 设置 市编码
     * @param cityCodeList
     */
    public void setCityCodeList(List<String> cityCodeList){
        this.cityCodeList = cityCodeList;
    }

    /**
     * 获取 市编码
     * @return cityCodeNotList
     */
    public List<String> getCityCodeNotList(){
        return this.cityCodeNotList;
    }

    /**
     * 设置 市编码
     * @param cityCodeNotList
     */
    public void setCityCodeNotList(List<String> cityCodeNotList){
        this.cityCodeNotList = cityCodeNotList;
    }

    /**
     * 获取 区编码
     * @return districtCodeList
     */
    public List<String> getDistrictCodeList(){
        return this.districtCodeList;
    }

    /**
     * 设置 区编码
     * @param districtCodeList
     */
    public void setDistrictCodeList(List<String> districtCodeList){
        this.districtCodeList = districtCodeList;
    }

    /**
     * 获取 区编码
     * @return districtCodeNotList
     */
    public List<String> getDistrictCodeNotList(){
        return this.districtCodeNotList;
    }

    /**
     * 设置 区编码
     * @param districtCodeNotList
     */
    public void setDistrictCodeNotList(List<String> districtCodeNotList){
        this.districtCodeNotList = districtCodeNotList;
    }

    /**
     * 获取 站点服务器ip
     * @return siteIpList
     */
    public List<String> getSiteIpList(){
        return this.siteIpList;
    }

    /**
     * 设置 站点服务器ip
     * @param siteIpList
     */
    public void setSiteIpList(List<String> siteIpList){
        this.siteIpList = siteIpList;
    }

    /**
     * 获取 站点服务器ip
     * @return siteIpNotList
     */
    public List<String> getSiteIpNotList(){
        return this.siteIpNotList;
    }

    /**
     * 设置 站点服务器ip
     * @param siteIpNotList
     */
    public void setSiteIpNotList(List<String> siteIpNotList){
        this.siteIpNotList = siteIpNotList;
    }

    /**
     * 获取 站点服务器端口
     * @return sitePortList
     */
    public List<String> getSitePortList(){
        return this.sitePortList;
    }

    /**
     * 设置 站点服务器端口
     * @param sitePortList
     */
    public void setSitePortList(List<String> sitePortList){
        this.sitePortList = sitePortList;
    }

    /**
     * 获取 站点服务器端口
     * @return sitePortNotList
     */
    public List<String> getSitePortNotList(){
        return this.sitePortNotList;
    }

    /**
     * 设置 站点服务器端口
     * @param sitePortNotList
     */
    public void setSitePortNotList(List<String> sitePortNotList){
        this.sitePortNotList = sitePortNotList;
    }

    /**
     * 获取 经度
     * @return longitudeList
     */
    public List<String> getLongitudeList(){
        return this.longitudeList;
    }

    /**
     * 设置 经度
     * @param longitudeList
     */
    public void setLongitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
    }

    /**
     * 获取 经度
     * @return longitudeNotList
     */
    public List<String> getLongitudeNotList(){
        return this.longitudeNotList;
    }

    /**
     * 设置 经度
     * @param longitudeNotList
     */
    public void setLongitudeNotList(List<String> longitudeNotList){
        this.longitudeNotList = longitudeNotList;
    }

    /**
     * 获取 纬度
     * @return latitudeList
     */
    public List<String> getLatitudeList(){
        return this.latitudeList;
    }

    /**
     * 设置 纬度
     * @param latitudeList
     */
    public void setLatitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
    }

    /**
     * 获取 纬度
     * @return latitudeNotList
     */
    public List<String> getLatitudeNotList(){
        return this.latitudeNotList;
    }

    /**
     * 设置 纬度
     * @param latitudeNotList
     */
    public void setLatitudeNotList(List<String> latitudeNotList){
        this.latitudeNotList = latitudeNotList;
    }

    /**
     * 获取 中心联系电话
     * @return siteTelList
     */
    public List<String> getSiteTelList(){
        return this.siteTelList;
    }

    /**
     * 设置 中心联系电话
     * @param siteTelList
     */
    public void setSiteTelList(List<String> siteTelList){
        this.siteTelList = siteTelList;
    }

    /**
     * 获取 中心联系电话
     * @return siteTelNotList
     */
    public List<String> getSiteTelNotList(){
        return this.siteTelNotList;
    }

    /**
     * 设置 中心联系电话
     * @param siteTelNotList
     */
    public void setSiteTelNotList(List<String> siteTelNotList){
        this.siteTelNotList = siteTelNotList;
    }

    /**
     * 获取 中心详细地址
     * @return detailAddressList
     */
    public List<String> getDetailAddressList(){
        return this.detailAddressList;
    }

    /**
     * 设置 中心详细地址
     * @param detailAddressList
     */
    public void setDetailAddressList(List<String> detailAddressList){
        this.detailAddressList = detailAddressList;
    }

    /**
     * 获取 中心详细地址
     * @return detailAddressNotList
     */
    public List<String> getDetailAddressNotList(){
        return this.detailAddressNotList;
    }

    /**
     * 设置 中心详细地址
     * @param detailAddressNotList
     */
    public void setDetailAddressNotList(List<String> detailAddressNotList){
        this.detailAddressNotList = detailAddressNotList;
    }

    /**
     * 获取 中心介绍
     * @return siteRemarkList
     */
    public List<String> getSiteRemarkList(){
        return this.siteRemarkList;
    }

    /**
     * 设置 中心介绍
     * @param siteRemarkList
     */
    public void setSiteRemarkList(List<String> siteRemarkList){
        this.siteRemarkList = siteRemarkList;
    }

    /**
     * 获取 中心介绍
     * @return siteRemarkNotList
     */
    public List<String> getSiteRemarkNotList(){
        return this.siteRemarkNotList;
    }

    /**
     * 设置 中心介绍
     * @param siteRemarkNotList
     */
    public void setSiteRemarkNotList(List<String> siteRemarkNotList){
        this.siteRemarkNotList = siteRemarkNotList;
    }

    /**
     * 获取 开始 上午上班开始时间
     * @return amWorkStartTimeStart
     */
    public String getAmWorkStartTimeStart(){
        return this.amWorkStartTimeStart;
    }

    /**
     * 设置 开始 上午上班开始时间
     * @param amWorkStartTimeStart
     */
    public void setAmWorkStartTimeStart(String amWorkStartTimeStart){
        this.amWorkStartTimeStart = amWorkStartTimeStart;
    }

    /**
     * 获取 结束 上午上班开始时间
     * @return amWorkStartTimeEnd
     */
    public String getAmWorkStartTimeEnd(){
        return this.amWorkStartTimeEnd;
    }

    /**
     * 设置 结束 上午上班开始时间
     * @param amWorkStartTimeEnd
     */
    public void setAmWorkStartTimeEnd(String amWorkStartTimeEnd){
        this.amWorkStartTimeEnd = amWorkStartTimeEnd;
    }

    /**
     * 获取 开始 上午上班结束时间
     * @return amWorkEndTimeStart
     */
    public String getAmWorkEndTimeStart(){
        return this.amWorkEndTimeStart;
    }

    /**
     * 设置 开始 上午上班结束时间
     * @param amWorkEndTimeStart
     */
    public void setAmWorkEndTimeStart(String amWorkEndTimeStart){
        this.amWorkEndTimeStart = amWorkEndTimeStart;
    }

    /**
     * 获取 结束 上午上班结束时间
     * @return amWorkEndTimeEnd
     */
    public String getAmWorkEndTimeEnd(){
        return this.amWorkEndTimeEnd;
    }

    /**
     * 设置 结束 上午上班结束时间
     * @param amWorkEndTimeEnd
     */
    public void setAmWorkEndTimeEnd(String amWorkEndTimeEnd){
        this.amWorkEndTimeEnd = amWorkEndTimeEnd;
    }

    /**
     * 获取 开始 下午上班开始时间
     * @return pmWorkStartTimeStart
     */
    public String getPmWorkStartTimeStart(){
        return this.pmWorkStartTimeStart;
    }

    /**
     * 设置 开始 下午上班开始时间
     * @param pmWorkStartTimeStart
     */
    public void setPmWorkStartTimeStart(String pmWorkStartTimeStart){
        this.pmWorkStartTimeStart = pmWorkStartTimeStart;
    }

    /**
     * 获取 结束 下午上班开始时间
     * @return pmWorkStartTimeEnd
     */
    public String getPmWorkStartTimeEnd(){
        return this.pmWorkStartTimeEnd;
    }

    /**
     * 设置 结束 下午上班开始时间
     * @param pmWorkStartTimeEnd
     */
    public void setPmWorkStartTimeEnd(String pmWorkStartTimeEnd){
        this.pmWorkStartTimeEnd = pmWorkStartTimeEnd;
    }

    /**
     * 获取 开始 下午上班结束时间
     * @return pmWorkEndTimeStart
     */
    public String getPmWorkEndTimeStart(){
        return this.pmWorkEndTimeStart;
    }

    /**
     * 设置 开始 下午上班结束时间
     * @param pmWorkEndTimeStart
     */
    public void setPmWorkEndTimeStart(String pmWorkEndTimeStart){
        this.pmWorkEndTimeStart = pmWorkEndTimeStart;
    }

    /**
     * 获取 结束 下午上班结束时间
     * @return pmWorkEndTimeEnd
     */
    public String getPmWorkEndTimeEnd(){
        return this.pmWorkEndTimeEnd;
    }

    /**
     * 设置 结束 下午上班结束时间
     * @param pmWorkEndTimeEnd
     */
    public void setPmWorkEndTimeEnd(String pmWorkEndTimeEnd){
        this.pmWorkEndTimeEnd = pmWorkEndTimeEnd;
    }

    /**
     * 获取 开始 周一 (1.上班，0.不上)
     * @return workday1Start
     */
    public Integer getWorkday1Start(){
        return this.workday1Start;
    }

    /**
     * 设置 开始 周一 (1.上班，0.不上)
     * @param workday1Start
     */
    public void setWorkday1Start(Integer workday1Start){
        this.workday1Start = workday1Start;
    }

    /**
     * 获取 结束 周一 (1.上班，0.不上)
     * @return $workday1End
     */
    public Integer getWorkday1End(){
        return this.workday1End;
    }

    /**
     * 设置 结束 周一 (1.上班，0.不上)
     * @param workday1End
     */
    public void setWorkday1End(Integer workday1End){
        this.workday1End = workday1End;
    }

    /**
     * 获取 增加 周一 (1.上班，0.不上)
     * @return workday1Increment
     */
    public Integer getWorkday1Increment(){
        return this.workday1Increment;
    }

    /**
     * 设置 增加 周一 (1.上班，0.不上)
     * @param workday1Increment
     */
    public void setWorkday1Increment(Integer workday1Increment){
        this.workday1Increment = workday1Increment;
    }

    /**
     * 获取 周一 (1.上班，0.不上)
     * @return workday1List
     */
    public List<Integer> getWorkday1List(){
        return this.workday1List;
    }

    /**
     * 设置 周一 (1.上班，0.不上)
     * @param workday1List
     */
    public void setWorkday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
    }

    /**
     * 获取 周一 (1.上班，0.不上)
     * @return workday1NotList
     */
    public List<Integer> getWorkday1NotList(){
        return this.workday1NotList;
    }

    /**
     * 设置 周一 (1.上班，0.不上)
     * @param workday1NotList
     */
    public void setWorkday1NotList(List<Integer> workday1NotList){
        this.workday1NotList = workday1NotList;
    }


    /**
     * 获取 开始 周二 (1.上班，0.不上)
     * @return workday2Start
     */
    public Integer getWorkday2Start(){
        return this.workday2Start;
    }

    /**
     * 设置 开始 周二 (1.上班，0.不上)
     * @param workday2Start
     */
    public void setWorkday2Start(Integer workday2Start){
        this.workday2Start = workday2Start;
    }

    /**
     * 获取 结束 周二 (1.上班，0.不上)
     * @return $workday2End
     */
    public Integer getWorkday2End(){
        return this.workday2End;
    }

    /**
     * 设置 结束 周二 (1.上班，0.不上)
     * @param workday2End
     */
    public void setWorkday2End(Integer workday2End){
        this.workday2End = workday2End;
    }

    /**
     * 获取 增加 周二 (1.上班，0.不上)
     * @return workday2Increment
     */
    public Integer getWorkday2Increment(){
        return this.workday2Increment;
    }

    /**
     * 设置 增加 周二 (1.上班，0.不上)
     * @param workday2Increment
     */
    public void setWorkday2Increment(Integer workday2Increment){
        this.workday2Increment = workday2Increment;
    }

    /**
     * 获取 周二 (1.上班，0.不上)
     * @return workday2List
     */
    public List<Integer> getWorkday2List(){
        return this.workday2List;
    }

    /**
     * 设置 周二 (1.上班，0.不上)
     * @param workday2List
     */
    public void setWorkday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
    }

    /**
     * 获取 周二 (1.上班，0.不上)
     * @return workday2NotList
     */
    public List<Integer> getWorkday2NotList(){
        return this.workday2NotList;
    }

    /**
     * 设置 周二 (1.上班，0.不上)
     * @param workday2NotList
     */
    public void setWorkday2NotList(List<Integer> workday2NotList){
        this.workday2NotList = workday2NotList;
    }


    /**
     * 获取 开始 周三 (1.上班，0.不上)
     * @return workday3Start
     */
    public Integer getWorkday3Start(){
        return this.workday3Start;
    }

    /**
     * 设置 开始 周三 (1.上班，0.不上)
     * @param workday3Start
     */
    public void setWorkday3Start(Integer workday3Start){
        this.workday3Start = workday3Start;
    }

    /**
     * 获取 结束 周三 (1.上班，0.不上)
     * @return $workday3End
     */
    public Integer getWorkday3End(){
        return this.workday3End;
    }

    /**
     * 设置 结束 周三 (1.上班，0.不上)
     * @param workday3End
     */
    public void setWorkday3End(Integer workday3End){
        this.workday3End = workday3End;
    }

    /**
     * 获取 增加 周三 (1.上班，0.不上)
     * @return workday3Increment
     */
    public Integer getWorkday3Increment(){
        return this.workday3Increment;
    }

    /**
     * 设置 增加 周三 (1.上班，0.不上)
     * @param workday3Increment
     */
    public void setWorkday3Increment(Integer workday3Increment){
        this.workday3Increment = workday3Increment;
    }

    /**
     * 获取 周三 (1.上班，0.不上)
     * @return workday3List
     */
    public List<Integer> getWorkday3List(){
        return this.workday3List;
    }

    /**
     * 设置 周三 (1.上班，0.不上)
     * @param workday3List
     */
    public void setWorkday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
    }

    /**
     * 获取 周三 (1.上班，0.不上)
     * @return workday3NotList
     */
    public List<Integer> getWorkday3NotList(){
        return this.workday3NotList;
    }

    /**
     * 设置 周三 (1.上班，0.不上)
     * @param workday3NotList
     */
    public void setWorkday3NotList(List<Integer> workday3NotList){
        this.workday3NotList = workday3NotList;
    }


    /**
     * 获取 开始 周四 (1.上班，0.不上)
     * @return workday4Start
     */
    public Integer getWorkday4Start(){
        return this.workday4Start;
    }

    /**
     * 设置 开始 周四 (1.上班，0.不上)
     * @param workday4Start
     */
    public void setWorkday4Start(Integer workday4Start){
        this.workday4Start = workday4Start;
    }

    /**
     * 获取 结束 周四 (1.上班，0.不上)
     * @return $workday4End
     */
    public Integer getWorkday4End(){
        return this.workday4End;
    }

    /**
     * 设置 结束 周四 (1.上班，0.不上)
     * @param workday4End
     */
    public void setWorkday4End(Integer workday4End){
        this.workday4End = workday4End;
    }

    /**
     * 获取 增加 周四 (1.上班，0.不上)
     * @return workday4Increment
     */
    public Integer getWorkday4Increment(){
        return this.workday4Increment;
    }

    /**
     * 设置 增加 周四 (1.上班，0.不上)
     * @param workday4Increment
     */
    public void setWorkday4Increment(Integer workday4Increment){
        this.workday4Increment = workday4Increment;
    }

    /**
     * 获取 周四 (1.上班，0.不上)
     * @return workday4List
     */
    public List<Integer> getWorkday4List(){
        return this.workday4List;
    }

    /**
     * 设置 周四 (1.上班，0.不上)
     * @param workday4List
     */
    public void setWorkday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
    }

    /**
     * 获取 周四 (1.上班，0.不上)
     * @return workday4NotList
     */
    public List<Integer> getWorkday4NotList(){
        return this.workday4NotList;
    }

    /**
     * 设置 周四 (1.上班，0.不上)
     * @param workday4NotList
     */
    public void setWorkday4NotList(List<Integer> workday4NotList){
        this.workday4NotList = workday4NotList;
    }


    /**
     * 获取 开始 周五 (1.上班，0.不上)
     * @return workday5Start
     */
    public Integer getWorkday5Start(){
        return this.workday5Start;
    }

    /**
     * 设置 开始 周五 (1.上班，0.不上)
     * @param workday5Start
     */
    public void setWorkday5Start(Integer workday5Start){
        this.workday5Start = workday5Start;
    }

    /**
     * 获取 结束 周五 (1.上班，0.不上)
     * @return $workday5End
     */
    public Integer getWorkday5End(){
        return this.workday5End;
    }

    /**
     * 设置 结束 周五 (1.上班，0.不上)
     * @param workday5End
     */
    public void setWorkday5End(Integer workday5End){
        this.workday5End = workday5End;
    }

    /**
     * 获取 增加 周五 (1.上班，0.不上)
     * @return workday5Increment
     */
    public Integer getWorkday5Increment(){
        return this.workday5Increment;
    }

    /**
     * 设置 增加 周五 (1.上班，0.不上)
     * @param workday5Increment
     */
    public void setWorkday5Increment(Integer workday5Increment){
        this.workday5Increment = workday5Increment;
    }

    /**
     * 获取 周五 (1.上班，0.不上)
     * @return workday5List
     */
    public List<Integer> getWorkday5List(){
        return this.workday5List;
    }

    /**
     * 设置 周五 (1.上班，0.不上)
     * @param workday5List
     */
    public void setWorkday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
    }

    /**
     * 获取 周五 (1.上班，0.不上)
     * @return workday5NotList
     */
    public List<Integer> getWorkday5NotList(){
        return this.workday5NotList;
    }

    /**
     * 设置 周五 (1.上班，0.不上)
     * @param workday5NotList
     */
    public void setWorkday5NotList(List<Integer> workday5NotList){
        this.workday5NotList = workday5NotList;
    }


    /**
     * 获取 开始 周六 (1.上班，0.不上)
     * @return workday6Start
     */
    public Integer getWorkday6Start(){
        return this.workday6Start;
    }

    /**
     * 设置 开始 周六 (1.上班，0.不上)
     * @param workday6Start
     */
    public void setWorkday6Start(Integer workday6Start){
        this.workday6Start = workday6Start;
    }

    /**
     * 获取 结束 周六 (1.上班，0.不上)
     * @return $workday6End
     */
    public Integer getWorkday6End(){
        return this.workday6End;
    }

    /**
     * 设置 结束 周六 (1.上班，0.不上)
     * @param workday6End
     */
    public void setWorkday6End(Integer workday6End){
        this.workday6End = workday6End;
    }

    /**
     * 获取 增加 周六 (1.上班，0.不上)
     * @return workday6Increment
     */
    public Integer getWorkday6Increment(){
        return this.workday6Increment;
    }

    /**
     * 设置 增加 周六 (1.上班，0.不上)
     * @param workday6Increment
     */
    public void setWorkday6Increment(Integer workday6Increment){
        this.workday6Increment = workday6Increment;
    }

    /**
     * 获取 周六 (1.上班，0.不上)
     * @return workday6List
     */
    public List<Integer> getWorkday6List(){
        return this.workday6List;
    }

    /**
     * 设置 周六 (1.上班，0.不上)
     * @param workday6List
     */
    public void setWorkday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
    }

    /**
     * 获取 周六 (1.上班，0.不上)
     * @return workday6NotList
     */
    public List<Integer> getWorkday6NotList(){
        return this.workday6NotList;
    }

    /**
     * 设置 周六 (1.上班，0.不上)
     * @param workday6NotList
     */
    public void setWorkday6NotList(List<Integer> workday6NotList){
        this.workday6NotList = workday6NotList;
    }


    /**
     * 获取 开始 周日 (1.上班，0.不上)
     * @return workday7Start
     */
    public Integer getWorkday7Start(){
        return this.workday7Start;
    }

    /**
     * 设置 开始 周日 (1.上班，0.不上)
     * @param workday7Start
     */
    public void setWorkday7Start(Integer workday7Start){
        this.workday7Start = workday7Start;
    }

    /**
     * 获取 结束 周日 (1.上班，0.不上)
     * @return $workday7End
     */
    public Integer getWorkday7End(){
        return this.workday7End;
    }

    /**
     * 设置 结束 周日 (1.上班，0.不上)
     * @param workday7End
     */
    public void setWorkday7End(Integer workday7End){
        this.workday7End = workday7End;
    }

    /**
     * 获取 增加 周日 (1.上班，0.不上)
     * @return workday7Increment
     */
    public Integer getWorkday7Increment(){
        return this.workday7Increment;
    }

    /**
     * 设置 增加 周日 (1.上班，0.不上)
     * @param workday7Increment
     */
    public void setWorkday7Increment(Integer workday7Increment){
        this.workday7Increment = workday7Increment;
    }

    /**
     * 获取 周日 (1.上班，0.不上)
     * @return workday7List
     */
    public List<Integer> getWorkday7List(){
        return this.workday7List;
    }

    /**
     * 设置 周日 (1.上班，0.不上)
     * @param workday7List
     */
    public void setWorkday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
    }

    /**
     * 获取 周日 (1.上班，0.不上)
     * @return workday7NotList
     */
    public List<Integer> getWorkday7NotList(){
        return this.workday7NotList;
    }

    /**
     * 设置 周日 (1.上班，0.不上)
     * @param workday7NotList
     */
    public void setWorkday7NotList(List<Integer> workday7NotList){
        this.workday7NotList = workday7NotList;
    }


    /**
     * 获取 开始 在线取号（0.否，1.是）
     * @return onlineTakeStart
     */
    public Integer getOnlineTakeStart(){
        return this.onlineTakeStart;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param onlineTakeStart
     */
    public void setOnlineTakeStart(Integer onlineTakeStart){
        this.onlineTakeStart = onlineTakeStart;
    }

    /**
     * 获取 结束 在线取号（0.否，1.是）
     * @return $onlineTakeEnd
     */
    public Integer getOnlineTakeEnd(){
        return this.onlineTakeEnd;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param onlineTakeEnd
     */
    public void setOnlineTakeEnd(Integer onlineTakeEnd){
        this.onlineTakeEnd = onlineTakeEnd;
    }

    /**
     * 获取 增加 在线取号（0.否，1.是）
     * @return onlineTakeIncrement
     */
    public Integer getOnlineTakeIncrement(){
        return this.onlineTakeIncrement;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param onlineTakeIncrement
     */
    public void setOnlineTakeIncrement(Integer onlineTakeIncrement){
        this.onlineTakeIncrement = onlineTakeIncrement;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return onlineTakeList
     */
    public List<Integer> getOnlineTakeList(){
        return this.onlineTakeList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param onlineTakeList
     */
    public void setOnlineTakeList(List<Integer> onlineTakeList){
        this.onlineTakeList = onlineTakeList;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return onlineTakeNotList
     */
    public List<Integer> getOnlineTakeNotList(){
        return this.onlineTakeNotList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param onlineTakeNotList
     */
    public void setOnlineTakeNotList(List<Integer> onlineTakeNotList){
        this.onlineTakeNotList = onlineTakeNotList;
    }


    /**
     * 获取 开始 在线取号（0.否，1.是）
     * @return appointmentStart
     */
    public Integer getAppointmentStart(){
        return this.appointmentStart;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param appointmentStart
     */
    public void setAppointmentStart(Integer appointmentStart){
        this.appointmentStart = appointmentStart;
    }

    /**
     * 获取 结束 在线取号（0.否，1.是）
     * @return $appointmentEnd
     */
    public Integer getAppointmentEnd(){
        return this.appointmentEnd;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param appointmentEnd
     */
    public void setAppointmentEnd(Integer appointmentEnd){
        this.appointmentEnd = appointmentEnd;
    }

    /**
     * 获取 增加 在线取号（0.否，1.是）
     * @return appointmentIncrement
     */
    public Integer getAppointmentIncrement(){
        return this.appointmentIncrement;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param appointmentIncrement
     */
    public void setAppointmentIncrement(Integer appointmentIncrement){
        this.appointmentIncrement = appointmentIncrement;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return appointmentList
     */
    public List<Integer> getAppointmentList(){
        return this.appointmentList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param appointmentList
     */
    public void setAppointmentList(List<Integer> appointmentList){
        this.appointmentList = appointmentList;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return appointmentNotList
     */
    public List<Integer> getAppointmentNotList(){
        return this.appointmentNotList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param appointmentNotList
     */
    public void setAppointmentNotList(List<Integer> appointmentNotList){
        this.appointmentNotList = appointmentNotList;
    }


    /**
     * 获取 开始 在线取号（0.否，1.是）
     * @return gowMapStart
     */
    public Integer getGowMapStart(){
        return this.gowMapStart;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param gowMapStart
     */
    public void setGowMapStart(Integer gowMapStart){
        this.gowMapStart = gowMapStart;
    }

    /**
     * 获取 结束 在线取号（0.否，1.是）
     * @return $gowMapEnd
     */
    public Integer getGowMapEnd(){
        return this.gowMapEnd;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param gowMapEnd
     */
    public void setGowMapEnd(Integer gowMapEnd){
        this.gowMapEnd = gowMapEnd;
    }

    /**
     * 获取 增加 在线取号（0.否，1.是）
     * @return gowMapIncrement
     */
    public Integer getGowMapIncrement(){
        return this.gowMapIncrement;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param gowMapIncrement
     */
    public void setGowMapIncrement(Integer gowMapIncrement){
        this.gowMapIncrement = gowMapIncrement;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return gowMapList
     */
    public List<Integer> getGowMapList(){
        return this.gowMapList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param gowMapList
     */
    public void setGowMapList(List<Integer> gowMapList){
        this.gowMapList = gowMapList;
    }

    /**
     * 获取 在线取号（0.否，1.是）
     * @return gowMapNotList
     */
    public List<Integer> getGowMapNotList(){
        return this.gowMapNotList;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param gowMapNotList
     */
    public void setGowMapNotList(List<Integer> gowMapNotList){
        this.gowMapNotList = gowMapNotList;
    }


    /**
     * 获取 开始 楼层
     * @return levelStart
     */
    public Integer getLevelStart(){
        return this.levelStart;
    }

    /**
     * 设置 开始 楼层
     * @param levelStart
     */
    public void setLevelStart(Integer levelStart){
        this.levelStart = levelStart;
    }

    /**
     * 获取 结束 楼层
     * @return $levelEnd
     */
    public Integer getLevelEnd(){
        return this.levelEnd;
    }

    /**
     * 设置 结束 楼层
     * @param levelEnd
     */
    public void setLevelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
    }

    /**
     * 获取 增加 楼层
     * @return levelIncrement
     */
    public Integer getLevelIncrement(){
        return this.levelIncrement;
    }

    /**
     * 设置 增加 楼层
     * @param levelIncrement
     */
    public void setLevelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
    }

    /**
     * 获取 楼层
     * @return levelList
     */
    public List<Integer> getLevelList(){
        return this.levelList;
    }

    /**
     * 设置 楼层
     * @param levelList
     */
    public void setLevelList(List<Integer> levelList){
        this.levelList = levelList;
    }

    /**
     * 获取 楼层
     * @return levelNotList
     */
    public List<Integer> getLevelNotList(){
        return this.levelNotList;
    }

    /**
     * 设置 楼层
     * @param levelNotList
     */
    public void setLevelNotList(List<Integer> levelNotList){
        this.levelNotList = levelNotList;
    }


    /**
     * 获取 开始 楼栋
     * @return buildingStart
     */
    public Integer getBuildingStart(){
        return this.buildingStart;
    }

    /**
     * 设置 开始 楼栋
     * @param buildingStart
     */
    public void setBuildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
    }

    /**
     * 获取 结束 楼栋
     * @return $buildingEnd
     */
    public Integer getBuildingEnd(){
        return this.buildingEnd;
    }

    /**
     * 设置 结束 楼栋
     * @param buildingEnd
     */
    public void setBuildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
    }

    /**
     * 获取 增加 楼栋
     * @return buildingIncrement
     */
    public Integer getBuildingIncrement(){
        return this.buildingIncrement;
    }

    /**
     * 设置 增加 楼栋
     * @param buildingIncrement
     */
    public void setBuildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
    }

    /**
     * 获取 楼栋
     * @return buildingList
     */
    public List<Integer> getBuildingList(){
        return this.buildingList;
    }

    /**
     * 设置 楼栋
     * @param buildingList
     */
    public void setBuildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
    }

    /**
     * 获取 楼栋
     * @return buildingNotList
     */
    public List<Integer> getBuildingNotList(){
        return this.buildingNotList;
    }

    /**
     * 设置 楼栋
     * @param buildingNotList
     */
    public void setBuildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
    }


    /**
     * 获取 logo图片地址
     * @return logoPathList
     */
    public List<String> getLogoPathList(){
        return this.logoPathList;
    }

    /**
     * 设置 logo图片地址
     * @param logoPathList
     */
    public void setLogoPathList(List<String> logoPathList){
        this.logoPathList = logoPathList;
    }

    /**
     * 获取 logo图片地址
     * @return logoPathNotList
     */
    public List<String> getLogoPathNotList(){
        return this.logoPathNotList;
    }

    /**
     * 设置 logo图片地址
     * @param logoPathNotList
     */
    public void setLogoPathNotList(List<String> logoPathNotList){
        this.logoPathNotList = logoPathNotList;
    }

    /**
     * 获取 英文名称
     * @return englishNameList
     */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
     * 设置 英文名称
     * @param englishNameList
     */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }

    /**
     * 获取 英文名称
     * @return englishNameNotList
     */
    public List<String> getEnglishNameNotList(){
        return this.englishNameNotList;
    }

    /**
     * 设置 英文名称
     * @param englishNameNotList
     */
    public void setEnglishNameNotList(List<String> englishNameNotList){
        this.englishNameNotList = englishNameNotList;
    }

    /**
     * 获取 负责人
     * @return leadingOfficialList
     */
    public List<String> getLeadingOfficialList(){
        return this.leadingOfficialList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public void setLeadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
    }

    /**
     * 获取 负责人
     * @return leadingOfficialNotList
     */
    public List<String> getLeadingOfficialNotList(){
        return this.leadingOfficialNotList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialNotList
     */
    public void setLeadingOfficialNotList(List<String> leadingOfficialNotList){
        this.leadingOfficialNotList = leadingOfficialNotList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneList
     */
    public List<String> getLeadingOfficialTelephoneList(){
        return this.leadingOfficialTelephoneList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public void setLeadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneNotList
     */
    public List<String> getLeadingOfficialTelephoneNotList(){
        return this.leadingOfficialTelephoneNotList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneNotList
     */
    public void setLeadingOfficialTelephoneNotList(List<String> leadingOfficialTelephoneNotList){
        this.leadingOfficialTelephoneNotList = leadingOfficialTelephoneNotList;
    }

    /**
     * 获取 部署模块，逗号分隔
     * @return modelIdsList
     */
    public List<String> getModelIdsList(){
        return this.modelIdsList;
    }

    /**
     * 设置 部署模块，逗号分隔
     * @param modelIdsList
     */
    public void setModelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
    }

    /**
     * 获取 部署模块，逗号分隔
     * @return modelIdsNotList
     */
    public List<String> getModelIdsNotList(){
        return this.modelIdsNotList;
    }

    /**
     * 设置 部署模块，逗号分隔
     * @param modelIdsNotList
     */
    public void setModelIdsNotList(List<String> modelIdsNotList){
        this.modelIdsNotList = modelIdsNotList;
    }

    /**
     * 获取 政务风貌，多个逗号分割
     * @return govAffairStyleList
     */
    public List<String> getGovAffairStyleList(){
        return this.govAffairStyleList;
    }

    /**
     * 设置 政务风貌，多个逗号分割
     * @param govAffairStyleList
     */
    public void setGovAffairStyleList(List<String> govAffairStyleList){
        this.govAffairStyleList = govAffairStyleList;
    }

    /**
     * 获取 政务风貌，多个逗号分割
     * @return govAffairStyleNotList
     */
    public List<String> getGovAffairStyleNotList(){
        return this.govAffairStyleNotList;
    }

    /**
     * 设置 政务风貌，多个逗号分割
     * @param govAffairStyleNotList
     */
    public void setGovAffairStyleNotList(List<String> govAffairStyleNotList){
        this.govAffairStyleNotList = govAffairStyleNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 投诉电话
     * @return complaintHotlineList
     */
    public List<String> getComplaintHotlineList(){
        return this.complaintHotlineList;
    }

    /**
     * 设置 投诉电话
     * @param complaintHotlineList
     */
    public void setComplaintHotlineList(List<String> complaintHotlineList){
        this.complaintHotlineList = complaintHotlineList;
    }

    /**
     * 获取 投诉电话
     * @return complaintHotlineNotList
     */
    public List<String> getComplaintHotlineNotList(){
        return this.complaintHotlineNotList;
    }

    /**
     * 设置 投诉电话
     * @param complaintHotlineNotList
     */
    public void setComplaintHotlineNotList(List<String> complaintHotlineNotList){
        this.complaintHotlineNotList = complaintHotlineNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public SiteQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public SiteQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public SiteQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public SiteQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public SiteQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public SiteQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public SiteQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public SiteQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 站点编号
     * @param siteCode
     */
    public SiteQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编号
     * @param siteCodeList
     */
    public SiteQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 区域Id
     * @param areaID
     */
    public SiteQuery areaID(String areaID){
        setAreaID(areaID);
        return this;
    }

    /**
     * 设置 区域Id
     * @param areaIDList
     */
    public SiteQuery areaIDList(List<String> areaIDList){
        this.areaIDList = areaIDList;
        return this;
    }


    /**
     * 设置 区域编号
     * @param areaCode
     */
    public SiteQuery areaCode(String areaCode){
        setAreaCode(areaCode);
        return this;
    }

    /**
     * 设置 区域编号
     * @param areaCodeList
     */
    public SiteQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
        return this;
    }


    /**
     * 设置 区域名称
     * @param areaName
     */
    public SiteQuery areaName(String areaName){
        setAreaName(areaName);
        return this;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public SiteQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
        return this;
    }


    /**
     * 设置 省编码
     * @param proCode
     */
    public SiteQuery proCode(String proCode){
        setProCode(proCode);
        return this;
    }

    /**
     * 设置 省编码
     * @param proCodeList
     */
    public SiteQuery proCodeList(List<String> proCodeList){
        this.proCodeList = proCodeList;
        return this;
    }


    /**
     * 设置 市编码
     * @param cityCode
     */
    public SiteQuery cityCode(String cityCode){
        setCityCode(cityCode);
        return this;
    }

    /**
     * 设置 市编码
     * @param cityCodeList
     */
    public SiteQuery cityCodeList(List<String> cityCodeList){
        this.cityCodeList = cityCodeList;
        return this;
    }


    /**
     * 设置 区编码
     * @param districtCode
     */
    public SiteQuery districtCode(String districtCode){
        setDistrictCode(districtCode);
        return this;
    }

    /**
     * 设置 区编码
     * @param districtCodeList
     */
    public SiteQuery districtCodeList(List<String> districtCodeList){
        this.districtCodeList = districtCodeList;
        return this;
    }


    /**
     * 设置 站点服务器ip
     * @param siteIp
     */
    public SiteQuery siteIp(String siteIp){
        setSiteIp(siteIp);
        return this;
    }

    /**
     * 设置 站点服务器ip
     * @param siteIpList
     */
    public SiteQuery siteIpList(List<String> siteIpList){
        this.siteIpList = siteIpList;
        return this;
    }


    /**
     * 设置 站点服务器端口
     * @param sitePort
     */
    public SiteQuery sitePort(String sitePort){
        setSitePort(sitePort);
        return this;
    }

    /**
     * 设置 站点服务器端口
     * @param sitePortList
     */
    public SiteQuery sitePortList(List<String> sitePortList){
        this.sitePortList = sitePortList;
        return this;
    }


    /**
     * 设置 经度
     * @param longitude
     */
    public SiteQuery longitude(String longitude){
        setLongitude(longitude);
        return this;
    }

    /**
     * 设置 经度
     * @param longitudeList
     */
    public SiteQuery longitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
        return this;
    }


    /**
     * 设置 纬度
     * @param latitude
     */
    public SiteQuery latitude(String latitude){
        setLatitude(latitude);
        return this;
    }

    /**
     * 设置 纬度
     * @param latitudeList
     */
    public SiteQuery latitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
        return this;
    }


    /**
     * 设置 中心联系电话
     * @param siteTel
     */
    public SiteQuery siteTel(String siteTel){
        setSiteTel(siteTel);
        return this;
    }

    /**
     * 设置 中心联系电话
     * @param siteTelList
     */
    public SiteQuery siteTelList(List<String> siteTelList){
        this.siteTelList = siteTelList;
        return this;
    }


    /**
     * 设置 中心详细地址
     * @param detailAddress
     */
    public SiteQuery detailAddress(String detailAddress){
        setDetailAddress(detailAddress);
        return this;
    }

    /**
     * 设置 中心详细地址
     * @param detailAddressList
     */
    public SiteQuery detailAddressList(List<String> detailAddressList){
        this.detailAddressList = detailAddressList;
        return this;
    }


    /**
     * 设置 中心介绍
     * @param siteRemark
     */
    public SiteQuery siteRemark(String siteRemark){
        setSiteRemark(siteRemark);
        return this;
    }

    /**
     * 设置 中心介绍
     * @param siteRemarkList
     */
    public SiteQuery siteRemarkList(List<String> siteRemarkList){
        this.siteRemarkList = siteRemarkList;
        return this;
    }





    /**
     * 设置  周一 (1.上班，0.不上)
     * @param workday1
     */
    public SiteQuery workday1(Integer workday1){
        setWorkday1(workday1);
        return this;
    }

    /**
     * 设置 开始 周一 (1.上班，0.不上)
     * @param workday1Start
     */
    public SiteQuery workday1Start(Integer workday1Start){
        this.workday1Start = workday1Start;
        return this;
    }

    /**
     * 设置 结束 周一 (1.上班，0.不上)
     * @param workday1End
     */
    public SiteQuery workday1End(Integer workday1End){
        this.workday1End = workday1End;
        return this;
    }

    /**
     * 设置 增加 周一 (1.上班，0.不上)
     * @param workday1Increment
     */
    public SiteQuery workday1Increment(Integer workday1Increment){
        this.workday1Increment = workday1Increment;
        return this;
    }

    /**
     * 设置 周一 (1.上班，0.不上)
     * @param workday1List
     */
    public SiteQuery workday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
        return this;
    }

    /**
     * 设置 周一 (1.上班，0.不上)
     * @param workday1NotList
     */
    public SiteQuery workday1NotList(List<Integer> workday1NotList){
        this.workday1NotList = workday1NotList;
        return this;
    }

    /**
     * 设置  周二 (1.上班，0.不上)
     * @param workday2
     */
    public SiteQuery workday2(Integer workday2){
        setWorkday2(workday2);
        return this;
    }

    /**
     * 设置 开始 周二 (1.上班，0.不上)
     * @param workday2Start
     */
    public SiteQuery workday2Start(Integer workday2Start){
        this.workday2Start = workday2Start;
        return this;
    }

    /**
     * 设置 结束 周二 (1.上班，0.不上)
     * @param workday2End
     */
    public SiteQuery workday2End(Integer workday2End){
        this.workday2End = workday2End;
        return this;
    }

    /**
     * 设置 增加 周二 (1.上班，0.不上)
     * @param workday2Increment
     */
    public SiteQuery workday2Increment(Integer workday2Increment){
        this.workday2Increment = workday2Increment;
        return this;
    }

    /**
     * 设置 周二 (1.上班，0.不上)
     * @param workday2List
     */
    public SiteQuery workday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
        return this;
    }

    /**
     * 设置 周二 (1.上班，0.不上)
     * @param workday2NotList
     */
    public SiteQuery workday2NotList(List<Integer> workday2NotList){
        this.workday2NotList = workday2NotList;
        return this;
    }

    /**
     * 设置  周三 (1.上班，0.不上)
     * @param workday3
     */
    public SiteQuery workday3(Integer workday3){
        setWorkday3(workday3);
        return this;
    }

    /**
     * 设置 开始 周三 (1.上班，0.不上)
     * @param workday3Start
     */
    public SiteQuery workday3Start(Integer workday3Start){
        this.workday3Start = workday3Start;
        return this;
    }

    /**
     * 设置 结束 周三 (1.上班，0.不上)
     * @param workday3End
     */
    public SiteQuery workday3End(Integer workday3End){
        this.workday3End = workday3End;
        return this;
    }

    /**
     * 设置 增加 周三 (1.上班，0.不上)
     * @param workday3Increment
     */
    public SiteQuery workday3Increment(Integer workday3Increment){
        this.workday3Increment = workday3Increment;
        return this;
    }

    /**
     * 设置 周三 (1.上班，0.不上)
     * @param workday3List
     */
    public SiteQuery workday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
        return this;
    }

    /**
     * 设置 周三 (1.上班，0.不上)
     * @param workday3NotList
     */
    public SiteQuery workday3NotList(List<Integer> workday3NotList){
        this.workday3NotList = workday3NotList;
        return this;
    }

    /**
     * 设置  周四 (1.上班，0.不上)
     * @param workday4
     */
    public SiteQuery workday4(Integer workday4){
        setWorkday4(workday4);
        return this;
    }

    /**
     * 设置 开始 周四 (1.上班，0.不上)
     * @param workday4Start
     */
    public SiteQuery workday4Start(Integer workday4Start){
        this.workday4Start = workday4Start;
        return this;
    }

    /**
     * 设置 结束 周四 (1.上班，0.不上)
     * @param workday4End
     */
    public SiteQuery workday4End(Integer workday4End){
        this.workday4End = workday4End;
        return this;
    }

    /**
     * 设置 增加 周四 (1.上班，0.不上)
     * @param workday4Increment
     */
    public SiteQuery workday4Increment(Integer workday4Increment){
        this.workday4Increment = workday4Increment;
        return this;
    }

    /**
     * 设置 周四 (1.上班，0.不上)
     * @param workday4List
     */
    public SiteQuery workday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
        return this;
    }

    /**
     * 设置 周四 (1.上班，0.不上)
     * @param workday4NotList
     */
    public SiteQuery workday4NotList(List<Integer> workday4NotList){
        this.workday4NotList = workday4NotList;
        return this;
    }

    /**
     * 设置  周五 (1.上班，0.不上)
     * @param workday5
     */
    public SiteQuery workday5(Integer workday5){
        setWorkday5(workday5);
        return this;
    }

    /**
     * 设置 开始 周五 (1.上班，0.不上)
     * @param workday5Start
     */
    public SiteQuery workday5Start(Integer workday5Start){
        this.workday5Start = workday5Start;
        return this;
    }

    /**
     * 设置 结束 周五 (1.上班，0.不上)
     * @param workday5End
     */
    public SiteQuery workday5End(Integer workday5End){
        this.workday5End = workday5End;
        return this;
    }

    /**
     * 设置 增加 周五 (1.上班，0.不上)
     * @param workday5Increment
     */
    public SiteQuery workday5Increment(Integer workday5Increment){
        this.workday5Increment = workday5Increment;
        return this;
    }

    /**
     * 设置 周五 (1.上班，0.不上)
     * @param workday5List
     */
    public SiteQuery workday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
        return this;
    }

    /**
     * 设置 周五 (1.上班，0.不上)
     * @param workday5NotList
     */
    public SiteQuery workday5NotList(List<Integer> workday5NotList){
        this.workday5NotList = workday5NotList;
        return this;
    }

    /**
     * 设置  周六 (1.上班，0.不上)
     * @param workday6
     */
    public SiteQuery workday6(Integer workday6){
        setWorkday6(workday6);
        return this;
    }

    /**
     * 设置 开始 周六 (1.上班，0.不上)
     * @param workday6Start
     */
    public SiteQuery workday6Start(Integer workday6Start){
        this.workday6Start = workday6Start;
        return this;
    }

    /**
     * 设置 结束 周六 (1.上班，0.不上)
     * @param workday6End
     */
    public SiteQuery workday6End(Integer workday6End){
        this.workday6End = workday6End;
        return this;
    }

    /**
     * 设置 增加 周六 (1.上班，0.不上)
     * @param workday6Increment
     */
    public SiteQuery workday6Increment(Integer workday6Increment){
        this.workday6Increment = workday6Increment;
        return this;
    }

    /**
     * 设置 周六 (1.上班，0.不上)
     * @param workday6List
     */
    public SiteQuery workday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
        return this;
    }

    /**
     * 设置 周六 (1.上班，0.不上)
     * @param workday6NotList
     */
    public SiteQuery workday6NotList(List<Integer> workday6NotList){
        this.workday6NotList = workday6NotList;
        return this;
    }

    /**
     * 设置  周日 (1.上班，0.不上)
     * @param workday7
     */
    public SiteQuery workday7(Integer workday7){
        setWorkday7(workday7);
        return this;
    }

    /**
     * 设置 开始 周日 (1.上班，0.不上)
     * @param workday7Start
     */
    public SiteQuery workday7Start(Integer workday7Start){
        this.workday7Start = workday7Start;
        return this;
    }

    /**
     * 设置 结束 周日 (1.上班，0.不上)
     * @param workday7End
     */
    public SiteQuery workday7End(Integer workday7End){
        this.workday7End = workday7End;
        return this;
    }

    /**
     * 设置 增加 周日 (1.上班，0.不上)
     * @param workday7Increment
     */
    public SiteQuery workday7Increment(Integer workday7Increment){
        this.workday7Increment = workday7Increment;
        return this;
    }

    /**
     * 设置 周日 (1.上班，0.不上)
     * @param workday7List
     */
    public SiteQuery workday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
        return this;
    }

    /**
     * 设置 周日 (1.上班，0.不上)
     * @param workday7NotList
     */
    public SiteQuery workday7NotList(List<Integer> workday7NotList){
        this.workday7NotList = workday7NotList;
        return this;
    }

    /**
     * 设置  在线取号（0.否，1.是）
     * @param onlineTake
     */
    public SiteQuery onlineTake(Integer onlineTake){
        setOnlineTake(onlineTake);
        return this;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param onlineTakeStart
     */
    public SiteQuery onlineTakeStart(Integer onlineTakeStart){
        this.onlineTakeStart = onlineTakeStart;
        return this;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param onlineTakeEnd
     */
    public SiteQuery onlineTakeEnd(Integer onlineTakeEnd){
        this.onlineTakeEnd = onlineTakeEnd;
        return this;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param onlineTakeIncrement
     */
    public SiteQuery onlineTakeIncrement(Integer onlineTakeIncrement){
        this.onlineTakeIncrement = onlineTakeIncrement;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param onlineTakeList
     */
    public SiteQuery onlineTakeList(List<Integer> onlineTakeList){
        this.onlineTakeList = onlineTakeList;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param onlineTakeNotList
     */
    public SiteQuery onlineTakeNotList(List<Integer> onlineTakeNotList){
        this.onlineTakeNotList = onlineTakeNotList;
        return this;
    }

    /**
     * 设置  在线取号（0.否，1.是）
     * @param appointment
     */
    public SiteQuery appointment(Integer appointment){
        setAppointment(appointment);
        return this;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param appointmentStart
     */
    public SiteQuery appointmentStart(Integer appointmentStart){
        this.appointmentStart = appointmentStart;
        return this;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param appointmentEnd
     */
    public SiteQuery appointmentEnd(Integer appointmentEnd){
        this.appointmentEnd = appointmentEnd;
        return this;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param appointmentIncrement
     */
    public SiteQuery appointmentIncrement(Integer appointmentIncrement){
        this.appointmentIncrement = appointmentIncrement;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param appointmentList
     */
    public SiteQuery appointmentList(List<Integer> appointmentList){
        this.appointmentList = appointmentList;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param appointmentNotList
     */
    public SiteQuery appointmentNotList(List<Integer> appointmentNotList){
        this.appointmentNotList = appointmentNotList;
        return this;
    }

    /**
     * 设置  在线取号（0.否，1.是）
     * @param gowMap
     */
    public SiteQuery gowMap(Integer gowMap){
        setGowMap(gowMap);
        return this;
    }

    /**
     * 设置 开始 在线取号（0.否，1.是）
     * @param gowMapStart
     */
    public SiteQuery gowMapStart(Integer gowMapStart){
        this.gowMapStart = gowMapStart;
        return this;
    }

    /**
     * 设置 结束 在线取号（0.否，1.是）
     * @param gowMapEnd
     */
    public SiteQuery gowMapEnd(Integer gowMapEnd){
        this.gowMapEnd = gowMapEnd;
        return this;
    }

    /**
     * 设置 增加 在线取号（0.否，1.是）
     * @param gowMapIncrement
     */
    public SiteQuery gowMapIncrement(Integer gowMapIncrement){
        this.gowMapIncrement = gowMapIncrement;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param gowMapList
     */
    public SiteQuery gowMapList(List<Integer> gowMapList){
        this.gowMapList = gowMapList;
        return this;
    }

    /**
     * 设置 在线取号（0.否，1.是）
     * @param gowMapNotList
     */
    public SiteQuery gowMapNotList(List<Integer> gowMapNotList){
        this.gowMapNotList = gowMapNotList;
        return this;
    }

    /**
     * 设置  楼层
     * @param level
     */
    public SiteQuery level(Integer level){
        setLevel(level);
        return this;
    }

    /**
     * 设置 开始 楼层
     * @param levelStart
     */
    public SiteQuery levelStart(Integer levelStart){
        this.levelStart = levelStart;
        return this;
    }

    /**
     * 设置 结束 楼层
     * @param levelEnd
     */
    public SiteQuery levelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
        return this;
    }

    /**
     * 设置 增加 楼层
     * @param levelIncrement
     */
    public SiteQuery levelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
        return this;
    }

    /**
     * 设置 楼层
     * @param levelList
     */
    public SiteQuery levelList(List<Integer> levelList){
        this.levelList = levelList;
        return this;
    }

    /**
     * 设置 楼层
     * @param levelNotList
     */
    public SiteQuery levelNotList(List<Integer> levelNotList){
        this.levelNotList = levelNotList;
        return this;
    }

    /**
     * 设置  楼栋
     * @param building
     */
    public SiteQuery building(Integer building){
        setBuilding(building);
        return this;
    }

    /**
     * 设置 开始 楼栋
     * @param buildingStart
     */
    public SiteQuery buildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
        return this;
    }

    /**
     * 设置 结束 楼栋
     * @param buildingEnd
     */
    public SiteQuery buildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
        return this;
    }

    /**
     * 设置 增加 楼栋
     * @param buildingIncrement
     */
    public SiteQuery buildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
        return this;
    }

    /**
     * 设置 楼栋
     * @param buildingList
     */
    public SiteQuery buildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
        return this;
    }

    /**
     * 设置 楼栋
     * @param buildingNotList
     */
    public SiteQuery buildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
        return this;
    }


    /**
     * 设置 logo图片地址
     * @param logoPath
     */
    public SiteQuery logoPath(String logoPath){
        setLogoPath(logoPath);
        return this;
    }

    /**
     * 设置 logo图片地址
     * @param logoPathList
     */
    public SiteQuery logoPathList(List<String> logoPathList){
        this.logoPathList = logoPathList;
        return this;
    }


    /**
     * 设置 英文名称
     * @param englishName
     */
    public SiteQuery englishName(String englishName){
        setEnglishName(englishName);
        return this;
    }

    /**
     * 设置 英文名称
     * @param englishNameList
     */
    public SiteQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
        return this;
    }


    /**
     * 设置 负责人
     * @param leadingOfficial
     */
    public SiteQuery leadingOfficial(String leadingOfficial){
        setLeadingOfficial(leadingOfficial);
        return this;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public SiteQuery leadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param leadingOfficialTelephone
     */
    public SiteQuery leadingOfficialTelephone(String leadingOfficialTelephone){
        setLeadingOfficialTelephone(leadingOfficialTelephone);
        return this;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public SiteQuery leadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
        return this;
    }


    /**
     * 设置 部署模块，逗号分隔
     * @param modelIds
     */
    public SiteQuery modelIds(String modelIds){
        setModelIds(modelIds);
        return this;
    }

    /**
     * 设置 部署模块，逗号分隔
     * @param modelIdsList
     */
    public SiteQuery modelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
        return this;
    }


    /**
     * 设置 政务风貌，多个逗号分割
     * @param govAffairStyle
     */
    public SiteQuery govAffairStyle(String govAffairStyle){
        setGovAffairStyle(govAffairStyle);
        return this;
    }

    /**
     * 设置 政务风貌，多个逗号分割
     * @param govAffairStyleList
     */
    public SiteQuery govAffairStyleList(List<String> govAffairStyleList){
        this.govAffairStyleList = govAffairStyleList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SiteQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SiteQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SiteQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SiteQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SiteQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SiteQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 设置 投诉电话
     * @param complaintHotline
     */
    public SiteQuery complaintHotline(String complaintHotline){
        setComplaintHotline(complaintHotline);
        return this;
    }

    /**
     * 设置 投诉电话
     * @param complaintHotlineList
     */
    public SiteQuery complaintHotlineList(List<String> complaintHotlineList){
        this.complaintHotlineList = complaintHotlineList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SiteQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SiteQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SiteQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SiteQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}