package com.mortals.xhx.module.social.model;

import java.util.List;
import com.mortals.xhx.module.social.model.SocialSecuritySetEntity;
/**
 * 社保配置查询对象
 *
 * @author zxfei
 * @date 2025-03-21
 */
public class SocialSecuritySetQuery extends SocialSecuritySetEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 接入标识 */
    private List<String> appidList;

    /** 接入标识排除列表 */
    private List <String> appidNotList;
    /** 渠道标识-应用标识 */
    private List<String> accessKeyList;

    /** 渠道标识-应用标识排除列表 */
    private List <String> accessKeyNotList;
    /** 私钥 */
    private List<String> privatKeyList;

    /** 私钥排除列表 */
    private List <String> privatKeyNotList;
    /** 渠道密钥 */
    private List<String> keyList;

    /** 渠道密钥排除列表 */
    private List <String> keyNotList;
    /** 机具编码 */
    private List<String> az400List;

    /** 机具编码排除列表 */
    private List <String> az400NotList;
    /** 私钥 */
    private List<String> sm4keyList;

    /** 私钥排除列表 */
    private List <String> sm4keyNotList;
    /** 政务排号认证 */
    private List<String> serviceCodeList;

    /** 政务排号认证排除列表 */
    private List <String> serviceCodeNotList;
    /** 开始 启用开关 */
    private Integer enabledStart;

    /** 结束 启用开关 */
    private Integer enabledEnd;

    /** 增加 启用开关 */
    private Integer enabledIncrement;

    /** 启用开关列表 */
    private List <Integer> enabledList;

    /** 启用开关排除列表 */
    private List <Integer> enabledNotList;

    /** 短信签名 */
    private List<String> remarkList;

    /** 短信签名排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 政务业务认证码 */
    private List<String> busCodeList;

    /** 政务业务认证码排除列表 */
    private List <String> busCodeNotList;
    /** 机构名称 */
    private List<String> orgNameList;

    /** 机构名称排除列表 */
    private List <String> orgNameNotList;
    /** 机具使用地址 */
    private List<String> addressList;

    /** 机具使用地址排除列表 */
    private List <String> addressNotList;
    /** 区域码 */
    private List<String> regionCodeList;

    /** 区域码排除列表 */
    private List <String> regionCodeNotList;
    /** 统一社会信用代码 */
    private List<String> orgCodeList;

    /** 统一社会信用代码排除列表 */
    private List <String> orgCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SocialSecuritySetQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SocialSecuritySetQuery> andConditionList;

    public SocialSecuritySetQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 接入标识
     * @return appidList
     */
    public List<String> getAppidList(){
        return this.appidList;
    }

    /**
     * 设置 接入标识
     * @param appidList
     */
    public void setAppidList(List<String> appidList){
        this.appidList = appidList;
    }

    /**
     * 获取 接入标识
     * @return appidNotList
     */
    public List<String> getAppidNotList(){
        return this.appidNotList;
    }

    /**
     * 设置 接入标识
     * @param appidNotList
     */
    public void setAppidNotList(List<String> appidNotList){
        this.appidNotList = appidNotList;
    }

    /**
     * 获取 渠道标识-应用标识
     * @return accessKeyList
     */
    public List<String> getAccessKeyList(){
        return this.accessKeyList;
    }

    /**
     * 设置 渠道标识-应用标识
     * @param accessKeyList
     */
    public void setAccessKeyList(List<String> accessKeyList){
        this.accessKeyList = accessKeyList;
    }

    /**
     * 获取 渠道标识-应用标识
     * @return accessKeyNotList
     */
    public List<String> getAccessKeyNotList(){
        return this.accessKeyNotList;
    }

    /**
     * 设置 渠道标识-应用标识
     * @param accessKeyNotList
     */
    public void setAccessKeyNotList(List<String> accessKeyNotList){
        this.accessKeyNotList = accessKeyNotList;
    }

    /**
     * 获取 私钥
     * @return privatKeyList
     */
    public List<String> getPrivatKeyList(){
        return this.privatKeyList;
    }

    /**
     * 设置 私钥
     * @param privatKeyList
     */
    public void setPrivatKeyList(List<String> privatKeyList){
        this.privatKeyList = privatKeyList;
    }

    /**
     * 获取 私钥
     * @return privatKeyNotList
     */
    public List<String> getPrivatKeyNotList(){
        return this.privatKeyNotList;
    }

    /**
     * 设置 私钥
     * @param privatKeyNotList
     */
    public void setPrivatKeyNotList(List<String> privatKeyNotList){
        this.privatKeyNotList = privatKeyNotList;
    }

    /**
     * 获取 渠道密钥
     * @return keyList
     */
    public List<String> getKeyList(){
        return this.keyList;
    }

    /**
     * 设置 渠道密钥
     * @param keyList
     */
    public void setKeyList(List<String> keyList){
        this.keyList = keyList;
    }

    /**
     * 获取 渠道密钥
     * @return keyNotList
     */
    public List<String> getKeyNotList(){
        return this.keyNotList;
    }

    /**
     * 设置 渠道密钥
     * @param keyNotList
     */
    public void setKeyNotList(List<String> keyNotList){
        this.keyNotList = keyNotList;
    }

    /**
     * 获取 机具编码
     * @return az400List
     */
    public List<String> getAz400List(){
        return this.az400List;
    }

    /**
     * 设置 机具编码
     * @param az400List
     */
    public void setAz400List(List<String> az400List){
        this.az400List = az400List;
    }

    /**
     * 获取 机具编码
     * @return az400NotList
     */
    public List<String> getAz400NotList(){
        return this.az400NotList;
    }

    /**
     * 设置 机具编码
     * @param az400NotList
     */
    public void setAz400NotList(List<String> az400NotList){
        this.az400NotList = az400NotList;
    }

    /**
     * 获取 私钥
     * @return sm4keyList
     */
    public List<String> getSm4keyList(){
        return this.sm4keyList;
    }

    /**
     * 设置 私钥
     * @param sm4keyList
     */
    public void setSm4keyList(List<String> sm4keyList){
        this.sm4keyList = sm4keyList;
    }

    /**
     * 获取 私钥
     * @return sm4keyNotList
     */
    public List<String> getSm4keyNotList(){
        return this.sm4keyNotList;
    }

    /**
     * 设置 私钥
     * @param sm4keyNotList
     */
    public void setSm4keyNotList(List<String> sm4keyNotList){
        this.sm4keyNotList = sm4keyNotList;
    }

    /**
     * 获取 政务排号认证
     * @return serviceCodeList
     */
    public List<String> getServiceCodeList(){
        return this.serviceCodeList;
    }

    /**
     * 设置 政务排号认证
     * @param serviceCodeList
     */
    public void setServiceCodeList(List<String> serviceCodeList){
        this.serviceCodeList = serviceCodeList;
    }

    /**
     * 获取 政务排号认证
     * @return serviceCodeNotList
     */
    public List<String> getServiceCodeNotList(){
        return this.serviceCodeNotList;
    }

    /**
     * 设置 政务排号认证
     * @param serviceCodeNotList
     */
    public void setServiceCodeNotList(List<String> serviceCodeNotList){
        this.serviceCodeNotList = serviceCodeNotList;
    }

    /**
     * 获取 开始 启用开关
     * @return enabledStart
     */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
     * 设置 开始 启用开关
     * @param enabledStart
     */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
     * 获取 结束 启用开关
     * @return $enabledEnd
     */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
     * 设置 结束 启用开关
     * @param enabledEnd
     */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
     * 获取 增加 启用开关
     * @return enabledIncrement
     */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
     * 设置 增加 启用开关
     * @param enabledIncrement
     */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
     * 获取 启用开关
     * @return enabledList
     */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
     * 设置 启用开关
     * @param enabledList
     */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
     * 获取 启用开关
     * @return enabledNotList
     */
    public List<Integer> getEnabledNotList(){
        return this.enabledNotList;
    }

    /**
     * 设置 启用开关
     * @param enabledNotList
     */
    public void setEnabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
    }


    /**
     * 获取 短信签名
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 短信签名
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 短信签名
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 短信签名
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 政务业务认证码
     * @return busCodeList
     */
    public List<String> getBusCodeList(){
        return this.busCodeList;
    }

    /**
     * 设置 政务业务认证码
     * @param busCodeList
     */
    public void setBusCodeList(List<String> busCodeList){
        this.busCodeList = busCodeList;
    }

    /**
     * 获取 政务业务认证码
     * @return busCodeNotList
     */
    public List<String> getBusCodeNotList(){
        return this.busCodeNotList;
    }

    /**
     * 设置 政务业务认证码
     * @param busCodeNotList
     */
    public void setBusCodeNotList(List<String> busCodeNotList){
        this.busCodeNotList = busCodeNotList;
    }

    /**
     * 获取 机构名称
     * @return orgNameList
     */
    public List<String> getOrgNameList(){
        return this.orgNameList;
    }

    /**
     * 设置 机构名称
     * @param orgNameList
     */
    public void setOrgNameList(List<String> orgNameList){
        this.orgNameList = orgNameList;
    }

    /**
     * 获取 机构名称
     * @return orgNameNotList
     */
    public List<String> getOrgNameNotList(){
        return this.orgNameNotList;
    }

    /**
     * 设置 机构名称
     * @param orgNameNotList
     */
    public void setOrgNameNotList(List<String> orgNameNotList){
        this.orgNameNotList = orgNameNotList;
    }

    /**
     * 获取 机具使用地址
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 机具使用地址
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 机具使用地址
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 机具使用地址
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 区域码
     * @return regionCodeList
     */
    public List<String> getRegionCodeList(){
        return this.regionCodeList;
    }

    /**
     * 设置 区域码
     * @param regionCodeList
     */
    public void setRegionCodeList(List<String> regionCodeList){
        this.regionCodeList = regionCodeList;
    }

    /**
     * 获取 区域码
     * @return regionCodeNotList
     */
    public List<String> getRegionCodeNotList(){
        return this.regionCodeNotList;
    }

    /**
     * 设置 区域码
     * @param regionCodeNotList
     */
    public void setRegionCodeNotList(List<String> regionCodeNotList){
        this.regionCodeNotList = regionCodeNotList;
    }

    /**
     * 获取 统一社会信用代码
     * @return orgCodeList
     */
    public List<String> getOrgCodeList(){
        return this.orgCodeList;
    }

    /**
     * 设置 统一社会信用代码
     * @param orgCodeList
     */
    public void setOrgCodeList(List<String> orgCodeList){
        this.orgCodeList = orgCodeList;
    }

    /**
     * 获取 统一社会信用代码
     * @return orgCodeNotList
     */
    public List<String> getOrgCodeNotList(){
        return this.orgCodeNotList;
    }

    /**
     * 设置 统一社会信用代码
     * @param orgCodeNotList
     */
    public void setOrgCodeNotList(List<String> orgCodeNotList){
        this.orgCodeNotList = orgCodeNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public SocialSecuritySetQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public SocialSecuritySetQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public SocialSecuritySetQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public SocialSecuritySetQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public SocialSecuritySetQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public SocialSecuritySetQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public SocialSecuritySetQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public SocialSecuritySetQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public SocialSecuritySetQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public SocialSecuritySetQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public SocialSecuritySetQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public SocialSecuritySetQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public SocialSecuritySetQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public SocialSecuritySetQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 接入标识
     * @param appid
     */
    public SocialSecuritySetQuery appid(String appid){
        setAppid(appid);
        return this;
    }

    /**
     * 设置 接入标识
     * @param appidList
     */
    public SocialSecuritySetQuery appidList(List<String> appidList){
        this.appidList = appidList;
        return this;
    }


    /**
     * 设置 渠道标识-应用标识
     * @param accessKey
     */
    public SocialSecuritySetQuery accessKey(String accessKey){
        setAccessKey(accessKey);
        return this;
    }

    /**
     * 设置 渠道标识-应用标识
     * @param accessKeyList
     */
    public SocialSecuritySetQuery accessKeyList(List<String> accessKeyList){
        this.accessKeyList = accessKeyList;
        return this;
    }


    /**
     * 设置 私钥
     * @param privatKey
     */
    public SocialSecuritySetQuery privatKey(String privatKey){
        setPrivatKey(privatKey);
        return this;
    }

    /**
     * 设置 私钥
     * @param privatKeyList
     */
    public SocialSecuritySetQuery privatKeyList(List<String> privatKeyList){
        this.privatKeyList = privatKeyList;
        return this;
    }


    /**
     * 设置 渠道密钥
     * @param key
     */
    public SocialSecuritySetQuery key(String key){
        setKey(key);
        return this;
    }

    /**
     * 设置 渠道密钥
     * @param keyList
     */
    public SocialSecuritySetQuery keyList(List<String> keyList){
        this.keyList = keyList;
        return this;
    }


    /**
     * 设置 机具编码
     * @param az400
     */
    public SocialSecuritySetQuery az400(String az400){
        setAz400(az400);
        return this;
    }

    /**
     * 设置 机具编码
     * @param az400List
     */
    public SocialSecuritySetQuery az400List(List<String> az400List){
        this.az400List = az400List;
        return this;
    }


    /**
     * 设置 私钥
     * @param sm4key
     */
    public SocialSecuritySetQuery sm4key(String sm4key){
        setSm4key(sm4key);
        return this;
    }

    /**
     * 设置 私钥
     * @param sm4keyList
     */
    public SocialSecuritySetQuery sm4keyList(List<String> sm4keyList){
        this.sm4keyList = sm4keyList;
        return this;
    }


    /**
     * 设置 政务排号认证
     * @param serviceCode
     */
    public SocialSecuritySetQuery serviceCode(String serviceCode){
        setServiceCode(serviceCode);
        return this;
    }

    /**
     * 设置 政务排号认证
     * @param serviceCodeList
     */
    public SocialSecuritySetQuery serviceCodeList(List<String> serviceCodeList){
        this.serviceCodeList = serviceCodeList;
        return this;
    }

    /**
     * 设置  启用开关
     * @param enabled
     */
    public SocialSecuritySetQuery enabled(Integer enabled){
        setEnabled(enabled);
        return this;
    }

    /**
     * 设置 开始 启用开关
     * @param enabledStart
     */
    public SocialSecuritySetQuery enabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
        return this;
    }

    /**
     * 设置 结束 启用开关
     * @param enabledEnd
     */
    public SocialSecuritySetQuery enabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
        return this;
    }

    /**
     * 设置 增加 启用开关
     * @param enabledIncrement
     */
    public SocialSecuritySetQuery enabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
        return this;
    }

    /**
     * 设置 启用开关
     * @param enabledList
     */
    public SocialSecuritySetQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
        return this;
    }

    /**
     * 设置 启用开关
     * @param enabledNotList
     */
    public SocialSecuritySetQuery enabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
        return this;
    }


    /**
     * 设置 短信签名
     * @param remark
     */
    public SocialSecuritySetQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 短信签名
     * @param remarkList
     */
    public SocialSecuritySetQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SocialSecuritySetQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SocialSecuritySetQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SocialSecuritySetQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SocialSecuritySetQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SocialSecuritySetQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SocialSecuritySetQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 设置 政务业务认证码
     * @param busCode
     */
    public SocialSecuritySetQuery busCode(String busCode){
        setBusCode(busCode);
        return this;
    }

    /**
     * 设置 政务业务认证码
     * @param busCodeList
     */
    public SocialSecuritySetQuery busCodeList(List<String> busCodeList){
        this.busCodeList = busCodeList;
        return this;
    }


    /**
     * 设置 机构名称
     * @param orgName
     */
    public SocialSecuritySetQuery orgName(String orgName){
        setOrgName(orgName);
        return this;
    }

    /**
     * 设置 机构名称
     * @param orgNameList
     */
    public SocialSecuritySetQuery orgNameList(List<String> orgNameList){
        this.orgNameList = orgNameList;
        return this;
    }


    /**
     * 设置 机具使用地址
     * @param address
     */
    public SocialSecuritySetQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 机具使用地址
     * @param addressList
     */
    public SocialSecuritySetQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }


    /**
     * 设置 区域码
     * @param regionCode
     */
    public SocialSecuritySetQuery regionCode(String regionCode){
        setRegionCode(regionCode);
        return this;
    }

    /**
     * 设置 区域码
     * @param regionCodeList
     */
    public SocialSecuritySetQuery regionCodeList(List<String> regionCodeList){
        this.regionCodeList = regionCodeList;
        return this;
    }


    /**
     * 设置 统一社会信用代码
     * @param orgCode
     */
    public SocialSecuritySetQuery orgCode(String orgCode){
        setOrgCode(orgCode);
        return this;
    }

    /**
     * 设置 统一社会信用代码
     * @param orgCodeList
     */
    public SocialSecuritySetQuery orgCodeList(List<String> orgCodeList){
        this.orgCodeList = orgCodeList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SocialSecuritySetQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SocialSecuritySetQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SocialSecuritySetQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SocialSecuritySetQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}