package com.mortals.xhx.module.window.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.window.model.WindowEntity;

import java.util.List;

/**
 * 窗口Dao
 * 窗口 DAO接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface WindowDao extends ICRUDDao<WindowEntity, Long> {

    String SQLID_SUB_HALL_LIST = "getSubHallList";
    String SQLID_SUB_HALL_COUNT = "getSubHallListCount";
    String SQLID_GETHALLBYDEPT = "getHallByDept";


    Result<WindowEntity> getSubHallList(WindowEntity windowQuery, PageInfo pageInfo);


    Result<WindowEntity> getHallByDept(WindowEntity windowQuery);


}
