import com.alibaba.fastjson.JSON;
import com.mortals.framework.common.Rest;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.common.utils.MatterHtmlParseUtil;
import com.mortals.xhx.module.matter.model.MatterEntity;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.ObjectUtils;
import org.junit.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
public class TestParsePost {

    @Test
    public void testUrl() {

        String url = "http://www.sczwfw.gov.cn/jiq/interface/item/tags";
        HashMap<String, String> params = new HashMap<>();
        params.put("areaCode", "511500000000");
        params.put("dxType", "6");
        params.put("deptCode", "11511200MB1147469G");
        params.put("searchtext", "");
       // params.put("type", "2");//类型 2.部门  1.主题  3.热度
        params.put("taskType", "");
        // params.put("pageno", "1");
        Rest<Map<String, Integer>> rest = MatterHtmlParseUtil.statSiteMatterCount(params, url);
        System.out.println(JSON.toJSONString(rest));

        List<MatterEntity> allList = new ArrayList<>();
        String url1 = "http://www.sczwfw.gov.cn/jiq/interface/item/tags";
        HashMap<String, String> params1 = new HashMap<>();
        params1.put("areaCode", "511500000000");
        params1.put("dxType", "6");
        params1.put("deptCode", "11511200MB1147469G");
        params1.put("searchtext", "");
     //   params1.put("type", "2");
        params1.put("taskType", "");
        for (int i = 1; i <= rest.getData().get("pageNum"); i++) {
            params1.put("pageno", String.valueOf(i));
            Rest<List<MatterEntity>> restList = MatterHtmlParseUtil.getMatterList(params1, url1);
            if (restList.getCode() == YesNoEnum.YES.getValue() && !ObjectUtils.isEmpty(restList.getData())) {
                allList.addAll(restList.getData());
            }
        }

        for (int i = 0; i < allList.size(); i++) {
            System.out.println(i + "  " + allList.get(i).getMatterName()+"  "+ allList.get(i).getUrl()) ;
        }

    }


}
