package com.mortals.xhx.module.park.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.park.model.vo.ParkVo;
import lombok.Data;
/**
* 园区基本信息实体对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class ParkEntity extends ParkVo {
    private static final long serialVersionUID = 1L;

    /**
    * 园区名称
    */
    private String name;
    /**
    * 园区编码
    */
    private String code;
    /**
    * 园区介绍
    */
    private String introduction;
    /**
    * 电话号码
    */
    private String phone;
    /**
    * 园区地址
    */
    private String address;
    /**
    * 园区图标
    */
    private String icon;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ParkEntity) {
            ParkEntity tmp = (ParkEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.name = "";
            this.code = "";
            this.introduction = "";
            this.phone = "";
            this.address = "";
            this.icon = "";
    }
}