// import local from "@/utils/local";
import store from "@/store/index";
// 皮肤模板页面权限
export const permission = {
  inserted: function(el, binding) {
    const { value } = binding;
    // const roles = local.getLocal("baseUserInfo").id;
    const roles = store.getters["site/userInfo"].id;
    if (value) {
      const permissionRoles = value;
      const hasPermission = permissionRoles.includes(roles);
      if (!hasPermission) {
        el.remove();
      }
    } else {
      throw new Error(`need roles! Like v-permission="['admin','editor']"`);
    }
  },
};
