import {role,employee,waited,index,section, kqset, api, user, window,servers,area,aimodel,windowinfo,appeal,alert,position,auth} from '@/services/api'
import {request, METHOD} from '@/utils/request'

export async function dictionary(data) {
    return request(api.dictionary, METHOD.GET, data)
}

export async function usersite(data) {
    return request(user.usersite, METHOD.POST, data)
}


export async function modelfile(data) {
    return request(api.modelfile, METHOD.GET, data)
}

export async function sectionListdata(data) {
    return request(section.listdata, METHOD.GET, data)
}

export async function kqsetSave(data) {
    return request(kqset.save, METHOD.POST, data)
}
export async function kqsetInfo(data) {
    return request(kqset.info, METHOD.GET, data)
}

export async function windowtree(data) {
    return request(window.windowtree, METHOD.GET, data)
}

export async function windowshow(data) {
    return request(window.info, METHOD.GET, data)
}

export async function serversListdata(data) {
    return request(servers.listdata, METHOD.GET, data)
}

export async function areaInfo(data) {
    return request(area.info, METHOD.GET, data)
}

export async function aimodelSave(data) {
    return request(aimodel.save, METHOD.POST, data)
}

export async function windowInfo(data) {
    return request(windowinfo.info, METHOD.GET, data)
}

export async function windowListdata(data) {
    return request(windowinfo.listdata, METHOD.GET, data)
}


export async function appealInfo(data) {
    return request(appeal.info, METHOD.GET, data)
}

export async function appealsh(data) {
    return request(appeal.appealsh, METHOD.POST, data)
}

export async function alertInfo(data) {
    return request(alert.info, METHOD.GET, data)
}

export async function positionauth(data) {
    return request(position.positionauth, METHOD.POST, data)
}

export async function authListdata(data) {
    return request(auth.listdata, METHOD.GET, data)
}

export async function indexNum(data) {
    return request(index.index, METHOD.GET, data)
}

export async function indexAnomaly(data) {
    return request(index.anomaly, METHOD.GET, data)
}

export async function analysisfrom(data) {
    return request(index.analysisfrom, METHOD.GET, data)
}

export async function sectiontop(data) {
    return request(index.sectiontop, METHOD.GET, data)
}

export async function ycdata(data) {
    return request(index.ycdata, METHOD.GET, data)
}

export async function windowtop(data) {
    return request(index.windowtop, METHOD.GET, data)
}

export async function waitedListdata(data) {
    return request(waited.listdata, METHOD.GET, data)
}

export async function waitedSavesite(data) {
    return request(waited.savesite, METHOD.GET, data)
}

export async function employeeSave(data) {
    return request(employee.save, METHOD.POST, data)
}

export async function listrole(data) {
    return request(role.listrole, METHOD.GET, data)
}

