package com.mortals.xhx.common.key;

/**
 * Redis缓存key定义
 */
public class RedisKey {

    /**
     * 登录 cookies key
     */
    public static final String KEY_MENU_CACHE = "iot:base:MenuCacheKey:";

    public static final String KEY_USER_MENU_CACHE = "user:menu";


    /**
     * 大厅业务缓存
     */
    public static final String KEY_SEARCH_HALL_BUSINESS_CACHE = "base:search:hall:business:";

    /**
     * 站点业务id缓存
     */
    public static final String KEY_SEARCH_SITEBUSINESSID_CACHE = "base:search:sitebusinessid:";

    /**
     * 窗口id缓存
     */
    public static final String KEY_SEARCH_WINDOWID_CACHE = "base:search:windowId:";

    /**
     * 窗口id列表缓存
     */
    public static final String KEY_SEARCH_WINDOWID_LIST_CACHE = "base:search:windowId:list:";

    /**
     * 缓存过期时间(秒)
     */
    public static final Long KEY_SEARCH_TIMEOUTT_CACHE = 1800L;


    /**
     * referers
     */
    public static final String KEY_REFERERS_CACHE = "referers";

}
