package com.mortals.xhx.module.app.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.AppDatasetQuery;
import com.mortals.xhx.module.app.model.AppInfoTempleteFieldEntity;
import com.mortals.xhx.module.app.model.AppInfoTempleteFieldQuery;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 自助终端应用模板信息字段视图对象
*
* @author zxfei
* @date 2022-11-28
*/
@Data
public class AppInfoTempleteFieldVo extends BaseEntityLong {

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppInfoTempleteFieldQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppInfoTempleteFieldQuery> andConditionList;
}