package com.mortals.xhx.module.app.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.AppEntity;
import com.mortals.xhx.module.site.model.SiteEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 自助终端应用视图对象
*
* @author zxfei
* @date 2022-11-28
*/
@Data
public class AppVo extends BaseEntityLong {

    /**
     * 适用站点范围数量
     */
    private Integer applianceSiteScope;
    /**
     * 站点列表
     */
    private List<Long> siteIdList;

    private Long siteIdStart
            ;
    private Long siteIdEnd;

    /**
     *
     */
    private List <Long> idList;


    private Long idStart;

    private Long idEnd;

    private Long idIncrement;
    /**
     * 自主应用访问地址
     */
    private String custUrl;
    /**
     * 图标访问地址
     */
    private String appIconUrl;


    private String serverName;

    private Integer serverPort;
    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 源app
     */
    private Long sourceAppId;

    /**
     * 目标app
     */
    private Long targetAppId;
    /**
     * 是否删除
     */
    private Integer targetDelete=0;

    /** 类型(1.应用程序,2.url)列表 */
    private List <Integer> appTypeList;

    /** 类型(1.应用程序,2.url)排除列表 */
    private List <Integer> appTypeNotList;

}