package com.mortals.xhx.module.app.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.app.dao.AppDao;
import com.mortals.xhx.module.app.model.AppEntity;
import com.mortals.xhx.module.site.model.SiteEntity;

import java.util.List;

/**
 * AppService
 * <p>
 * 自助终端应用 service接口
 *
 * @author zxfei
 * @date 2022-11-28
 */
public interface AppService extends ICRUDService<AppEntity, Long> {


    Rest<String> appDistribute(AppEntity appEntity, Context context);

    Rest<Void> appCommonDistribute(AppEntity appEntity, Context context);


    Rest<String> cloneAppsBySites(List<AppEntity> appList, List<SiteEntity> siteList, Context context);


    Rest<String> cloneAppBySameSite(AppEntity appEntity, Context context);


    AppDao getAppDao();

    

}