package com.mortals.xhx.module.dept.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.DeptEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 部门视图对象
*
* @author zxfei
* @date 2022-01-12
*/
@Data
public class DeptVo extends BaseEntityLong {
    /**
     * 部门名称
     */
    private String name;

    /**
     * 部门编号
     */
    private String deptNumber;

    /**
     * 站点业务ID
     */
    private Long siteBusinessId;



    private Long windowId;
    private String windowName;
    /**
     * 业务名称
     */
    private String businessName;

    /** 站点业务ID列表 */
    private List <Long> siteBusinessIdList;

    /** 部门ID列表 */
    private List <Long> idList;
    /**
     * 是否过滤不存在事项的部门（0.不过滤，1.过滤，默认不过滤）
     */
    private Integer filter;

    /** 开始 关联事项数量 */
    private Integer totalStart;

    /**
     * 大厅事项入驻(0.否,1.是)
     */
    private Integer hallCheckIn;

    /** 开始 入驻事项数量 */
    private Integer inNumStart;

}