package com.mortals.xhx.module.device.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceBlackappVo;
import lombok.Data;
/**
* 设备应用黑名单实体对象
*
* @author zxfei
* @date 2023-05-07
*/
@Data
public class DeviceBlackappEntity extends DeviceBlackappVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 设备id
    */
    private Long deviceId;
    /**
    * 设备编码
    */
    private String deviceCode;
    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 应用id
    */
    private Long appId;
    /**
    * 应用编码
    */
    private String appCode;
    /**
    * 应用名称
    */
    private String appName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceBlackappEntity) {
            DeviceBlackappEntity tmp = (DeviceBlackappEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.deviceId = null;

            this.deviceCode = "";

            this.deviceName = "";

            this.appId = null;

            this.appCode = "";

            this.appName = null;
    }
}