package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterChannelEntity;
/**
 * 办理渠道查询对象
 *
 * @author zxfei
 * @date 2025-03-19
 */
public class MatterChannelQuery extends MatterChannelEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 基础事项表id */
    private Long matterIdStart;

    /** 结束 基础事项表id */
    private Long matterIdEnd;

    /** 增加 基础事项表id */
    private Long matterIdIncrement;

    /** 基础事项表id列表 */
    private List <Long> matterIdList;

    /** 基础事项表id排除列表 */
    private List <Long> matterIdNotList;

    /**  */
    private List<String> matterCodeList;

    /** 排除列表 */
    private List <String> matterCodeNotList;
    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** 图标 */
    private List<String> iconList;

    /** 图标排除列表 */
    private List <String> iconNotList;
    /** 跳转地址 */
    private List<String> urlList;

    /** 跳转地址排除列表 */
    private List <String> urlNotList;
    /** 开始 事项来源 (0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源 (0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源 (0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源 (0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 事项来源 (0.政务网，1.自定义)排除列表 */
    private List <Integer> sourceNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 描述信息 */
    private List<String> descriptionList;

    /** 描述信息排除列表 */
    private List <String> descriptionNotList;
    /** 二维码图片 */
    private List<String> qrCodeList;

    /** 二维码图片排除列表 */
    private List <String> qrCodeNotList;
    /** 开始 app来源类型 (0.PC端，1.移动端) */
    private Integer appTypeStart;

    /** 结束 app来源类型 (0.PC端，1.移动端) */
    private Integer appTypeEnd;

    /** 增加 app来源类型 (0.PC端，1.移动端) */
    private Integer appTypeIncrement;

    /** app来源类型 (0.PC端，1.移动端)列表 */
    private List <Integer> appTypeList;

    /** app来源类型 (0.PC端，1.移动端)排除列表 */
    private List <Integer> appTypeNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterChannelQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterChannelQuery> andConditionList;

    public MatterChannelQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 基础事项表id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 基础事项表id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 基础事项表id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 基础事项表id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 基础事项表id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 基础事项表id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 基础事项表id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 基础事项表id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 基础事项表id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 基础事项表id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 名称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 名称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 图标
     * @return iconList
     */
    public List<String> getIconList(){
        return this.iconList;
    }

    /**
     * 设置 图标
     * @param iconList
     */
    public void setIconList(List<String> iconList){
        this.iconList = iconList;
    }

    /**
     * 获取 图标
     * @return iconNotList
     */
    public List<String> getIconNotList(){
        return this.iconNotList;
    }

    /**
     * 设置 图标
     * @param iconNotList
     */
    public void setIconNotList(List<String> iconNotList){
        this.iconNotList = iconNotList;
    }

    /**
     * 获取 跳转地址
     * @return urlList
     */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
     * 设置 跳转地址
     * @param urlList
     */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
     * 获取 跳转地址
     * @return urlNotList
     */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
     * 设置 跳转地址
     * @param urlNotList
     */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
     * 获取 开始 事项来源 (0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源 (0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源 (0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源 (0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源 (0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源 (0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源 (0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源 (0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 事项来源 (0.政务网，1.自定义)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 事项来源 (0.政务网，1.自定义)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 描述信息
     * @return descriptionList
     */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
     * 设置 描述信息
     * @param descriptionList
     */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
     * 获取 描述信息
     * @return descriptionNotList
     */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
     * 设置 描述信息
     * @param descriptionNotList
     */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
     * 获取 二维码图片
     * @return qrCodeList
     */
    public List<String> getQrCodeList(){
        return this.qrCodeList;
    }

    /**
     * 设置 二维码图片
     * @param qrCodeList
     */
    public void setQrCodeList(List<String> qrCodeList){
        this.qrCodeList = qrCodeList;
    }

    /**
     * 获取 二维码图片
     * @return qrCodeNotList
     */
    public List<String> getQrCodeNotList(){
        return this.qrCodeNotList;
    }

    /**
     * 设置 二维码图片
     * @param qrCodeNotList
     */
    public void setQrCodeNotList(List<String> qrCodeNotList){
        this.qrCodeNotList = qrCodeNotList;
    }

    /**
     * 获取 开始 app来源类型 (0.PC端，1.移动端)
     * @return appTypeStart
     */
    public Integer getAppTypeStart(){
        return this.appTypeStart;
    }

    /**
     * 设置 开始 app来源类型 (0.PC端，1.移动端)
     * @param appTypeStart
     */
    public void setAppTypeStart(Integer appTypeStart){
        this.appTypeStart = appTypeStart;
    }

    /**
     * 获取 结束 app来源类型 (0.PC端，1.移动端)
     * @return $appTypeEnd
     */
    public Integer getAppTypeEnd(){
        return this.appTypeEnd;
    }

    /**
     * 设置 结束 app来源类型 (0.PC端，1.移动端)
     * @param appTypeEnd
     */
    public void setAppTypeEnd(Integer appTypeEnd){
        this.appTypeEnd = appTypeEnd;
    }

    /**
     * 获取 增加 app来源类型 (0.PC端，1.移动端)
     * @return appTypeIncrement
     */
    public Integer getAppTypeIncrement(){
        return this.appTypeIncrement;
    }

    /**
     * 设置 增加 app来源类型 (0.PC端，1.移动端)
     * @param appTypeIncrement
     */
    public void setAppTypeIncrement(Integer appTypeIncrement){
        this.appTypeIncrement = appTypeIncrement;
    }

    /**
     * 获取 app来源类型 (0.PC端，1.移动端)
     * @return appTypeList
     */
    public List<Integer> getAppTypeList(){
        return this.appTypeList;
    }

    /**
     * 设置 app来源类型 (0.PC端，1.移动端)
     * @param appTypeList
     */
    public void setAppTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
    }

    /**
     * 获取 app来源类型 (0.PC端，1.移动端)
     * @return appTypeNotList
     */
    public List<Integer> getAppTypeNotList(){
        return this.appTypeNotList;
    }

    /**
     * 设置 app来源类型 (0.PC端，1.移动端)
     * @param appTypeNotList
     */
    public void setAppTypeNotList(List<Integer> appTypeNotList){
        this.appTypeNotList = appTypeNotList;
    }


    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterChannelQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterChannelQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterChannelQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterChannelQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterChannelQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public MatterChannelQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  基础事项表id
     * @param matterId
     */
    public MatterChannelQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 基础事项表id
     * @param matterIdStart
     */
    public MatterChannelQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 基础事项表id
     * @param matterIdEnd
     */
    public MatterChannelQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 基础事项表id
     * @param matterIdIncrement
     */
    public MatterChannelQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 基础事项表id
     * @param matterIdList
     */
    public MatterChannelQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 基础事项表id
     * @param matterIdNotList
     */
    public MatterChannelQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置
     * @param matterCode
     */
    public MatterChannelQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置
     * @param matterCodeList
     */
    public MatterChannelQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public MatterChannelQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public MatterChannelQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 名称
     * @param name
     */
    public MatterChannelQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 名称
     * @param nameList
     */
    public MatterChannelQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 图标
     * @param icon
     */
    public MatterChannelQuery icon(String icon){
        setIcon(icon);
        return this;
    }

    /**
     * 设置 图标
     * @param iconList
     */
    public MatterChannelQuery iconList(List<String> iconList){
        this.iconList = iconList;
        return this;
    }


    /**
     * 设置 跳转地址
     * @param url
     */
    public MatterChannelQuery url(String url){
        setUrl(url);
        return this;
    }

    /**
     * 设置 跳转地址
     * @param urlList
     */
    public MatterChannelQuery urlList(List<String> urlList){
        this.urlList = urlList;
        return this;
    }

    /**
     * 设置  事项来源 (0.政务网，1.自定义)
     * @param source
     */
    public MatterChannelQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源 (0.政务网，1.自定义)
     * @param sourceStart
     */
    public MatterChannelQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源 (0.政务网，1.自定义)
     * @param sourceEnd
     */
    public MatterChannelQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源 (0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public MatterChannelQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源 (0.政务网，1.自定义)
     * @param sourceList
     */
    public MatterChannelQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 事项来源 (0.政务网，1.自定义)
     * @param sourceNotList
     */
    public MatterChannelQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public MatterChannelQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public MatterChannelQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterChannelQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterChannelQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterChannelQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterChannelQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterChannelQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public MatterChannelQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 设置 描述信息
     * @param description
     */
    public MatterChannelQuery description(String description){
        setDescription(description);
        return this;
    }

    /**
     * 设置 描述信息
     * @param descriptionList
     */
    public MatterChannelQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
        return this;
    }


    /**
     * 设置 二维码图片
     * @param qrCode
     */
    public MatterChannelQuery qrCode(String qrCode){
        setQrCode(qrCode);
        return this;
    }

    /**
     * 设置 二维码图片
     * @param qrCodeList
     */
    public MatterChannelQuery qrCodeList(List<String> qrCodeList){
        this.qrCodeList = qrCodeList;
        return this;
    }

    /**
     * 设置  app来源类型 (0.PC端，1.移动端)
     * @param appType
     */
    public MatterChannelQuery appType(Integer appType){
        setAppType(appType);
        return this;
    }

    /**
     * 设置 开始 app来源类型 (0.PC端，1.移动端)
     * @param appTypeStart
     */
    public MatterChannelQuery appTypeStart(Integer appTypeStart){
        this.appTypeStart = appTypeStart;
        return this;
    }

    /**
     * 设置 结束 app来源类型 (0.PC端，1.移动端)
     * @param appTypeEnd
     */
    public MatterChannelQuery appTypeEnd(Integer appTypeEnd){
        this.appTypeEnd = appTypeEnd;
        return this;
    }

    /**
     * 设置 增加 app来源类型 (0.PC端，1.移动端)
     * @param appTypeIncrement
     */
    public MatterChannelQuery appTypeIncrement(Integer appTypeIncrement){
        this.appTypeIncrement = appTypeIncrement;
        return this;
    }

    /**
     * 设置 app来源类型 (0.PC端，1.移动端)
     * @param appTypeList
     */
    public MatterChannelQuery appTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
        return this;
    }

    /**
     * 设置 app来源类型 (0.PC端，1.移动端)
     * @param appTypeNotList
     */
    public MatterChannelQuery appTypeNotList(List<Integer> appTypeNotList){
        this.appTypeNotList = appTypeNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterChannelQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterChannelQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterChannelQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterChannelQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}