package com.mortals.xhx.module.matter.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.*;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 基础事项视图对象
*
* @author zxfei
* @date 2022-01-12
*/
@Data
public class MatterVo extends BaseEntityLong {

    private List<Long> idList;

    /**
     * 行政处罚排除
     */
    private List <String> eventTypeShowNotList;


    private Integer isSub;

    private String genFilePath;

    /**
     * 项受理条件
     */
    private List<MatterAcceptEntity> matterAcceptList;
    /**
     * 事项申请材料
     */
    private List<MatterDatumEntity> matterDatumList;
    /**
     * 办理渠道
     */
    private List<MatterChannelEntity> matterChannelList;
    /**
     * 事项收费标准
     */
    private List<MatterChargesEntity> matterChargesList;
    /**
     * 事项办理流程
     */
    private List<MatterFlowlimitEntity> matterFlowlimitList;
    /**
     * 事项中介服务
     */
    private List<MatterIntermediaryEntity> matterIntermediaryList;
    /**
     * 事项常见问题
     */
    private List<MatterQuestionEntity> matterQuestionList;
    /**
     * 事项设定依据
     */
    private List<MatterSetbaseEntity> matterSetbaseList;


    /**
     * qrcode
     */
    private String qrCode;

}