package com.mortals.xhx.module.matter.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.dao.MatterDatumDao;
import com.mortals.xhx.module.matter.dao.MatterExtDao;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;

import java.util.List;

/**
 * MatterDatumService
 * <p>
 * 事项申请材料 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface MatterDatumService extends ICRUDService<MatterDatumEntity, Long> {

    MatterDatumDao getDao();


    List<MatterDatumEntity> findMatterList(MatterDatumEntity query , Context context);

}