package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.matter.model.MatterExtEntity;
import com.mortals.xhx.module.site.model.SiteEntity;

import java.util.List;

/**
* MatterExtService
*
* 事项扩展 service接口
*
* @author zxfei
* @date 2022-11-23
*/
public interface MatterExtService extends ICRUDService<MatterExtEntity,Long>{


    Rest<String> syncMatterBySiteId(SiteEntity siteEntity, Context context);


    Rest<String> syncMatterThemeBySiteId(SiteEntity siteEntity, Context context);

    void deleteByMatterId(Long matterId, Context context);

    /**
     * 同步删除 已经没有的站点事项
     * @param siteEntity
     * @param context
     * @return
     */
    Rest<String> syncDelMatterBySiteId(SiteEntity siteEntity, Context context);



    Rest<List<MatterEntity>> getWebMatterListByAreaCode(String Code, Context context);

}