package com.mortals.xhx.module.ph.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.ph.model.PhQueueEntity;
/**
 * 排号汇总查询对象
 *
 * @author zxfei
 * @date 2024-07-18
 */
public class PhQueueQuery extends PhQueueEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 预约编号，为空现场取号 */
    private List<String> ordernumberList;

    /** 预约编号，为空现场取号排除列表 */
    private List <String> ordernumberNotList;
    /** 叫号状态 (未叫号,叫号中,完成) */
    private List<String> styleList;

    /** 叫号状态 (未叫号,叫号中,完成)排除列表 */
    private List <String> styleNotList;
    /** 业务名 */
    private List<String> businessList;

    /** 业务名排除列表 */
    private List <String> businessNotList;
    /** 窗口名 */
    private List<String> windowNameList;

    /** 窗口名排除列表 */
    private List <String> windowNameNotList;
    /** 窗口编号 */
    private List<String> windowFromnumList;

    /** 窗口编号排除列表 */
    private List <String> windowFromnumNotList;
    /** 流水编号,当天的第xxx号 */
    private List<String> flownumList;

    /** 流水编号,当天的第xxx号排除列表 */
    private List <String> flownumNotList;
    /** 呼叫转移号 */
    private List<String> formernumList;

    /** 呼叫转移号排除列表 */
    private List <String> formernumNotList;
    /** 身份证号 */
    private List<String> peopleIdcardList;

    /** 身份证号排除列表 */
    private List <String> peopleIdcardNotList;
    /** 姓名 */
    private List<String> peopleNameList;

    /** 姓名排除列表 */
    private List <String> peopleNameNotList;
    /** 性别 */
    private List<String> peopleSexList;

    /** 性别排除列表 */
    private List <String> peopleSexNotList;
    /** 手机号 */
    private List<String> peoplePhoneList;

    /** 手机号排除列表 */
    private List <String> peoplePhoneNotList;
    /** 工作人员姓名 */
    private List<String> workmanNameList;

    /** 工作人员姓名排除列表 */
    private List <String> workmanNameNotList;
    /** 工作人员工号 */
    private List<String> workmanNumberList;

    /** 工作人员工号排除列表 */
    private List <String> workmanNumberNotList;
    /** 开始 取号时间 */
    private String taketimeStart;

    /** 结束 取号时间 */
    private String taketimeEnd;

    /** 开始 叫号时间 */
    private String calltimeStart;

    /** 结束 叫号时间 */
    private String calltimeEnd;

    /** 开始 结束时间 */
    private String endtimeStart;

    /** 结束 结束时间 */
    private String endtimeEnd;

    /** 开始 等待时间,单位s */
    private Integer waitTimeStart;

    /** 结束 等待时间,单位s */
    private Integer waitTimeEnd;

    /** 增加 等待时间,单位s */
    private Integer waitTimeIncrement;

    /** 等待时间,单位s列表 */
    private List <Integer> waitTimeList;

    /** 等待时间,单位s排除列表 */
    private List <Integer> waitTimeNotList;

    /** 开始 办理时间,单位s */
    private Integer handleTimeStart;

    /** 结束 办理时间,单位s */
    private Integer handleTimeEnd;

    /** 增加 办理时间,单位s */
    private Integer handleTimeIncrement;

    /** 办理时间,单位s列表 */
    private List <Integer> handleTimeList;

    /** 办理时间,单位s排除列表 */
    private List <Integer> handleTimeNotList;

    /** 取号设备名 */
    private List<String> deviceNameList;

    /** 取号设备名排除列表 */
    private List <String> deviceNameNotList;
    /** 呼叫设备 */
    private List<String> callNameList;

    /** 呼叫设备排除列表 */
    private List <String> callNameNotList;
    /** 事项名 */
    private List<String> matterNameList;

    /** 事项名排除列表 */
    private List <String> matterNameNotList;
    /** 排号队列ID，唯一 */
    private List<String> queueidList;

    /** 排号队列ID，唯一排除列表 */
    private List <String> queueidNotList;
    /** 取号方式 (现场取号,微信取号) */
    private List<String> wySigninList;

    /** 取号方式 (现场取号,微信取号)排除列表 */
    private List <String> wySigninNotList;
    /** 部门名称 */
    private List<String> sectionNameList;

    /** 部门名称排除列表 */
    private List <String> sectionNameNotList;
    /** 大厅名称 */
    private List<String> hallNameList;

    /** 大厅名称排除列表 */
    private List <String> hallNameNotList;
    /** 取号设备类型 */
    private List<String> deviceTypeList;

    /** 取号设备类型排除列表 */
    private List <String> deviceTypeNotList;
    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编码 */
    private List<String> siteCodeList;

    /** 站点编码排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 扩展编号 */
    private List<String> extNumList;

    /** 扩展编号排除列表 */
    private List <String> extNumNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PhQueueQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PhQueueQuery> andConditionList;

    public PhQueueQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 预约编号，为空现场取号
     * @return ordernumberList
     */
    public List<String> getOrdernumberList(){
        return this.ordernumberList;
    }

    /**
     * 设置 预约编号，为空现场取号
     * @param ordernumberList
     */
    public void setOrdernumberList(List<String> ordernumberList){
        this.ordernumberList = ordernumberList;
    }

    /**
     * 获取 预约编号，为空现场取号
     * @return ordernumberNotList
     */
    public List<String> getOrdernumberNotList(){
        return this.ordernumberNotList;
    }

    /**
     * 设置 预约编号，为空现场取号
     * @param ordernumberNotList
     */
    public void setOrdernumberNotList(List<String> ordernumberNotList){
        this.ordernumberNotList = ordernumberNotList;
    }

    /**
     * 获取 叫号状态 (未叫号,叫号中,完成)
     * @return styleList
     */
    public List<String> getStyleList(){
        return this.styleList;
    }

    /**
     * 设置 叫号状态 (未叫号,叫号中,完成)
     * @param styleList
     */
    public void setStyleList(List<String> styleList){
        this.styleList = styleList;
    }

    /**
     * 获取 叫号状态 (未叫号,叫号中,完成)
     * @return styleNotList
     */
    public List<String> getStyleNotList(){
        return this.styleNotList;
    }

    /**
     * 设置 叫号状态 (未叫号,叫号中,完成)
     * @param styleNotList
     */
    public void setStyleNotList(List<String> styleNotList){
        this.styleNotList = styleNotList;
    }

    /**
     * 获取 业务名
     * @return businessList
     */
    public List<String> getBusinessList(){
        return this.businessList;
    }

    /**
     * 设置 业务名
     * @param businessList
     */
    public void setBusinessList(List<String> businessList){
        this.businessList = businessList;
    }

    /**
     * 获取 业务名
     * @return businessNotList
     */
    public List<String> getBusinessNotList(){
        return this.businessNotList;
    }

    /**
     * 设置 业务名
     * @param businessNotList
     */
    public void setBusinessNotList(List<String> businessNotList){
        this.businessNotList = businessNotList;
    }

    /**
     * 获取 窗口名
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 窗口编号
     * @return windowFromnumList
     */
    public List<String> getWindowFromnumList(){
        return this.windowFromnumList;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumList
     */
    public void setWindowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
    }

    /**
     * 获取 窗口编号
     * @return windowFromnumNotList
     */
    public List<String> getWindowFromnumNotList(){
        return this.windowFromnumNotList;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumNotList
     */
    public void setWindowFromnumNotList(List<String> windowFromnumNotList){
        this.windowFromnumNotList = windowFromnumNotList;
    }

    /**
     * 获取 流水编号,当天的第xxx号
     * @return flownumList
     */
    public List<String> getFlownumList(){
        return this.flownumList;
    }

    /**
     * 设置 流水编号,当天的第xxx号
     * @param flownumList
     */
    public void setFlownumList(List<String> flownumList){
        this.flownumList = flownumList;
    }

    /**
     * 获取 流水编号,当天的第xxx号
     * @return flownumNotList
     */
    public List<String> getFlownumNotList(){
        return this.flownumNotList;
    }

    /**
     * 设置 流水编号,当天的第xxx号
     * @param flownumNotList
     */
    public void setFlownumNotList(List<String> flownumNotList){
        this.flownumNotList = flownumNotList;
    }

    /**
     * 获取 呼叫转移号
     * @return formernumList
     */
    public List<String> getFormernumList(){
        return this.formernumList;
    }

    /**
     * 设置 呼叫转移号
     * @param formernumList
     */
    public void setFormernumList(List<String> formernumList){
        this.formernumList = formernumList;
    }

    /**
     * 获取 呼叫转移号
     * @return formernumNotList
     */
    public List<String> getFormernumNotList(){
        return this.formernumNotList;
    }

    /**
     * 设置 呼叫转移号
     * @param formernumNotList
     */
    public void setFormernumNotList(List<String> formernumNotList){
        this.formernumNotList = formernumNotList;
    }

    /**
     * 获取 身份证号
     * @return peopleIdcardList
     */
    public List<String> getPeopleIdcardList(){
        return this.peopleIdcardList;
    }

    /**
     * 设置 身份证号
     * @param peopleIdcardList
     */
    public void setPeopleIdcardList(List<String> peopleIdcardList){
        this.peopleIdcardList = peopleIdcardList;
    }

    /**
     * 获取 身份证号
     * @return peopleIdcardNotList
     */
    public List<String> getPeopleIdcardNotList(){
        return this.peopleIdcardNotList;
    }

    /**
     * 设置 身份证号
     * @param peopleIdcardNotList
     */
    public void setPeopleIdcardNotList(List<String> peopleIdcardNotList){
        this.peopleIdcardNotList = peopleIdcardNotList;
    }

    /**
     * 获取 姓名
     * @return peopleNameList
     */
    public List<String> getPeopleNameList(){
        return this.peopleNameList;
    }

    /**
     * 设置 姓名
     * @param peopleNameList
     */
    public void setPeopleNameList(List<String> peopleNameList){
        this.peopleNameList = peopleNameList;
    }

    /**
     * 获取 姓名
     * @return peopleNameNotList
     */
    public List<String> getPeopleNameNotList(){
        return this.peopleNameNotList;
    }

    /**
     * 设置 姓名
     * @param peopleNameNotList
     */
    public void setPeopleNameNotList(List<String> peopleNameNotList){
        this.peopleNameNotList = peopleNameNotList;
    }

    /**
     * 获取 性别
     * @return peopleSexList
     */
    public List<String> getPeopleSexList(){
        return this.peopleSexList;
    }

    /**
     * 设置 性别
     * @param peopleSexList
     */
    public void setPeopleSexList(List<String> peopleSexList){
        this.peopleSexList = peopleSexList;
    }

    /**
     * 获取 性别
     * @return peopleSexNotList
     */
    public List<String> getPeopleSexNotList(){
        return this.peopleSexNotList;
    }

    /**
     * 设置 性别
     * @param peopleSexNotList
     */
    public void setPeopleSexNotList(List<String> peopleSexNotList){
        this.peopleSexNotList = peopleSexNotList;
    }

    /**
     * 获取 手机号
     * @return peoplePhoneList
     */
    public List<String> getPeoplePhoneList(){
        return this.peoplePhoneList;
    }

    /**
     * 设置 手机号
     * @param peoplePhoneList
     */
    public void setPeoplePhoneList(List<String> peoplePhoneList){
        this.peoplePhoneList = peoplePhoneList;
    }

    /**
     * 获取 手机号
     * @return peoplePhoneNotList
     */
    public List<String> getPeoplePhoneNotList(){
        return this.peoplePhoneNotList;
    }

    /**
     * 设置 手机号
     * @param peoplePhoneNotList
     */
    public void setPeoplePhoneNotList(List<String> peoplePhoneNotList){
        this.peoplePhoneNotList = peoplePhoneNotList;
    }

    /**
     * 获取 工作人员姓名
     * @return workmanNameList
     */
    public List<String> getWorkmanNameList(){
        return this.workmanNameList;
    }

    /**
     * 设置 工作人员姓名
     * @param workmanNameList
     */
    public void setWorkmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
    }

    /**
     * 获取 工作人员姓名
     * @return workmanNameNotList
     */
    public List<String> getWorkmanNameNotList(){
        return this.workmanNameNotList;
    }

    /**
     * 设置 工作人员姓名
     * @param workmanNameNotList
     */
    public void setWorkmanNameNotList(List<String> workmanNameNotList){
        this.workmanNameNotList = workmanNameNotList;
    }

    /**
     * 获取 工作人员工号
     * @return workmanNumberList
     */
    public List<String> getWorkmanNumberList(){
        return this.workmanNumberList;
    }

    /**
     * 设置 工作人员工号
     * @param workmanNumberList
     */
    public void setWorkmanNumberList(List<String> workmanNumberList){
        this.workmanNumberList = workmanNumberList;
    }

    /**
     * 获取 工作人员工号
     * @return workmanNumberNotList
     */
    public List<String> getWorkmanNumberNotList(){
        return this.workmanNumberNotList;
    }

    /**
     * 设置 工作人员工号
     * @param workmanNumberNotList
     */
    public void setWorkmanNumberNotList(List<String> workmanNumberNotList){
        this.workmanNumberNotList = workmanNumberNotList;
    }

    /**
     * 获取 开始 取号时间
     * @return taketimeStart
     */
    public String getTaketimeStart(){
        return this.taketimeStart;
    }

    /**
     * 设置 开始 取号时间
     * @param taketimeStart
     */
    public void setTaketimeStart(String taketimeStart){
        this.taketimeStart = taketimeStart;
    }

    /**
     * 获取 结束 取号时间
     * @return taketimeEnd
     */
    public String getTaketimeEnd(){
        return this.taketimeEnd;
    }

    /**
     * 设置 结束 取号时间
     * @param taketimeEnd
     */
    public void setTaketimeEnd(String taketimeEnd){
        this.taketimeEnd = taketimeEnd;
    }

    /**
     * 获取 开始 叫号时间
     * @return calltimeStart
     */
    public String getCalltimeStart(){
        return this.calltimeStart;
    }

    /**
     * 设置 开始 叫号时间
     * @param calltimeStart
     */
    public void setCalltimeStart(String calltimeStart){
        this.calltimeStart = calltimeStart;
    }

    /**
     * 获取 结束 叫号时间
     * @return calltimeEnd
     */
    public String getCalltimeEnd(){
        return this.calltimeEnd;
    }

    /**
     * 设置 结束 叫号时间
     * @param calltimeEnd
     */
    public void setCalltimeEnd(String calltimeEnd){
        this.calltimeEnd = calltimeEnd;
    }

    /**
     * 获取 开始 结束时间
     * @return endtimeStart
     */
    public String getEndtimeStart(){
        return this.endtimeStart;
    }

    /**
     * 设置 开始 结束时间
     * @param endtimeStart
     */
    public void setEndtimeStart(String endtimeStart){
        this.endtimeStart = endtimeStart;
    }

    /**
     * 获取 结束 结束时间
     * @return endtimeEnd
     */
    public String getEndtimeEnd(){
        return this.endtimeEnd;
    }

    /**
     * 设置 结束 结束时间
     * @param endtimeEnd
     */
    public void setEndtimeEnd(String endtimeEnd){
        this.endtimeEnd = endtimeEnd;
    }

    /**
     * 获取 开始 等待时间,单位s
     * @return waitTimeStart
     */
    public Integer getWaitTimeStart(){
        return this.waitTimeStart;
    }

    /**
     * 设置 开始 等待时间,单位s
     * @param waitTimeStart
     */
    public void setWaitTimeStart(Integer waitTimeStart){
        this.waitTimeStart = waitTimeStart;
    }

    /**
     * 获取 结束 等待时间,单位s
     * @return $waitTimeEnd
     */
    public Integer getWaitTimeEnd(){
        return this.waitTimeEnd;
    }

    /**
     * 设置 结束 等待时间,单位s
     * @param waitTimeEnd
     */
    public void setWaitTimeEnd(Integer waitTimeEnd){
        this.waitTimeEnd = waitTimeEnd;
    }

    /**
     * 获取 增加 等待时间,单位s
     * @return waitTimeIncrement
     */
    public Integer getWaitTimeIncrement(){
        return this.waitTimeIncrement;
    }

    /**
     * 设置 增加 等待时间,单位s
     * @param waitTimeIncrement
     */
    public void setWaitTimeIncrement(Integer waitTimeIncrement){
        this.waitTimeIncrement = waitTimeIncrement;
    }

    /**
     * 获取 等待时间,单位s
     * @return waitTimeList
     */
    public List<Integer> getWaitTimeList(){
        return this.waitTimeList;
    }

    /**
     * 设置 等待时间,单位s
     * @param waitTimeList
     */
    public void setWaitTimeList(List<Integer> waitTimeList){
        this.waitTimeList = waitTimeList;
    }

    /**
     * 获取 等待时间,单位s
     * @return waitTimeNotList
     */
    public List<Integer> getWaitTimeNotList(){
        return this.waitTimeNotList;
    }

    /**
     * 设置 等待时间,单位s
     * @param waitTimeNotList
     */
    public void setWaitTimeNotList(List<Integer> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
    }


    /**
     * 获取 开始 办理时间,单位s
     * @return handleTimeStart
     */
    public Integer getHandleTimeStart(){
        return this.handleTimeStart;
    }

    /**
     * 设置 开始 办理时间,单位s
     * @param handleTimeStart
     */
    public void setHandleTimeStart(Integer handleTimeStart){
        this.handleTimeStart = handleTimeStart;
    }

    /**
     * 获取 结束 办理时间,单位s
     * @return $handleTimeEnd
     */
    public Integer getHandleTimeEnd(){
        return this.handleTimeEnd;
    }

    /**
     * 设置 结束 办理时间,单位s
     * @param handleTimeEnd
     */
    public void setHandleTimeEnd(Integer handleTimeEnd){
        this.handleTimeEnd = handleTimeEnd;
    }

    /**
     * 获取 增加 办理时间,单位s
     * @return handleTimeIncrement
     */
    public Integer getHandleTimeIncrement(){
        return this.handleTimeIncrement;
    }

    /**
     * 设置 增加 办理时间,单位s
     * @param handleTimeIncrement
     */
    public void setHandleTimeIncrement(Integer handleTimeIncrement){
        this.handleTimeIncrement = handleTimeIncrement;
    }

    /**
     * 获取 办理时间,单位s
     * @return handleTimeList
     */
    public List<Integer> getHandleTimeList(){
        return this.handleTimeList;
    }

    /**
     * 设置 办理时间,单位s
     * @param handleTimeList
     */
    public void setHandleTimeList(List<Integer> handleTimeList){
        this.handleTimeList = handleTimeList;
    }

    /**
     * 获取 办理时间,单位s
     * @return handleTimeNotList
     */
    public List<Integer> getHandleTimeNotList(){
        return this.handleTimeNotList;
    }

    /**
     * 设置 办理时间,单位s
     * @param handleTimeNotList
     */
    public void setHandleTimeNotList(List<Integer> handleTimeNotList){
        this.handleTimeNotList = handleTimeNotList;
    }


    /**
     * 获取 取号设备名
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 取号设备名
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 取号设备名
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 取号设备名
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 获取 呼叫设备
     * @return callNameList
     */
    public List<String> getCallNameList(){
        return this.callNameList;
    }

    /**
     * 设置 呼叫设备
     * @param callNameList
     */
    public void setCallNameList(List<String> callNameList){
        this.callNameList = callNameList;
    }

    /**
     * 获取 呼叫设备
     * @return callNameNotList
     */
    public List<String> getCallNameNotList(){
        return this.callNameNotList;
    }

    /**
     * 设置 呼叫设备
     * @param callNameNotList
     */
    public void setCallNameNotList(List<String> callNameNotList){
        this.callNameNotList = callNameNotList;
    }

    /**
     * 获取 事项名
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 排号队列ID，唯一
     * @return queueidList
     */
    public List<String> getQueueidList(){
        return this.queueidList;
    }

    /**
     * 设置 排号队列ID，唯一
     * @param queueidList
     */
    public void setQueueidList(List<String> queueidList){
        this.queueidList = queueidList;
    }

    /**
     * 获取 排号队列ID，唯一
     * @return queueidNotList
     */
    public List<String> getQueueidNotList(){
        return this.queueidNotList;
    }

    /**
     * 设置 排号队列ID，唯一
     * @param queueidNotList
     */
    public void setQueueidNotList(List<String> queueidNotList){
        this.queueidNotList = queueidNotList;
    }

    /**
     * 获取 取号方式 (现场取号,微信取号)
     * @return wySigninList
     */
    public List<String> getWySigninList(){
        return this.wySigninList;
    }

    /**
     * 设置 取号方式 (现场取号,微信取号)
     * @param wySigninList
     */
    public void setWySigninList(List<String> wySigninList){
        this.wySigninList = wySigninList;
    }

    /**
     * 获取 取号方式 (现场取号,微信取号)
     * @return wySigninNotList
     */
    public List<String> getWySigninNotList(){
        return this.wySigninNotList;
    }

    /**
     * 设置 取号方式 (现场取号,微信取号)
     * @param wySigninNotList
     */
    public void setWySigninNotList(List<String> wySigninNotList){
        this.wySigninNotList = wySigninNotList;
    }

    /**
     * 获取 部门名称
     * @return sectionNameList
     */
    public List<String> getSectionNameList(){
        return this.sectionNameList;
    }

    /**
     * 设置 部门名称
     * @param sectionNameList
     */
    public void setSectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
    }

    /**
     * 获取 部门名称
     * @return sectionNameNotList
     */
    public List<String> getSectionNameNotList(){
        return this.sectionNameNotList;
    }

    /**
     * 设置 部门名称
     * @param sectionNameNotList
     */
    public void setSectionNameNotList(List<String> sectionNameNotList){
        this.sectionNameNotList = sectionNameNotList;
    }

    /**
     * 获取 大厅名称
     * @return hallNameList
     */
    public List<String> getHallNameList(){
        return this.hallNameList;
    }

    /**
     * 设置 大厅名称
     * @param hallNameList
     */
    public void setHallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
    }

    /**
     * 获取 大厅名称
     * @return hallNameNotList
     */
    public List<String> getHallNameNotList(){
        return this.hallNameNotList;
    }

    /**
     * 设置 大厅名称
     * @param hallNameNotList
     */
    public void setHallNameNotList(List<String> hallNameNotList){
        this.hallNameNotList = hallNameNotList;
    }

    /**
     * 获取 取号设备类型
     * @return deviceTypeList
     */
    public List<String> getDeviceTypeList(){
        return this.deviceTypeList;
    }

    /**
     * 设置 取号设备类型
     * @param deviceTypeList
     */
    public void setDeviceTypeList(List<String> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
    }

    /**
     * 获取 取号设备类型
     * @return deviceTypeNotList
     */
    public List<String> getDeviceTypeNotList(){
        return this.deviceTypeNotList;
    }

    /**
     * 设置 取号设备类型
     * @param deviceTypeNotList
     */
    public void setDeviceTypeNotList(List<String> deviceTypeNotList){
        this.deviceTypeNotList = deviceTypeNotList;
    }

    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编码
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编码
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 扩展编号
     * @return extNumList
     */
    public List<String> getExtNumList(){
        return this.extNumList;
    }

    /**
     * 设置 扩展编号
     * @param extNumList
     */
    public void setExtNumList(List<String> extNumList){
        this.extNumList = extNumList;
    }

    /**
     * 获取 扩展编号
     * @return extNumNotList
     */
    public List<String> getExtNumNotList(){
        return this.extNumNotList;
    }

    /**
     * 设置 扩展编号
     * @param extNumNotList
     */
    public void setExtNumNotList(List<String> extNumNotList){
        this.extNumNotList = extNumNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public PhQueueQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public PhQueueQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public PhQueueQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public PhQueueQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public PhQueueQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public PhQueueQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 预约编号，为空现场取号
     * @param ordernumber
     */
    public PhQueueQuery ordernumber(String ordernumber){
        setOrdernumber(ordernumber);
        return this;
    }

    /**
     * 设置 预约编号，为空现场取号
     * @param ordernumberList
     */
    public PhQueueQuery ordernumberList(List<String> ordernumberList){
        this.ordernumberList = ordernumberList;
        return this;
    }


    /**
     * 设置 叫号状态 (未叫号,叫号中,完成)
     * @param style
     */
    public PhQueueQuery style(String style){
        setStyle(style);
        return this;
    }

    /**
     * 设置 叫号状态 (未叫号,叫号中,完成)
     * @param styleList
     */
    public PhQueueQuery styleList(List<String> styleList){
        this.styleList = styleList;
        return this;
    }


    /**
     * 设置 业务名
     * @param business
     */
    public PhQueueQuery business(String business){
        setBusiness(business);
        return this;
    }

    /**
     * 设置 业务名
     * @param businessList
     */
    public PhQueueQuery businessList(List<String> businessList){
        this.businessList = businessList;
        return this;
    }


    /**
     * 设置 窗口名
     * @param windowName
     */
    public PhQueueQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名
     * @param windowNameList
     */
    public PhQueueQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }


    /**
     * 设置 窗口编号
     * @param windowFromnum
     */
    public PhQueueQuery windowFromnum(String windowFromnum){
        setWindowFromnum(windowFromnum);
        return this;
    }

    /**
     * 设置 窗口编号
     * @param windowFromnumList
     */
    public PhQueueQuery windowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
        return this;
    }


    /**
     * 设置 流水编号,当天的第xxx号
     * @param flownum
     */
    public PhQueueQuery flownum(String flownum){
        setFlownum(flownum);
        return this;
    }

    /**
     * 设置 流水编号,当天的第xxx号
     * @param flownumList
     */
    public PhQueueQuery flownumList(List<String> flownumList){
        this.flownumList = flownumList;
        return this;
    }


    /**
     * 设置 呼叫转移号
     * @param formernum
     */
    public PhQueueQuery formernum(String formernum){
        setFormernum(formernum);
        return this;
    }

    /**
     * 设置 呼叫转移号
     * @param formernumList
     */
    public PhQueueQuery formernumList(List<String> formernumList){
        this.formernumList = formernumList;
        return this;
    }


    /**
     * 设置 身份证号
     * @param peopleIdcard
     */
    public PhQueueQuery peopleIdcard(String peopleIdcard){
        setPeopleIdcard(peopleIdcard);
        return this;
    }

    /**
     * 设置 身份证号
     * @param peopleIdcardList
     */
    public PhQueueQuery peopleIdcardList(List<String> peopleIdcardList){
        this.peopleIdcardList = peopleIdcardList;
        return this;
    }


    /**
     * 设置 姓名
     * @param peopleName
     */
    public PhQueueQuery peopleName(String peopleName){
        setPeopleName(peopleName);
        return this;
    }

    /**
     * 设置 姓名
     * @param peopleNameList
     */
    public PhQueueQuery peopleNameList(List<String> peopleNameList){
        this.peopleNameList = peopleNameList;
        return this;
    }


    /**
     * 设置 性别
     * @param peopleSex
     */
    public PhQueueQuery peopleSex(String peopleSex){
        setPeopleSex(peopleSex);
        return this;
    }

    /**
     * 设置 性别
     * @param peopleSexList
     */
    public PhQueueQuery peopleSexList(List<String> peopleSexList){
        this.peopleSexList = peopleSexList;
        return this;
    }


    /**
     * 设置 手机号
     * @param peoplePhone
     */
    public PhQueueQuery peoplePhone(String peoplePhone){
        setPeoplePhone(peoplePhone);
        return this;
    }

    /**
     * 设置 手机号
     * @param peoplePhoneList
     */
    public PhQueueQuery peoplePhoneList(List<String> peoplePhoneList){
        this.peoplePhoneList = peoplePhoneList;
        return this;
    }


    /**
     * 设置 工作人员姓名
     * @param workmanName
     */
    public PhQueueQuery workmanName(String workmanName){
        setWorkmanName(workmanName);
        return this;
    }

    /**
     * 设置 工作人员姓名
     * @param workmanNameList
     */
    public PhQueueQuery workmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
        return this;
    }


    /**
     * 设置 工作人员工号
     * @param workmanNumber
     */
    public PhQueueQuery workmanNumber(String workmanNumber){
        setWorkmanNumber(workmanNumber);
        return this;
    }

    /**
     * 设置 工作人员工号
     * @param workmanNumberList
     */
    public PhQueueQuery workmanNumberList(List<String> workmanNumberList){
        this.workmanNumberList = workmanNumberList;
        return this;
    }




    /**
     * 设置  等待时间,单位s
     * @param waitTime
     */
    public PhQueueQuery waitTime(Integer waitTime){
        setWaitTime(waitTime);
        return this;
    }

    /**
     * 设置 开始 等待时间,单位s
     * @param waitTimeStart
     */
    public PhQueueQuery waitTimeStart(Integer waitTimeStart){
        this.waitTimeStart = waitTimeStart;
        return this;
    }

    /**
     * 设置 结束 等待时间,单位s
     * @param waitTimeEnd
     */
    public PhQueueQuery waitTimeEnd(Integer waitTimeEnd){
        this.waitTimeEnd = waitTimeEnd;
        return this;
    }

    /**
     * 设置 增加 等待时间,单位s
     * @param waitTimeIncrement
     */
    public PhQueueQuery waitTimeIncrement(Integer waitTimeIncrement){
        this.waitTimeIncrement = waitTimeIncrement;
        return this;
    }

    /**
     * 设置 等待时间,单位s
     * @param waitTimeList
     */
    public PhQueueQuery waitTimeList(List<Integer> waitTimeList){
        this.waitTimeList = waitTimeList;
        return this;
    }

    /**
     * 设置 等待时间,单位s
     * @param waitTimeNotList
     */
    public PhQueueQuery waitTimeNotList(List<Integer> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
        return this;
    }

    /**
     * 设置  办理时间,单位s
     * @param handleTime
     */
    public PhQueueQuery handleTime(Integer handleTime){
        setHandleTime(handleTime);
        return this;
    }

    /**
     * 设置 开始 办理时间,单位s
     * @param handleTimeStart
     */
    public PhQueueQuery handleTimeStart(Integer handleTimeStart){
        this.handleTimeStart = handleTimeStart;
        return this;
    }

    /**
     * 设置 结束 办理时间,单位s
     * @param handleTimeEnd
     */
    public PhQueueQuery handleTimeEnd(Integer handleTimeEnd){
        this.handleTimeEnd = handleTimeEnd;
        return this;
    }

    /**
     * 设置 增加 办理时间,单位s
     * @param handleTimeIncrement
     */
    public PhQueueQuery handleTimeIncrement(Integer handleTimeIncrement){
        this.handleTimeIncrement = handleTimeIncrement;
        return this;
    }

    /**
     * 设置 办理时间,单位s
     * @param handleTimeList
     */
    public PhQueueQuery handleTimeList(List<Integer> handleTimeList){
        this.handleTimeList = handleTimeList;
        return this;
    }

    /**
     * 设置 办理时间,单位s
     * @param handleTimeNotList
     */
    public PhQueueQuery handleTimeNotList(List<Integer> handleTimeNotList){
        this.handleTimeNotList = handleTimeNotList;
        return this;
    }


    /**
     * 设置 取号设备名
     * @param deviceName
     */
    public PhQueueQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 取号设备名
     * @param deviceNameList
     */
    public PhQueueQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }


    /**
     * 设置 呼叫设备
     * @param callName
     */
    public PhQueueQuery callName(String callName){
        setCallName(callName);
        return this;
    }

    /**
     * 设置 呼叫设备
     * @param callNameList
     */
    public PhQueueQuery callNameList(List<String> callNameList){
        this.callNameList = callNameList;
        return this;
    }


    /**
     * 设置 事项名
     * @param matterName
     */
    public PhQueueQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名
     * @param matterNameList
     */
    public PhQueueQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 排号队列ID，唯一
     * @param queueid
     */
    public PhQueueQuery queueid(String queueid){
        setQueueid(queueid);
        return this;
    }

    /**
     * 设置 排号队列ID，唯一
     * @param queueidList
     */
    public PhQueueQuery queueidList(List<String> queueidList){
        this.queueidList = queueidList;
        return this;
    }


    /**
     * 设置 取号方式 (现场取号,微信取号)
     * @param wySignin
     */
    public PhQueueQuery wySignin(String wySignin){
        setWySignin(wySignin);
        return this;
    }

    /**
     * 设置 取号方式 (现场取号,微信取号)
     * @param wySigninList
     */
    public PhQueueQuery wySigninList(List<String> wySigninList){
        this.wySigninList = wySigninList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param sectionName
     */
    public PhQueueQuery sectionName(String sectionName){
        setSectionName(sectionName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param sectionNameList
     */
    public PhQueueQuery sectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
        return this;
    }


    /**
     * 设置 大厅名称
     * @param hallName
     */
    public PhQueueQuery hallName(String hallName){
        setHallName(hallName);
        return this;
    }

    /**
     * 设置 大厅名称
     * @param hallNameList
     */
    public PhQueueQuery hallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
        return this;
    }


    /**
     * 设置 取号设备类型
     * @param deviceType
     */
    public PhQueueQuery deviceType(String deviceType){
        setDeviceType(deviceType);
        return this;
    }

    /**
     * 设置 取号设备类型
     * @param deviceTypeList
     */
    public PhQueueQuery deviceTypeList(List<String> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public PhQueueQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public PhQueueQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public PhQueueQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public PhQueueQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public PhQueueQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public PhQueueQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编码
     * @param siteCode
     */
    public PhQueueQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public PhQueueQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public PhQueueQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public PhQueueQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 扩展编号
     * @param extNum
     */
    public PhQueueQuery extNum(String extNum){
        setExtNum(extNum);
        return this;
    }

    /**
     * 设置 扩展编号
     * @param extNumList
     */
    public PhQueueQuery extNumList(List<String> extNumList){
        this.extNumList = extNumList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PhQueueQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PhQueueQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PhQueueQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PhQueueQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PhQueueQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PhQueueQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PhQueueQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PhQueueQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PhQueueQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PhQueueQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}