package com.mortals.xhx.module.site.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.business.model.BusinessEntity;
import com.mortals.xhx.module.site.model.SiteHallEntity;
import com.mortals.xhx.module.site.dao.SiteHallDao;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * SiteHallService
 * <p>
 * 站点大厅信息 service接口
 *
 * @author zxfei
 * @date 2023-04-25
 */
public interface SiteHallService extends ICRUDService<SiteHallEntity, Long> {

    SiteHallDao getDao();


    Rest<List<BusinessEntity>> getBusinessByHall(SiteHallEntity siteHall, Context context);
}