package com.mortals.xhx.module.skin.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.skin.model.SkinBaseEntity;
import com.mortals.xhx.module.skin.model.SkinFieldEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 系统基础皮肤视图对象
*
* @author zxfei
* @date 2022-05-24
*/
@Data
public class SkinBaseVo extends BaseEntityLong {

    /** 产品编码 */
    private String productCode;

    private String imageResolutionValue;
    private String serverName;

    private Integer serverPort;
    /** 属性列表 */
    private List<SkinFieldEntity> skinFieldList;


    private String localZipPath;

    private String prependPath;

}