package com.mortals.xhx.module.social.service.impl;
import com.mortals.framework.model.PageInfo;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.social.dao.SocialSecuritySetDao;
import com.mortals.xhx.module.social.model.SocialSecuritySetEntity;
import com.mortals.xhx.module.social.service.SocialSecuritySetService;
import lombok.extern.slf4j.Slf4j;
/**
* SocialSecuritySetService
* 社保配置 service实现
*
* @author zxfei
* @date 2025-03-21
*/
@Service("socialSecuritySetService")
@Slf4j
public class SocialSecuritySetServiceImpl extends AbstractCRUDServiceImpl<SocialSecuritySetDao, SocialSecuritySetEntity, Long> implements SocialSecuritySetService {
    
}