package com.mortals.xhx.module.window.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.WindowBusinessEntity;
import com.mortals.xhx.module.window.model.WindowMatterEntity;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
import lombok.Data;

import java.util.List;
/**
* 站点部门窗口视图对象
*
* @author zxfei
* @date 2022-01-12
*/
@Data
public class WindowVo extends BaseEntityLong {
    private List <Long> idList;

    private  List<WorkmanEntity> workmanList;

    private List<WindowBusinessEntity> windowBusinessList;

    private List<WindowMatterEntity> windowMatterList;

    /**
     * 大厅ID
     */
    private Long hallId;
    /**
     * 大厅名称
     */
    private String hallName;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;


    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

}