package com.mortals.xhx.module.workman.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
/**
 * 工作人员查询对象
 *
 * @author zxfei
 * @date 2024-12-05
 */
public class WorkmanQuery extends WorkmanEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 登录用户名 */
    private List<String> loginNameList;

    /** 登录用户名排除列表 */
    private List <String> loginNameNotList;
    /** 密码 */
    private List<String> loginPwdList;

    /** 密码排除列表 */
    private List <String> loginPwdNotList;
    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 窗口id号 */
    private Long windowIdStart;

    /** 结束 窗口id号 */
    private Long windowIdEnd;

    /** 增加 窗口id号 */
    private Long windowIdIncrement;

    /** 窗口id号列表 */
    private List <Long> windowIdList;

    /** 窗口id号排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点ID排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 工号 */
    private List<String> numberList;

    /** 工号排除列表 */
    private List <String> numberNotList;
    /** 职务 */
    private List<String> userpostList;

    /** 职务排除列表 */
    private List <String> userpostNotList;
    /** 职称 */
    private List<String> posttitleList;

    /** 职称排除列表 */
    private List <String> posttitleNotList;
    /** 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusStart;

    /** 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusEnd;

    /** 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusIncrement;

    /** 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)列表 */
    private List <Integer> politicalstatusList;

    /** 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)排除列表 */
    private List <Integer> politicalstatusNotList;

    /** 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanStart;

    /** 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanEnd;

    /** 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanIncrement;

    /** 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)列表 */
    private List <Integer> dangyuanList;

    /** 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)排除列表 */
    private List <Integer> dangyuanNotList;

    /** 党员扩展 */
    private List<String> dangyuanextList;

    /** 党员扩展排除列表 */
    private List <String> dangyuanextNotList;
    /** 身份证 */
    private List<String> idCardList;

    /** 身份证排除列表 */
    private List <String> idCardNotList;
    /** 电话 */
    private List<String> phoneList;

    /** 电话排除列表 */
    private List <String> phoneNotList;
    /** 手机 */
    private List<String> mobileList;

    /** 手机排除列表 */
    private List <String> mobileNotList;
    /** 开始 星级 */
    private Integer starlevelStart;

    /** 结束 星级 */
    private Integer starlevelEnd;

    /** 增加 星级 */
    private Integer starlevelIncrement;

    /** 星级列表 */
    private List <Integer> starlevelList;

    /** 星级排除列表 */
    private List <Integer> starlevelNotList;

    /** 个人简介 */
    private List<String> summaryList;

    /** 个人简介排除列表 */
    private List <String> summaryNotList;
    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 岗位职责 */
    private List<String> dutyList;

    /** 岗位职责排除列表 */
    private List <String> dutyNotList;
    /** 服务承诺 */
    private List<String> promiseList;

    /** 服务承诺排除列表 */
    private List <String> promiseNotList;
    /** 办理事项 */
    private List<String> businessList;

    /** 办理事项排除列表 */
    private List <String> businessNotList;
    /** 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineStart;

    /** 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineEnd;

    /** 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineIncrement;

    /** 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）列表 */
    private List <Integer> onlineList;

    /** 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）排除列表 */
    private List <Integer> onlineNotList;

    /** 配置站点模块，逗号分隔 */
    private List<String> modelIdsList;

    /** 配置站点模块，逗号分隔排除列表 */
    private List <String> modelIdsNotList;
    /** 开始 是否删除（0.否，1.是） */
    private Integer deletedStart;

    /** 结束 是否删除（0.否，1.是） */
    private Integer deletedEnd;

    /** 增加 是否删除（0.否，1.是） */
    private Integer deletedIncrement;

    /** 是否删除（0.否，1.是）列表 */
    private List <Integer> deletedList;

    /** 是否删除（0.否，1.是）排除列表 */
    private List <Integer> deletedNotList;

    /** 一体化经办人id */
    private List<String> operatorIdList;

    /** 一体化经办人id排除列表 */
    private List <String> operatorIdNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 最后一次登录时间 */
    private String lastLoginTimeStart;

    /** 结束 最后一次登录时间 */
    private String lastLoginTimeEnd;

    /** 最后一次登录地址 */
    private List<String> lastLoginAddressList;

    /** 最后一次登录地址排除列表 */
    private List <String> lastLoginAddressNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WorkmanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WorkmanQuery> andConditionList;

    public WorkmanQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 登录用户名
     * @return loginNameList
     */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
     * 设置 登录用户名
     * @param loginNameList
     */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
     * 获取 登录用户名
     * @return loginNameNotList
     */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
     * 设置 登录用户名
     * @param loginNameNotList
     */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
     * 获取 密码
     * @return loginPwdList
     */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
     * 设置 密码
     * @param loginPwdList
     */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
     * 获取 密码
     * @return loginPwdNotList
     */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
     * 设置 密码
     * @param loginPwdNotList
     */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
     * 获取 开始 部门id号
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id号
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id号
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id号
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id号
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 窗口id号
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口id号
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口id号
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口id号
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口id号
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口id号
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口id号
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口id号
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口id号
     * @return windowIdNotList
     */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
     * 设置 窗口id号
     * @param windowIdNotList
     */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点ID
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 工号
     * @return numberList
     */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
     * 设置 工号
     * @param numberList
     */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }

    /**
     * 获取 工号
     * @return numberNotList
     */
    public List<String> getNumberNotList(){
        return this.numberNotList;
    }

    /**
     * 设置 工号
     * @param numberNotList
     */
    public void setNumberNotList(List<String> numberNotList){
        this.numberNotList = numberNotList;
    }

    /**
     * 获取 职务
     * @return userpostList
     */
    public List<String> getUserpostList(){
        return this.userpostList;
    }

    /**
     * 设置 职务
     * @param userpostList
     */
    public void setUserpostList(List<String> userpostList){
        this.userpostList = userpostList;
    }

    /**
     * 获取 职务
     * @return userpostNotList
     */
    public List<String> getUserpostNotList(){
        return this.userpostNotList;
    }

    /**
     * 设置 职务
     * @param userpostNotList
     */
    public void setUserpostNotList(List<String> userpostNotList){
        this.userpostNotList = userpostNotList;
    }

    /**
     * 获取 职称
     * @return posttitleList
     */
    public List<String> getPosttitleList(){
        return this.posttitleList;
    }

    /**
     * 设置 职称
     * @param posttitleList
     */
    public void setPosttitleList(List<String> posttitleList){
        this.posttitleList = posttitleList;
    }

    /**
     * 获取 职称
     * @return posttitleNotList
     */
    public List<String> getPosttitleNotList(){
        return this.posttitleNotList;
    }

    /**
     * 设置 职称
     * @param posttitleNotList
     */
    public void setPosttitleNotList(List<String> posttitleNotList){
        this.posttitleNotList = posttitleNotList;
    }

    /**
     * 获取 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @return politicalstatusStart
     */
    public Integer getPoliticalstatusStart(){
        return this.politicalstatusStart;
    }

    /**
     * 设置 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusStart
     */
    public void setPoliticalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
    }

    /**
     * 获取 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @return $politicalstatusEnd
     */
    public Integer getPoliticalstatusEnd(){
        return this.politicalstatusEnd;
    }

    /**
     * 设置 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusEnd
     */
    public void setPoliticalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
    }

    /**
     * 获取 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @return politicalstatusIncrement
     */
    public Integer getPoliticalstatusIncrement(){
        return this.politicalstatusIncrement;
    }

    /**
     * 设置 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusIncrement
     */
    public void setPoliticalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
    }

    /**
     * 获取 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @return politicalstatusList
     */
    public List<Integer> getPoliticalstatusList(){
        return this.politicalstatusList;
    }

    /**
     * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusList
     */
    public void setPoliticalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
    }

    /**
     * 获取 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @return politicalstatusNotList
     */
    public List<Integer> getPoliticalstatusNotList(){
        return this.politicalstatusNotList;
    }

    /**
     * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusNotList
     */
    public void setPoliticalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
    }


    /**
     * 获取 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @return dangyuanStart
     */
    public Integer getDangyuanStart(){
        return this.dangyuanStart;
    }

    /**
     * 设置 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanStart
     */
    public void setDangyuanStart(Integer dangyuanStart){
        this.dangyuanStart = dangyuanStart;
    }

    /**
     * 获取 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @return $dangyuanEnd
     */
    public Integer getDangyuanEnd(){
        return this.dangyuanEnd;
    }

    /**
     * 设置 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanEnd
     */
    public void setDangyuanEnd(Integer dangyuanEnd){
        this.dangyuanEnd = dangyuanEnd;
    }

    /**
     * 获取 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @return dangyuanIncrement
     */
    public Integer getDangyuanIncrement(){
        return this.dangyuanIncrement;
    }

    /**
     * 设置 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanIncrement
     */
    public void setDangyuanIncrement(Integer dangyuanIncrement){
        this.dangyuanIncrement = dangyuanIncrement;
    }

    /**
     * 获取 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @return dangyuanList
     */
    public List<Integer> getDangyuanList(){
        return this.dangyuanList;
    }

    /**
     * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanList
     */
    public void setDangyuanList(List<Integer> dangyuanList){
        this.dangyuanList = dangyuanList;
    }

    /**
     * 获取 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @return dangyuanNotList
     */
    public List<Integer> getDangyuanNotList(){
        return this.dangyuanNotList;
    }

    /**
     * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanNotList
     */
    public void setDangyuanNotList(List<Integer> dangyuanNotList){
        this.dangyuanNotList = dangyuanNotList;
    }


    /**
     * 获取 党员扩展
     * @return dangyuanextList
     */
    public List<String> getDangyuanextList(){
        return this.dangyuanextList;
    }

    /**
     * 设置 党员扩展
     * @param dangyuanextList
     */
    public void setDangyuanextList(List<String> dangyuanextList){
        this.dangyuanextList = dangyuanextList;
    }

    /**
     * 获取 党员扩展
     * @return dangyuanextNotList
     */
    public List<String> getDangyuanextNotList(){
        return this.dangyuanextNotList;
    }

    /**
     * 设置 党员扩展
     * @param dangyuanextNotList
     */
    public void setDangyuanextNotList(List<String> dangyuanextNotList){
        this.dangyuanextNotList = dangyuanextNotList;
    }

    /**
     * 获取 身份证
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 电话
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 电话
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 电话
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 电话
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 手机
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 手机
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 手机
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 手机
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 获取 开始 星级
     * @return starlevelStart
     */
    public Integer getStarlevelStart(){
        return this.starlevelStart;
    }

    /**
     * 设置 开始 星级
     * @param starlevelStart
     */
    public void setStarlevelStart(Integer starlevelStart){
        this.starlevelStart = starlevelStart;
    }

    /**
     * 获取 结束 星级
     * @return $starlevelEnd
     */
    public Integer getStarlevelEnd(){
        return this.starlevelEnd;
    }

    /**
     * 设置 结束 星级
     * @param starlevelEnd
     */
    public void setStarlevelEnd(Integer starlevelEnd){
        this.starlevelEnd = starlevelEnd;
    }

    /**
     * 获取 增加 星级
     * @return starlevelIncrement
     */
    public Integer getStarlevelIncrement(){
        return this.starlevelIncrement;
    }

    /**
     * 设置 增加 星级
     * @param starlevelIncrement
     */
    public void setStarlevelIncrement(Integer starlevelIncrement){
        this.starlevelIncrement = starlevelIncrement;
    }

    /**
     * 获取 星级
     * @return starlevelList
     */
    public List<Integer> getStarlevelList(){
        return this.starlevelList;
    }

    /**
     * 设置 星级
     * @param starlevelList
     */
    public void setStarlevelList(List<Integer> starlevelList){
        this.starlevelList = starlevelList;
    }

    /**
     * 获取 星级
     * @return starlevelNotList
     */
    public List<Integer> getStarlevelNotList(){
        return this.starlevelNotList;
    }

    /**
     * 设置 星级
     * @param starlevelNotList
     */
    public void setStarlevelNotList(List<Integer> starlevelNotList){
        this.starlevelNotList = starlevelNotList;
    }


    /**
     * 获取 个人简介
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 个人简介
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
     * 获取 个人简介
     * @return summaryNotList
     */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
     * 设置 个人简介
     * @param summaryNotList
     */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
     * 获取 照片
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 照片
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 照片
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 获取 岗位职责
     * @return dutyList
     */
    public List<String> getDutyList(){
        return this.dutyList;
    }

    /**
     * 设置 岗位职责
     * @param dutyList
     */
    public void setDutyList(List<String> dutyList){
        this.dutyList = dutyList;
    }

    /**
     * 获取 岗位职责
     * @return dutyNotList
     */
    public List<String> getDutyNotList(){
        return this.dutyNotList;
    }

    /**
     * 设置 岗位职责
     * @param dutyNotList
     */
    public void setDutyNotList(List<String> dutyNotList){
        this.dutyNotList = dutyNotList;
    }

    /**
     * 获取 服务承诺
     * @return promiseList
     */
    public List<String> getPromiseList(){
        return this.promiseList;
    }

    /**
     * 设置 服务承诺
     * @param promiseList
     */
    public void setPromiseList(List<String> promiseList){
        this.promiseList = promiseList;
    }

    /**
     * 获取 服务承诺
     * @return promiseNotList
     */
    public List<String> getPromiseNotList(){
        return this.promiseNotList;
    }

    /**
     * 设置 服务承诺
     * @param promiseNotList
     */
    public void setPromiseNotList(List<String> promiseNotList){
        this.promiseNotList = promiseNotList;
    }

    /**
     * 获取 办理事项
     * @return businessList
     */
    public List<String> getBusinessList(){
        return this.businessList;
    }

    /**
     * 设置 办理事项
     * @param businessList
     */
    public void setBusinessList(List<String> businessList){
        this.businessList = businessList;
    }

    /**
     * 获取 办理事项
     * @return businessNotList
     */
    public List<String> getBusinessNotList(){
        return this.businessNotList;
    }

    /**
     * 设置 办理事项
     * @param businessNotList
     */
    public void setBusinessNotList(List<String> businessNotList){
        this.businessNotList = businessNotList;
    }

    /**
     * 获取 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @return onlineStart
     */
    public Integer getOnlineStart(){
        return this.onlineStart;
    }

    /**
     * 设置 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineStart
     */
    public void setOnlineStart(Integer onlineStart){
        this.onlineStart = onlineStart;
    }

    /**
     * 获取 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @return $onlineEnd
     */
    public Integer getOnlineEnd(){
        return this.onlineEnd;
    }

    /**
     * 设置 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineEnd
     */
    public void setOnlineEnd(Integer onlineEnd){
        this.onlineEnd = onlineEnd;
    }

    /**
     * 获取 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @return onlineIncrement
     */
    public Integer getOnlineIncrement(){
        return this.onlineIncrement;
    }

    /**
     * 设置 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineIncrement
     */
    public void setOnlineIncrement(Integer onlineIncrement){
        this.onlineIncrement = onlineIncrement;
    }

    /**
     * 获取 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @return onlineList
     */
    public List<Integer> getOnlineList(){
        return this.onlineList;
    }

    /**
     * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineList
     */
    public void setOnlineList(List<Integer> onlineList){
        this.onlineList = onlineList;
    }

    /**
     * 获取 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @return onlineNotList
     */
    public List<Integer> getOnlineNotList(){
        return this.onlineNotList;
    }

    /**
     * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineNotList
     */
    public void setOnlineNotList(List<Integer> onlineNotList){
        this.onlineNotList = onlineNotList;
    }


    /**
     * 获取 配置站点模块，逗号分隔
     * @return modelIdsList
     */
    public List<String> getModelIdsList(){
        return this.modelIdsList;
    }

    /**
     * 设置 配置站点模块，逗号分隔
     * @param modelIdsList
     */
    public void setModelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
    }

    /**
     * 获取 配置站点模块，逗号分隔
     * @return modelIdsNotList
     */
    public List<String> getModelIdsNotList(){
        return this.modelIdsNotList;
    }

    /**
     * 设置 配置站点模块，逗号分隔
     * @param modelIdsNotList
     */
    public void setModelIdsNotList(List<String> modelIdsNotList){
        this.modelIdsNotList = modelIdsNotList;
    }

    /**
     * 获取 开始 是否删除（0.否，1.是）
     * @return deletedStart
     */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
     * 设置 开始 是否删除（0.否，1.是）
     * @param deletedStart
     */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
     * 获取 结束 是否删除（0.否，1.是）
     * @return $deletedEnd
     */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
     * 设置 结束 是否删除（0.否，1.是）
     * @param deletedEnd
     */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
     * 获取 增加 是否删除（0.否，1.是）
     * @return deletedIncrement
     */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
     * 设置 增加 是否删除（0.否，1.是）
     * @param deletedIncrement
     */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
     * 获取 是否删除（0.否，1.是）
     * @return deletedList
     */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
     * 设置 是否删除（0.否，1.是）
     * @param deletedList
     */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
     * 获取 是否删除（0.否，1.是）
     * @return deletedNotList
     */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
     * 设置 是否删除（0.否，1.是）
     * @param deletedNotList
     */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
     * 获取 一体化经办人id
     * @return operatorIdList
     */
    public List<String> getOperatorIdList(){
        return this.operatorIdList;
    }

    /**
     * 设置 一体化经办人id
     * @param operatorIdList
     */
    public void setOperatorIdList(List<String> operatorIdList){
        this.operatorIdList = operatorIdList;
    }

    /**
     * 获取 一体化经办人id
     * @return operatorIdNotList
     */
    public List<String> getOperatorIdNotList(){
        return this.operatorIdNotList;
    }

    /**
     * 设置 一体化经办人id
     * @param operatorIdNotList
     */
    public void setOperatorIdNotList(List<String> operatorIdNotList){
        this.operatorIdNotList = operatorIdNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 最后一次登录时间
     * @return lastLoginTimeStart
     */
    public String getLastLoginTimeStart(){
        return this.lastLoginTimeStart;
    }

    /**
     * 设置 开始 最后一次登录时间
     * @param lastLoginTimeStart
     */
    public void setLastLoginTimeStart(String lastLoginTimeStart){
        this.lastLoginTimeStart = lastLoginTimeStart;
    }

    /**
     * 获取 结束 最后一次登录时间
     * @return lastLoginTimeEnd
     */
    public String getLastLoginTimeEnd(){
        return this.lastLoginTimeEnd;
    }

    /**
     * 设置 结束 最后一次登录时间
     * @param lastLoginTimeEnd
     */
    public void setLastLoginTimeEnd(String lastLoginTimeEnd){
        this.lastLoginTimeEnd = lastLoginTimeEnd;
    }

    /**
     * 获取 最后一次登录地址
     * @return lastLoginAddressList
     */
    public List<String> getLastLoginAddressList(){
        return this.lastLoginAddressList;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public void setLastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
    }

    /**
     * 获取 最后一次登录地址
     * @return lastLoginAddressNotList
     */
    public List<String> getLastLoginAddressNotList(){
        return this.lastLoginAddressNotList;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressNotList
     */
    public void setLastLoginAddressNotList(List<String> lastLoginAddressNotList){
        this.lastLoginAddressNotList = lastLoginAddressNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WorkmanQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WorkmanQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WorkmanQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WorkmanQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WorkmanQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WorkmanQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 登录用户名
     * @param loginName
     */
    public WorkmanQuery loginName(String loginName){
        setLoginName(loginName);
        return this;
    }

    /**
     * 设置 登录用户名
     * @param loginNameList
     */
    public WorkmanQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
        return this;
    }


    /**
     * 设置 密码
     * @param loginPwd
     */
    public WorkmanQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
        return this;
    }

    /**
     * 设置 密码
     * @param loginPwdList
     */
    public WorkmanQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
        return this;
    }

    /**
     * 设置  部门id号
     * @param deptId
     */
    public WorkmanQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public WorkmanQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public WorkmanQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public WorkmanQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public WorkmanQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public WorkmanQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public WorkmanQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public WorkmanQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  窗口id号
     * @param windowId
     */
    public WorkmanQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口id号
     * @param windowIdStart
     */
    public WorkmanQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口id号
     * @param windowIdEnd
     */
    public WorkmanQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口id号
     * @param windowIdIncrement
     */
    public WorkmanQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口id号
     * @param windowIdList
     */
    public WorkmanQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }

    /**
     * 设置 窗口id号
     * @param windowIdNotList
     */
    public WorkmanQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public WorkmanQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public WorkmanQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public WorkmanQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public WorkmanQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public WorkmanQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public WorkmanQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public WorkmanQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public WorkmanQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public WorkmanQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public WorkmanQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 姓名
     * @param name
     */
    public WorkmanQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public WorkmanQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 工号
     * @param number
     */
    public WorkmanQuery number(String number){
        setNumber(number);
        return this;
    }

    /**
     * 设置 工号
     * @param numberList
     */
    public WorkmanQuery numberList(List<String> numberList){
        this.numberList = numberList;
        return this;
    }


    /**
     * 设置 职务
     * @param userpost
     */
    public WorkmanQuery userpost(String userpost){
        setUserpost(userpost);
        return this;
    }

    /**
     * 设置 职务
     * @param userpostList
     */
    public WorkmanQuery userpostList(List<String> userpostList){
        this.userpostList = userpostList;
        return this;
    }


    /**
     * 设置 职称
     * @param posttitle
     */
    public WorkmanQuery posttitle(String posttitle){
        setPosttitle(posttitle);
        return this;
    }

    /**
     * 设置 职称
     * @param posttitleList
     */
    public WorkmanQuery posttitleList(List<String> posttitleList){
        this.posttitleList = posttitleList;
        return this;
    }

    /**
     * 设置  政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatus
     */
    public WorkmanQuery politicalstatus(Integer politicalstatus){
        setPoliticalstatus(politicalstatus);
        return this;
    }

    /**
     * 设置 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusStart
     */
    public WorkmanQuery politicalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
        return this;
    }

    /**
     * 设置 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusEnd
     */
    public WorkmanQuery politicalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
        return this;
    }

    /**
     * 设置 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusIncrement
     */
    public WorkmanQuery politicalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
        return this;
    }

    /**
     * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusList
     */
    public WorkmanQuery politicalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
        return this;
    }

    /**
     * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     * @param politicalstatusNotList
     */
    public WorkmanQuery politicalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
        return this;
    }

    /**
     * 设置  党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuan
     */
    public WorkmanQuery dangyuan(Integer dangyuan){
        setDangyuan(dangyuan);
        return this;
    }

    /**
     * 设置 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanStart
     */
    public WorkmanQuery dangyuanStart(Integer dangyuanStart){
        this.dangyuanStart = dangyuanStart;
        return this;
    }

    /**
     * 设置 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanEnd
     */
    public WorkmanQuery dangyuanEnd(Integer dangyuanEnd){
        this.dangyuanEnd = dangyuanEnd;
        return this;
    }

    /**
     * 设置 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanIncrement
     */
    public WorkmanQuery dangyuanIncrement(Integer dangyuanIncrement){
        this.dangyuanIncrement = dangyuanIncrement;
        return this;
    }

    /**
     * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanList
     */
    public WorkmanQuery dangyuanList(List<Integer> dangyuanList){
        this.dangyuanList = dangyuanList;
        return this;
    }

    /**
     * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     * @param dangyuanNotList
     */
    public WorkmanQuery dangyuanNotList(List<Integer> dangyuanNotList){
        this.dangyuanNotList = dangyuanNotList;
        return this;
    }


    /**
     * 设置 党员扩展
     * @param dangyuanext
     */
    public WorkmanQuery dangyuanext(String dangyuanext){
        setDangyuanext(dangyuanext);
        return this;
    }

    /**
     * 设置 党员扩展
     * @param dangyuanextList
     */
    public WorkmanQuery dangyuanextList(List<String> dangyuanextList){
        this.dangyuanextList = dangyuanextList;
        return this;
    }


    /**
     * 设置 身份证
     * @param idCard
     */
    public WorkmanQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证
     * @param idCardList
     */
    public WorkmanQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }


    /**
     * 设置 电话
     * @param phone
     */
    public WorkmanQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 电话
     * @param phoneList
     */
    public WorkmanQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }


    /**
     * 设置 手机
     * @param mobile
     */
    public WorkmanQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 手机
     * @param mobileList
     */
    public WorkmanQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }

    /**
     * 设置  星级
     * @param starlevel
     */
    public WorkmanQuery starlevel(Integer starlevel){
        setStarlevel(starlevel);
        return this;
    }

    /**
     * 设置 开始 星级
     * @param starlevelStart
     */
    public WorkmanQuery starlevelStart(Integer starlevelStart){
        this.starlevelStart = starlevelStart;
        return this;
    }

    /**
     * 设置 结束 星级
     * @param starlevelEnd
     */
    public WorkmanQuery starlevelEnd(Integer starlevelEnd){
        this.starlevelEnd = starlevelEnd;
        return this;
    }

    /**
     * 设置 增加 星级
     * @param starlevelIncrement
     */
    public WorkmanQuery starlevelIncrement(Integer starlevelIncrement){
        this.starlevelIncrement = starlevelIncrement;
        return this;
    }

    /**
     * 设置 星级
     * @param starlevelList
     */
    public WorkmanQuery starlevelList(List<Integer> starlevelList){
        this.starlevelList = starlevelList;
        return this;
    }

    /**
     * 设置 星级
     * @param starlevelNotList
     */
    public WorkmanQuery starlevelNotList(List<Integer> starlevelNotList){
        this.starlevelNotList = starlevelNotList;
        return this;
    }


    /**
     * 设置 个人简介
     * @param summary
     */
    public WorkmanQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 个人简介
     * @param summaryList
     */
    public WorkmanQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 照片
     * @param photoPath
     */
    public WorkmanQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public WorkmanQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }


    /**
     * 设置 岗位职责
     * @param duty
     */
    public WorkmanQuery duty(String duty){
        setDuty(duty);
        return this;
    }

    /**
     * 设置 岗位职责
     * @param dutyList
     */
    public WorkmanQuery dutyList(List<String> dutyList){
        this.dutyList = dutyList;
        return this;
    }


    /**
     * 设置 服务承诺
     * @param promise
     */
    public WorkmanQuery promise(String promise){
        setPromise(promise);
        return this;
    }

    /**
     * 设置 服务承诺
     * @param promiseList
     */
    public WorkmanQuery promiseList(List<String> promiseList){
        this.promiseList = promiseList;
        return this;
    }


    /**
     * 设置 办理事项
     * @param business
     */
    public WorkmanQuery business(String business){
        setBusiness(business);
        return this;
    }

    /**
     * 设置 办理事项
     * @param businessList
     */
    public WorkmanQuery businessList(List<String> businessList){
        this.businessList = businessList;
        return this;
    }

    /**
     * 设置  是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param online
     */
    public WorkmanQuery online(Integer online){
        setOnline(online);
        return this;
    }

    /**
     * 设置 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineStart
     */
    public WorkmanQuery onlineStart(Integer onlineStart){
        this.onlineStart = onlineStart;
        return this;
    }

    /**
     * 设置 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineEnd
     */
    public WorkmanQuery onlineEnd(Integer onlineEnd){
        this.onlineEnd = onlineEnd;
        return this;
    }

    /**
     * 设置 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineIncrement
     */
    public WorkmanQuery onlineIncrement(Integer onlineIncrement){
        this.onlineIncrement = onlineIncrement;
        return this;
    }

    /**
     * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineList
     */
    public WorkmanQuery onlineList(List<Integer> onlineList){
        this.onlineList = onlineList;
        return this;
    }

    /**
     * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     * @param onlineNotList
     */
    public WorkmanQuery onlineNotList(List<Integer> onlineNotList){
        this.onlineNotList = onlineNotList;
        return this;
    }


    /**
     * 设置 配置站点模块，逗号分隔
     * @param modelIds
     */
    public WorkmanQuery modelIds(String modelIds){
        setModelIds(modelIds);
        return this;
    }

    /**
     * 设置 配置站点模块，逗号分隔
     * @param modelIdsList
     */
    public WorkmanQuery modelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
        return this;
    }

    /**
     * 设置  是否删除（0.否，1.是）
     * @param deleted
     */
    public WorkmanQuery deleted(Integer deleted){
        setDeleted(deleted);
        return this;
    }

    /**
     * 设置 开始 是否删除（0.否，1.是）
     * @param deletedStart
     */
    public WorkmanQuery deletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
        return this;
    }

    /**
     * 设置 结束 是否删除（0.否，1.是）
     * @param deletedEnd
     */
    public WorkmanQuery deletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
        return this;
    }

    /**
     * 设置 增加 是否删除（0.否，1.是）
     * @param deletedIncrement
     */
    public WorkmanQuery deletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
        return this;
    }

    /**
     * 设置 是否删除（0.否，1.是）
     * @param deletedList
     */
    public WorkmanQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
        return this;
    }

    /**
     * 设置 是否删除（0.否，1.是）
     * @param deletedNotList
     */
    public WorkmanQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
    }


    /**
     * 设置 一体化经办人id
     * @param operatorId
     */
    public WorkmanQuery operatorId(String operatorId){
        setOperatorId(operatorId);
        return this;
    }

    /**
     * 设置 一体化经办人id
     * @param operatorIdList
     */
    public WorkmanQuery operatorIdList(List<String> operatorIdList){
        this.operatorIdList = operatorIdList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WorkmanQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WorkmanQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WorkmanQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WorkmanQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WorkmanQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WorkmanQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }




    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddress
     */
    public WorkmanQuery lastLoginAddress(String lastLoginAddress){
        setLastLoginAddress(lastLoginAddress);
        return this;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public WorkmanQuery lastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WorkmanQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WorkmanQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WorkmanQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WorkmanQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}